/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu;

import org.eclipse.emf.common.util.EMap;

import org.eclipse.emf.ecore.EObject;

import org.eclipse.emf.ecore.util.FeatureMap;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Document Root</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getMixed <em>Mixed</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getXMLNSPrefixMap <em>XMLNS Prefix Map</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getXSISchemaLocation <em>XSI Schema Location</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getCLOCK <em>CLOCK</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getDMA <em>DMA</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getECUM <em>ECUM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getEMIOS0 <em>EMIOS0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getEMIOS1 <em>EMIOS1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getLPM <em>LPM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getMCU <em>MCU</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getOS <em>OS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getPIT <em>PIT</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getSBCTLE826x <em>SBCTLE82 6x</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getSCHM <em>SCHM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getSPI <em>SPI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getSTM <em>STM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getSWSEC <em>SWSEC</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getSYSTEM <em>SYSTEM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getTIMERS <em>TIMERS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getUTILITIES <em>UTILITIES</em>}</li>
 *   <li>{@link SystemSparcClockMcu.DocumentRoot#getWATCHDOG <em>WATCHDOG</em>}</li>
 * </ul>
 * </p>
 *
 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot()
 * @model extendedMetaData="name='' kind='mixed'"
 * @generated
 */
public interface DocumentRoot extends EObject {
	/**
	 * Returns the value of the '<em><b>Mixed</b></em>' attribute list.
	 * The list contents are of type {@link org.eclipse.emf.ecore.util.FeatureMap.Entry}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mixed</em>' attribute list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mixed</em>' attribute list.
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_Mixed()
	 * @model unique="false" dataType="org.eclipse.emf.ecore.EFeatureMapEntry" many="true"
	 *        extendedMetaData="kind='elementWildcard' name=':mixed'"
	 * @generated
	 */
	FeatureMap getMixed();

	/**
	 * Returns the value of the '<em><b>XMLNS Prefix Map</b></em>' map.
	 * The key is of type {@link java.lang.String},
	 * and the value is of type {@link java.lang.String},
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>XMLNS Prefix Map</em>' map isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>XMLNS Prefix Map</em>' map.
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_XMLNSPrefixMap()
	 * @model mapType="org.eclipse.emf.ecore.EStringToStringMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.emf.ecore.EString>" transient="true"
	 *        extendedMetaData="kind='attribute' name='xmlns:prefix'"
	 * @generated
	 */
	EMap<String, String> getXMLNSPrefixMap();

	/**
	 * Returns the value of the '<em><b>XSI Schema Location</b></em>' map.
	 * The key is of type {@link java.lang.String},
	 * and the value is of type {@link java.lang.String},
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>XSI Schema Location</em>' map isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>XSI Schema Location</em>' map.
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_XSISchemaLocation()
	 * @model mapType="org.eclipse.emf.ecore.EStringToStringMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.emf.ecore.EString>" transient="true"
	 *        extendedMetaData="kind='attribute' name='xsi:schemaLocation'"
	 * @generated
	 */
	EMap<String, String> getXSISchemaLocation();

	/**
	 * Returns the value of the '<em><b>CLOCK</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * This is the configuration for the running clock in HP.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>CLOCK</em>' containment reference.
	 * @see #setCLOCK(CLOCKType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_CLOCK()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='CLOCK' namespace='##targetNamespace'"
	 * @generated
	 */
	CLOCKType getCLOCK();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getCLOCK <em>CLOCK</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>CLOCK</em>' containment reference.
	 * @see #getCLOCK()
	 * @generated
	 */
	void setCLOCK(CLOCKType value);

	/**
	 * Returns the value of the '<em><b>DMA</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DMA</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DMA</em>' containment reference.
	 * @see #setDMA(DMAType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_DMA()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='DMA' namespace='##targetNamespace'"
	 * @generated
	 */
	DMAType getDMA();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getDMA <em>DMA</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DMA</em>' containment reference.
	 * @see #getDMA()
	 * @generated
	 */
	void setDMA(DMAType value);

	/**
	 * Returns the value of the '<em><b>ECUM</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ECUM</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ECUM</em>' containment reference.
	 * @see #setECUM(ECUMType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_ECUM()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='ECUM' namespace='##targetNamespace'"
	 * @generated
	 */
	ECUMType getECUM();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getECUM <em>ECUM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ECUM</em>' containment reference.
	 * @see #getECUM()
	 * @generated
	 */
	void setECUM(ECUMType value);

	/**
	 * Returns the value of the '<em><b>EMIOS0</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>EMIOS0</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>EMIOS0</em>' containment reference.
	 * @see #setEMIOS0(EMIOSConfAttr)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_EMIOS0()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='eMIOS0' namespace='##targetNamespace'"
	 * @generated
	 */
	EMIOSConfAttr getEMIOS0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getEMIOS0 <em>EMIOS0</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>EMIOS0</em>' containment reference.
	 * @see #getEMIOS0()
	 * @generated
	 */
	void setEMIOS0(EMIOSConfAttr value);

	/**
	 * Returns the value of the '<em><b>EMIOS1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>EMIOS1</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>EMIOS1</em>' containment reference.
	 * @see #setEMIOS1(EMIOSConfAttr)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_EMIOS1()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='eMIOS1' namespace='##targetNamespace'"
	 * @generated
	 */
	EMIOSConfAttr getEMIOS1();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getEMIOS1 <em>EMIOS1</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>EMIOS1</em>' containment reference.
	 * @see #getEMIOS1()
	 * @generated
	 */
	void setEMIOS1(EMIOSConfAttr value);

	/**
	 * Returns the value of the '<em><b>LPM</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LPM</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LPM</em>' containment reference.
	 * @see #setLPM(LPMType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_LPM()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='LPM' namespace='##targetNamespace'"
	 * @generated
	 */
	LPMType getLPM();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getLPM <em>LPM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LPM</em>' containment reference.
	 * @see #getLPM()
	 * @generated
	 */
	void setLPM(LPMType value);

	/**
	 * Returns the value of the '<em><b>MCU</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>MCU</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>MCU</em>' containment reference.
	 * @see #setMCU(MCUType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_MCU()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='MCU' namespace='##targetNamespace'"
	 * @generated
	 */
	MCUType getMCU();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getMCU <em>MCU</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>MCU</em>' containment reference.
	 * @see #getMCU()
	 * @generated
	 */
	void setMCU(MCUType value);

	/**
	 * Returns the value of the '<em><b>OS</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>OS</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>OS</em>' containment reference.
	 * @see #setOS(OSType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_OS()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='OS' namespace='##targetNamespace'"
	 * @generated
	 */
	OSType getOS();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getOS <em>OS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>OS</em>' containment reference.
	 * @see #getOS()
	 * @generated
	 */
	void setOS(OSType value);

	/**
	 * Returns the value of the '<em><b>PIT</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PIT</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PIT</em>' containment reference.
	 * @see #setPIT(PITType1)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_PIT()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='PIT' namespace='##targetNamespace'"
	 * @generated
	 */
	PITType1 getPIT();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getPIT <em>PIT</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PIT</em>' containment reference.
	 * @see #getPIT()
	 * @generated
	 */
	void setPIT(PITType1 value);

	/**
	 * Returns the value of the '<em><b>SBCTLE82 6x</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Comment describing your root element
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>SBCTLE82 6x</em>' containment reference.
	 * @see #setSBCTLE826x(SBCTLE826xType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_SBCTLE826x()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='SBC_TLE826x' namespace='##targetNamespace'"
	 * @generated
	 */
	SBCTLE826xType getSBCTLE826x();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getSBCTLE826x <em>SBCTLE82 6x</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>SBCTLE82 6x</em>' containment reference.
	 * @see #getSBCTLE826x()
	 * @generated
	 */
	void setSBCTLE826x(SBCTLE826xType value);

	/**
	 * Returns the value of the '<em><b>SCHM</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>SCHM</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>SCHM</em>' containment reference.
	 * @see #setSCHM(SCHMType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_SCHM()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='SCHM' namespace='##targetNamespace'"
	 * @generated
	 */
	SCHMType getSCHM();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getSCHM <em>SCHM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>SCHM</em>' containment reference.
	 * @see #getSCHM()
	 * @generated
	 */
	void setSCHM(SCHMType value);

	/**
	 * Returns the value of the '<em><b>SPI</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Complete Autosar Spi configuration.
	 * 
	 * This shall be used only to configure new and unsupported SPI devices.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>SPI</em>' containment reference.
	 * @see #setSPI(SPIType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_SPI()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='SPI' namespace='##targetNamespace'"
	 * @generated
	 */
	SPIType getSPI();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getSPI <em>SPI</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>SPI</em>' containment reference.
	 * @see #getSPI()
	 * @generated
	 */
	void setSPI(SPIType value);

	/**
	 * Returns the value of the '<em><b>STM</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>STM</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>STM</em>' containment reference.
	 * @see #setSTM(STMType1)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_STM()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='STM' namespace='##targetNamespace'"
	 * @generated
	 */
	STMType1 getSTM();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getSTM <em>STM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>STM</em>' containment reference.
	 * @see #getSTM()
	 * @generated
	 */
	void setSTM(STMType1 value);

	/**
	 * Returns the value of the '<em><b>SWSEC</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>SWSEC</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>SWSEC</em>' containment reference.
	 * @see #setSWSEC(SWSECType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_SWSEC()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='SWSEC' namespace='##targetNamespace'"
	 * @generated
	 */
	SWSECType getSWSEC();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getSWSEC <em>SWSEC</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>SWSEC</em>' containment reference.
	 * @see #getSWSEC()
	 * @generated
	 */
	void setSWSEC(SWSECType value);

	/**
	 * Returns the value of the '<em><b>SYSTEM</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * SPARC for SYSTEM Stack
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>SYSTEM</em>' containment reference.
	 * @see #setSYSTEM(SYSTEMType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_SYSTEM()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='SYSTEM' namespace='##targetNamespace'"
	 * @generated
	 */
	SYSTEMType getSYSTEM();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getSYSTEM <em>SYSTEM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>SYSTEM</em>' containment reference.
	 * @see #getSYSTEM()
	 * @generated
	 */
	void setSYSTEM(SYSTEMType value);

	/**
	 * Returns the value of the '<em><b>TIMERS</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>TIMERS</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>TIMERS</em>' containment reference.
	 * @see #setTIMERS(TIMERSType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_TIMERS()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='TIMERS' namespace='##targetNamespace'"
	 * @generated
	 */
	TIMERSType getTIMERS();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getTIMERS <em>TIMERS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>TIMERS</em>' containment reference.
	 * @see #getTIMERS()
	 * @generated
	 */
	void setTIMERS(TIMERSType value);

	/**
	 * Returns the value of the '<em><b>UTILITIES</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>UTILITIES</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>UTILITIES</em>' containment reference.
	 * @see #setUTILITIES(UTILITIESType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_UTILITIES()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='UTILITIES' namespace='##targetNamespace'"
	 * @generated
	 */
	UTILITIESType getUTILITIES();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getUTILITIES <em>UTILITIES</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>UTILITIES</em>' containment reference.
	 * @see #getUTILITIES()
	 * @generated
	 */
	void setUTILITIES(UTILITIESType value);

	/**
	 * Returns the value of the '<em><b>WATCHDOG</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>WATCHDOG</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>WATCHDOG</em>' containment reference.
	 * @see #setWATCHDOG(WATCHDOGType)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getDocumentRoot_WATCHDOG()
	 * @model containment="true" upper="-2" transient="true" volatile="true" derived="true"
	 *        extendedMetaData="kind='element' name='WATCHDOG' namespace='##targetNamespace'"
	 * @generated
	 */
	WATCHDOGType getWATCHDOG();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.DocumentRoot#getWATCHDOG <em>WATCHDOG</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>WATCHDOG</em>' containment reference.
	 * @see #getWATCHDOG()
	 * @generated
	 */
	void setWATCHDOG(WATCHDOGType value);

} // DocumentRoot
