/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>PERIPHERALS Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getADC0 <em>ADC0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getADC1 <em>ADC1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getCANSampler <em>CAN Sampler</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getCMU0 <em>CMU0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getCTU <em>CTU</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDMACHMUX <em>DMACHMUX</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI0 <em>DSPI0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI1 <em>DSPI1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI2 <em>DSPI2</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI3 <em>DSPI3</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI4 <em>DSPI4</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI5 <em>DSPI5</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS0 <em>EMIOS0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS1 <em>EMIOS1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN0 <em>Flex CAN0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN1 <em>Flex CAN1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN2 <em>Flex CAN2</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN3 <em>Flex CAN3</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN4 <em>Flex CAN4</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN5 <em>Flex CAN5</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getI2C0 <em>I2C0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX0 <em>LINFLEX0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX1 <em>LINFLEX1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX2 <em>LINFLEX2</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX3 <em>LINFLEX3</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX4 <em>LINFLEX4</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX5 <em>LINFLEX5</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX6 <em>LINFLEX6</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX7 <em>LINFLEX7</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX8 <em>LINFLEX8</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX9 <em>LINFLEX9</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getPITRTI <em>PITRTI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getRTCAPI <em>RTCAPI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getSIUL <em>SIUL</em>}</li>
 *   <li>{@link SystemSparcClockMcu.PERIPHERALSType#getWKPU <em>WKPU</em>}</li>
 * </ul>
 * </p>
 *
 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType()
 * @model extendedMetaData="name='PERIPHERALS_._type' kind='empty'"
 * @generated
 */
public interface PERIPHERALSType extends EObject {
	/**
	 * Returns the value of the '<em><b>ADC0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ADC0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ADC0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetADC0()
	 * @see #unsetADC0()
	 * @see #setADC0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_ADC0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='ADC0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getADC0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getADC0 <em>ADC0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ADC0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetADC0()
	 * @see #unsetADC0()
	 * @see #getADC0()
	 * @generated
	 */
	void setADC0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getADC0 <em>ADC0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetADC0()
	 * @see #getADC0()
	 * @see #setADC0(TypeBoolean)
	 * @generated
	 */
	void unsetADC0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getADC0 <em>ADC0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>ADC0</em>' attribute is set.
	 * @see #unsetADC0()
	 * @see #getADC0()
	 * @see #setADC0(TypeBoolean)
	 * @generated
	 */
	boolean isSetADC0();

	/**
	 * Returns the value of the '<em><b>ADC1</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>ADC1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>ADC1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetADC1()
	 * @see #unsetADC1()
	 * @see #setADC1(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_ADC1()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='ADC1' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getADC1();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getADC1 <em>ADC1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>ADC1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetADC1()
	 * @see #unsetADC1()
	 * @see #getADC1()
	 * @generated
	 */
	void setADC1(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getADC1 <em>ADC1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetADC1()
	 * @see #getADC1()
	 * @see #setADC1(TypeBoolean)
	 * @generated
	 */
	void unsetADC1();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getADC1 <em>ADC1</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>ADC1</em>' attribute is set.
	 * @see #unsetADC1()
	 * @see #getADC1()
	 * @see #setADC1(TypeBoolean)
	 * @generated
	 */
	boolean isSetADC1();

	/**
	 * Returns the value of the '<em><b>CAN Sampler</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>CAN Sampler</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>CAN Sampler</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetCANSampler()
	 * @see #unsetCANSampler()
	 * @see #setCANSampler(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_CANSampler()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='CANSampler' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getCANSampler();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCANSampler <em>CAN Sampler</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>CAN Sampler</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetCANSampler()
	 * @see #unsetCANSampler()
	 * @see #getCANSampler()
	 * @generated
	 */
	void setCANSampler(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCANSampler <em>CAN Sampler</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetCANSampler()
	 * @see #getCANSampler()
	 * @see #setCANSampler(TypeBoolean)
	 * @generated
	 */
	void unsetCANSampler();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCANSampler <em>CAN Sampler</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>CAN Sampler</em>' attribute is set.
	 * @see #unsetCANSampler()
	 * @see #getCANSampler()
	 * @see #setCANSampler(TypeBoolean)
	 * @generated
	 */
	boolean isSetCANSampler();

	/**
	 * Returns the value of the '<em><b>CMU0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>CMU0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>CMU0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetCMU0()
	 * @see #unsetCMU0()
	 * @see #setCMU0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_CMU0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='CMU0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getCMU0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCMU0 <em>CMU0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>CMU0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetCMU0()
	 * @see #unsetCMU0()
	 * @see #getCMU0()
	 * @generated
	 */
	void setCMU0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCMU0 <em>CMU0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetCMU0()
	 * @see #getCMU0()
	 * @see #setCMU0(TypeBoolean)
	 * @generated
	 */
	void unsetCMU0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCMU0 <em>CMU0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>CMU0</em>' attribute is set.
	 * @see #unsetCMU0()
	 * @see #getCMU0()
	 * @see #setCMU0(TypeBoolean)
	 * @generated
	 */
	boolean isSetCMU0();

	/**
	 * Returns the value of the '<em><b>CTU</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>CTU</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>CTU</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetCTU()
	 * @see #unsetCTU()
	 * @see #setCTU(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_CTU()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='CTU' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getCTU();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCTU <em>CTU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>CTU</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetCTU()
	 * @see #unsetCTU()
	 * @see #getCTU()
	 * @generated
	 */
	void setCTU(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCTU <em>CTU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetCTU()
	 * @see #getCTU()
	 * @see #setCTU(TypeBoolean)
	 * @generated
	 */
	void unsetCTU();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getCTU <em>CTU</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>CTU</em>' attribute is set.
	 * @see #unsetCTU()
	 * @see #getCTU()
	 * @see #setCTU(TypeBoolean)
	 * @generated
	 */
	boolean isSetCTU();

	/**
	 * Returns the value of the '<em><b>DMACHMUX</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DMACHMUX</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DMACHMUX</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDMACHMUX()
	 * @see #unsetDMACHMUX()
	 * @see #setDMACHMUX(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DMACHMUX()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DMA_CH_MUX' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDMACHMUX();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDMACHMUX <em>DMACHMUX</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DMACHMUX</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDMACHMUX()
	 * @see #unsetDMACHMUX()
	 * @see #getDMACHMUX()
	 * @generated
	 */
	void setDMACHMUX(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDMACHMUX <em>DMACHMUX</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDMACHMUX()
	 * @see #getDMACHMUX()
	 * @see #setDMACHMUX(TypeBoolean)
	 * @generated
	 */
	void unsetDMACHMUX();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDMACHMUX <em>DMACHMUX</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DMACHMUX</em>' attribute is set.
	 * @see #unsetDMACHMUX()
	 * @see #getDMACHMUX()
	 * @see #setDMACHMUX(TypeBoolean)
	 * @generated
	 */
	boolean isSetDMACHMUX();

	/**
	 * Returns the value of the '<em><b>DSPI0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DSPI0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DSPI0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI0()
	 * @see #unsetDSPI0()
	 * @see #setDSPI0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DSPI0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DSPI0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDSPI0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI0 <em>DSPI0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DSPI0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI0()
	 * @see #unsetDSPI0()
	 * @see #getDSPI0()
	 * @generated
	 */
	void setDSPI0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI0 <em>DSPI0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDSPI0()
	 * @see #getDSPI0()
	 * @see #setDSPI0(TypeBoolean)
	 * @generated
	 */
	void unsetDSPI0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI0 <em>DSPI0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DSPI0</em>' attribute is set.
	 * @see #unsetDSPI0()
	 * @see #getDSPI0()
	 * @see #setDSPI0(TypeBoolean)
	 * @generated
	 */
	boolean isSetDSPI0();

	/**
	 * Returns the value of the '<em><b>DSPI1</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DSPI1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DSPI1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI1()
	 * @see #unsetDSPI1()
	 * @see #setDSPI1(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DSPI1()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DSPI1' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDSPI1();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI1 <em>DSPI1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DSPI1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI1()
	 * @see #unsetDSPI1()
	 * @see #getDSPI1()
	 * @generated
	 */
	void setDSPI1(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI1 <em>DSPI1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDSPI1()
	 * @see #getDSPI1()
	 * @see #setDSPI1(TypeBoolean)
	 * @generated
	 */
	void unsetDSPI1();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI1 <em>DSPI1</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DSPI1</em>' attribute is set.
	 * @see #unsetDSPI1()
	 * @see #getDSPI1()
	 * @see #setDSPI1(TypeBoolean)
	 * @generated
	 */
	boolean isSetDSPI1();

	/**
	 * Returns the value of the '<em><b>DSPI2</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DSPI2</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DSPI2</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI2()
	 * @see #unsetDSPI2()
	 * @see #setDSPI2(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DSPI2()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DSPI2' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDSPI2();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI2 <em>DSPI2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DSPI2</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI2()
	 * @see #unsetDSPI2()
	 * @see #getDSPI2()
	 * @generated
	 */
	void setDSPI2(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI2 <em>DSPI2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDSPI2()
	 * @see #getDSPI2()
	 * @see #setDSPI2(TypeBoolean)
	 * @generated
	 */
	void unsetDSPI2();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI2 <em>DSPI2</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DSPI2</em>' attribute is set.
	 * @see #unsetDSPI2()
	 * @see #getDSPI2()
	 * @see #setDSPI2(TypeBoolean)
	 * @generated
	 */
	boolean isSetDSPI2();

	/**
	 * Returns the value of the '<em><b>DSPI3</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DSPI3</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DSPI3</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI3()
	 * @see #unsetDSPI3()
	 * @see #setDSPI3(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DSPI3()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DSPI3' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDSPI3();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI3 <em>DSPI3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DSPI3</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI3()
	 * @see #unsetDSPI3()
	 * @see #getDSPI3()
	 * @generated
	 */
	void setDSPI3(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI3 <em>DSPI3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDSPI3()
	 * @see #getDSPI3()
	 * @see #setDSPI3(TypeBoolean)
	 * @generated
	 */
	void unsetDSPI3();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI3 <em>DSPI3</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DSPI3</em>' attribute is set.
	 * @see #unsetDSPI3()
	 * @see #getDSPI3()
	 * @see #setDSPI3(TypeBoolean)
	 * @generated
	 */
	boolean isSetDSPI3();

	/**
	 * Returns the value of the '<em><b>DSPI4</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DSPI4</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DSPI4</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI4()
	 * @see #unsetDSPI4()
	 * @see #setDSPI4(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DSPI4()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DSPI4' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDSPI4();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI4 <em>DSPI4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DSPI4</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI4()
	 * @see #unsetDSPI4()
	 * @see #getDSPI4()
	 * @generated
	 */
	void setDSPI4(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI4 <em>DSPI4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDSPI4()
	 * @see #getDSPI4()
	 * @see #setDSPI4(TypeBoolean)
	 * @generated
	 */
	void unsetDSPI4();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI4 <em>DSPI4</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DSPI4</em>' attribute is set.
	 * @see #unsetDSPI4()
	 * @see #getDSPI4()
	 * @see #setDSPI4(TypeBoolean)
	 * @generated
	 */
	boolean isSetDSPI4();

	/**
	 * Returns the value of the '<em><b>DSPI5</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>DSPI5</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>DSPI5</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI5()
	 * @see #unsetDSPI5()
	 * @see #setDSPI5(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_DSPI5()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='DSPI5' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getDSPI5();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI5 <em>DSPI5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>DSPI5</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetDSPI5()
	 * @see #unsetDSPI5()
	 * @see #getDSPI5()
	 * @generated
	 */
	void setDSPI5(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI5 <em>DSPI5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDSPI5()
	 * @see #getDSPI5()
	 * @see #setDSPI5(TypeBoolean)
	 * @generated
	 */
	void unsetDSPI5();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getDSPI5 <em>DSPI5</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>DSPI5</em>' attribute is set.
	 * @see #unsetDSPI5()
	 * @see #getDSPI5()
	 * @see #setDSPI5(TypeBoolean)
	 * @generated
	 */
	boolean isSetDSPI5();

	/**
	 * Returns the value of the '<em><b>EMIOS0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>EMIOS0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>EMIOS0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetEMIOS0()
	 * @see #unsetEMIOS0()
	 * @see #setEMIOS0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_EMIOS0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='eMIOS0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getEMIOS0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS0 <em>EMIOS0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>EMIOS0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetEMIOS0()
	 * @see #unsetEMIOS0()
	 * @see #getEMIOS0()
	 * @generated
	 */
	void setEMIOS0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS0 <em>EMIOS0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetEMIOS0()
	 * @see #getEMIOS0()
	 * @see #setEMIOS0(TypeBoolean)
	 * @generated
	 */
	void unsetEMIOS0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS0 <em>EMIOS0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>EMIOS0</em>' attribute is set.
	 * @see #unsetEMIOS0()
	 * @see #getEMIOS0()
	 * @see #setEMIOS0(TypeBoolean)
	 * @generated
	 */
	boolean isSetEMIOS0();

	/**
	 * Returns the value of the '<em><b>EMIOS1</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>EMIOS1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>EMIOS1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetEMIOS1()
	 * @see #unsetEMIOS1()
	 * @see #setEMIOS1(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_EMIOS1()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='eMIOS1' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getEMIOS1();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS1 <em>EMIOS1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>EMIOS1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetEMIOS1()
	 * @see #unsetEMIOS1()
	 * @see #getEMIOS1()
	 * @generated
	 */
	void setEMIOS1(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS1 <em>EMIOS1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetEMIOS1()
	 * @see #getEMIOS1()
	 * @see #setEMIOS1(TypeBoolean)
	 * @generated
	 */
	void unsetEMIOS1();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getEMIOS1 <em>EMIOS1</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>EMIOS1</em>' attribute is set.
	 * @see #unsetEMIOS1()
	 * @see #getEMIOS1()
	 * @see #setEMIOS1(TypeBoolean)
	 * @generated
	 */
	boolean isSetEMIOS1();

	/**
	 * Returns the value of the '<em><b>Flex CAN0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Flex CAN0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Flex CAN0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN0()
	 * @see #unsetFlexCAN0()
	 * @see #setFlexCAN0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_FlexCAN0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='FlexCAN0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getFlexCAN0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN0 <em>Flex CAN0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Flex CAN0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN0()
	 * @see #unsetFlexCAN0()
	 * @see #getFlexCAN0()
	 * @generated
	 */
	void setFlexCAN0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN0 <em>Flex CAN0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFlexCAN0()
	 * @see #getFlexCAN0()
	 * @see #setFlexCAN0(TypeBoolean)
	 * @generated
	 */
	void unsetFlexCAN0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN0 <em>Flex CAN0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Flex CAN0</em>' attribute is set.
	 * @see #unsetFlexCAN0()
	 * @see #getFlexCAN0()
	 * @see #setFlexCAN0(TypeBoolean)
	 * @generated
	 */
	boolean isSetFlexCAN0();

	/**
	 * Returns the value of the '<em><b>Flex CAN1</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Flex CAN1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Flex CAN1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN1()
	 * @see #unsetFlexCAN1()
	 * @see #setFlexCAN1(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_FlexCAN1()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='FlexCAN1' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getFlexCAN1();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN1 <em>Flex CAN1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Flex CAN1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN1()
	 * @see #unsetFlexCAN1()
	 * @see #getFlexCAN1()
	 * @generated
	 */
	void setFlexCAN1(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN1 <em>Flex CAN1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFlexCAN1()
	 * @see #getFlexCAN1()
	 * @see #setFlexCAN1(TypeBoolean)
	 * @generated
	 */
	void unsetFlexCAN1();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN1 <em>Flex CAN1</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Flex CAN1</em>' attribute is set.
	 * @see #unsetFlexCAN1()
	 * @see #getFlexCAN1()
	 * @see #setFlexCAN1(TypeBoolean)
	 * @generated
	 */
	boolean isSetFlexCAN1();

	/**
	 * Returns the value of the '<em><b>Flex CAN2</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Flex CAN2</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Flex CAN2</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN2()
	 * @see #unsetFlexCAN2()
	 * @see #setFlexCAN2(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_FlexCAN2()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='FlexCAN2' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getFlexCAN2();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN2 <em>Flex CAN2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Flex CAN2</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN2()
	 * @see #unsetFlexCAN2()
	 * @see #getFlexCAN2()
	 * @generated
	 */
	void setFlexCAN2(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN2 <em>Flex CAN2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFlexCAN2()
	 * @see #getFlexCAN2()
	 * @see #setFlexCAN2(TypeBoolean)
	 * @generated
	 */
	void unsetFlexCAN2();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN2 <em>Flex CAN2</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Flex CAN2</em>' attribute is set.
	 * @see #unsetFlexCAN2()
	 * @see #getFlexCAN2()
	 * @see #setFlexCAN2(TypeBoolean)
	 * @generated
	 */
	boolean isSetFlexCAN2();

	/**
	 * Returns the value of the '<em><b>Flex CAN3</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Flex CAN3</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Flex CAN3</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN3()
	 * @see #unsetFlexCAN3()
	 * @see #setFlexCAN3(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_FlexCAN3()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='FlexCAN3' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getFlexCAN3();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN3 <em>Flex CAN3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Flex CAN3</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN3()
	 * @see #unsetFlexCAN3()
	 * @see #getFlexCAN3()
	 * @generated
	 */
	void setFlexCAN3(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN3 <em>Flex CAN3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFlexCAN3()
	 * @see #getFlexCAN3()
	 * @see #setFlexCAN3(TypeBoolean)
	 * @generated
	 */
	void unsetFlexCAN3();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN3 <em>Flex CAN3</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Flex CAN3</em>' attribute is set.
	 * @see #unsetFlexCAN3()
	 * @see #getFlexCAN3()
	 * @see #setFlexCAN3(TypeBoolean)
	 * @generated
	 */
	boolean isSetFlexCAN3();

	/**
	 * Returns the value of the '<em><b>Flex CAN4</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Flex CAN4</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Flex CAN4</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN4()
	 * @see #unsetFlexCAN4()
	 * @see #setFlexCAN4(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_FlexCAN4()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='FlexCAN4' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getFlexCAN4();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN4 <em>Flex CAN4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Flex CAN4</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN4()
	 * @see #unsetFlexCAN4()
	 * @see #getFlexCAN4()
	 * @generated
	 */
	void setFlexCAN4(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN4 <em>Flex CAN4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFlexCAN4()
	 * @see #getFlexCAN4()
	 * @see #setFlexCAN4(TypeBoolean)
	 * @generated
	 */
	void unsetFlexCAN4();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN4 <em>Flex CAN4</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Flex CAN4</em>' attribute is set.
	 * @see #unsetFlexCAN4()
	 * @see #getFlexCAN4()
	 * @see #setFlexCAN4(TypeBoolean)
	 * @generated
	 */
	boolean isSetFlexCAN4();

	/**
	 * Returns the value of the '<em><b>Flex CAN5</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Flex CAN5</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Flex CAN5</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN5()
	 * @see #unsetFlexCAN5()
	 * @see #setFlexCAN5(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_FlexCAN5()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='FlexCAN5' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getFlexCAN5();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN5 <em>Flex CAN5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Flex CAN5</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetFlexCAN5()
	 * @see #unsetFlexCAN5()
	 * @see #getFlexCAN5()
	 * @generated
	 */
	void setFlexCAN5(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN5 <em>Flex CAN5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetFlexCAN5()
	 * @see #getFlexCAN5()
	 * @see #setFlexCAN5(TypeBoolean)
	 * @generated
	 */
	void unsetFlexCAN5();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getFlexCAN5 <em>Flex CAN5</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Flex CAN5</em>' attribute is set.
	 * @see #unsetFlexCAN5()
	 * @see #getFlexCAN5()
	 * @see #setFlexCAN5(TypeBoolean)
	 * @generated
	 */
	boolean isSetFlexCAN5();

	/**
	 * Returns the value of the '<em><b>I2C0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>I2C0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>I2C0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetI2C0()
	 * @see #unsetI2C0()
	 * @see #setI2C0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_I2C0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='I2C0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getI2C0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getI2C0 <em>I2C0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>I2C0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetI2C0()
	 * @see #unsetI2C0()
	 * @see #getI2C0()
	 * @generated
	 */
	void setI2C0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getI2C0 <em>I2C0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetI2C0()
	 * @see #getI2C0()
	 * @see #setI2C0(TypeBoolean)
	 * @generated
	 */
	void unsetI2C0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getI2C0 <em>I2C0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>I2C0</em>' attribute is set.
	 * @see #unsetI2C0()
	 * @see #getI2C0()
	 * @see #setI2C0(TypeBoolean)
	 * @generated
	 */
	boolean isSetI2C0();

	/**
	 * Returns the value of the '<em><b>LINFLEX0</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX0</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX0()
	 * @see #unsetLINFLEX0()
	 * @see #setLINFLEX0(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX0()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX0' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX0();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX0 <em>LINFLEX0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX0</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX0()
	 * @see #unsetLINFLEX0()
	 * @see #getLINFLEX0()
	 * @generated
	 */
	void setLINFLEX0(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX0 <em>LINFLEX0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX0()
	 * @see #getLINFLEX0()
	 * @see #setLINFLEX0(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX0();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX0 <em>LINFLEX0</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX0</em>' attribute is set.
	 * @see #unsetLINFLEX0()
	 * @see #getLINFLEX0()
	 * @see #setLINFLEX0(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX0();

	/**
	 * Returns the value of the '<em><b>LINFLEX1</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX1()
	 * @see #unsetLINFLEX1()
	 * @see #setLINFLEX1(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX1()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX1' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX1();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX1 <em>LINFLEX1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX1</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX1()
	 * @see #unsetLINFLEX1()
	 * @see #getLINFLEX1()
	 * @generated
	 */
	void setLINFLEX1(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX1 <em>LINFLEX1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX1()
	 * @see #getLINFLEX1()
	 * @see #setLINFLEX1(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX1();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX1 <em>LINFLEX1</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX1</em>' attribute is set.
	 * @see #unsetLINFLEX1()
	 * @see #getLINFLEX1()
	 * @see #setLINFLEX1(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX1();

	/**
	 * Returns the value of the '<em><b>LINFLEX2</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX2</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX2</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX2()
	 * @see #unsetLINFLEX2()
	 * @see #setLINFLEX2(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX2()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX2' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX2();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX2 <em>LINFLEX2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX2</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX2()
	 * @see #unsetLINFLEX2()
	 * @see #getLINFLEX2()
	 * @generated
	 */
	void setLINFLEX2(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX2 <em>LINFLEX2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX2()
	 * @see #getLINFLEX2()
	 * @see #setLINFLEX2(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX2();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX2 <em>LINFLEX2</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX2</em>' attribute is set.
	 * @see #unsetLINFLEX2()
	 * @see #getLINFLEX2()
	 * @see #setLINFLEX2(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX2();

	/**
	 * Returns the value of the '<em><b>LINFLEX3</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX3</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX3</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX3()
	 * @see #unsetLINFLEX3()
	 * @see #setLINFLEX3(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX3()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX3' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX3();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX3 <em>LINFLEX3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX3</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX3()
	 * @see #unsetLINFLEX3()
	 * @see #getLINFLEX3()
	 * @generated
	 */
	void setLINFLEX3(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX3 <em>LINFLEX3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX3()
	 * @see #getLINFLEX3()
	 * @see #setLINFLEX3(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX3();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX3 <em>LINFLEX3</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX3</em>' attribute is set.
	 * @see #unsetLINFLEX3()
	 * @see #getLINFLEX3()
	 * @see #setLINFLEX3(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX3();

	/**
	 * Returns the value of the '<em><b>LINFLEX4</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX4</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX4</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX4()
	 * @see #unsetLINFLEX4()
	 * @see #setLINFLEX4(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX4()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX4' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX4();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX4 <em>LINFLEX4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX4</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX4()
	 * @see #unsetLINFLEX4()
	 * @see #getLINFLEX4()
	 * @generated
	 */
	void setLINFLEX4(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX4 <em>LINFLEX4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX4()
	 * @see #getLINFLEX4()
	 * @see #setLINFLEX4(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX4();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX4 <em>LINFLEX4</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX4</em>' attribute is set.
	 * @see #unsetLINFLEX4()
	 * @see #getLINFLEX4()
	 * @see #setLINFLEX4(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX4();

	/**
	 * Returns the value of the '<em><b>LINFLEX5</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX5</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX5</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX5()
	 * @see #unsetLINFLEX5()
	 * @see #setLINFLEX5(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX5()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX5' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX5();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX5 <em>LINFLEX5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX5</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX5()
	 * @see #unsetLINFLEX5()
	 * @see #getLINFLEX5()
	 * @generated
	 */
	void setLINFLEX5(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX5 <em>LINFLEX5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX5()
	 * @see #getLINFLEX5()
	 * @see #setLINFLEX5(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX5();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX5 <em>LINFLEX5</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX5</em>' attribute is set.
	 * @see #unsetLINFLEX5()
	 * @see #getLINFLEX5()
	 * @see #setLINFLEX5(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX5();

	/**
	 * Returns the value of the '<em><b>LINFLEX6</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX6</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX6</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX6()
	 * @see #unsetLINFLEX6()
	 * @see #setLINFLEX6(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX6()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX6' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX6();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX6 <em>LINFLEX6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX6</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX6()
	 * @see #unsetLINFLEX6()
	 * @see #getLINFLEX6()
	 * @generated
	 */
	void setLINFLEX6(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX6 <em>LINFLEX6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX6()
	 * @see #getLINFLEX6()
	 * @see #setLINFLEX6(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX6();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX6 <em>LINFLEX6</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX6</em>' attribute is set.
	 * @see #unsetLINFLEX6()
	 * @see #getLINFLEX6()
	 * @see #setLINFLEX6(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX6();

	/**
	 * Returns the value of the '<em><b>LINFLEX7</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX7</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX7</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX7()
	 * @see #unsetLINFLEX7()
	 * @see #setLINFLEX7(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX7()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX7' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX7();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX7 <em>LINFLEX7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX7</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX7()
	 * @see #unsetLINFLEX7()
	 * @see #getLINFLEX7()
	 * @generated
	 */
	void setLINFLEX7(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX7 <em>LINFLEX7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX7()
	 * @see #getLINFLEX7()
	 * @see #setLINFLEX7(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX7();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX7 <em>LINFLEX7</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX7</em>' attribute is set.
	 * @see #unsetLINFLEX7()
	 * @see #getLINFLEX7()
	 * @see #setLINFLEX7(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX7();

	/**
	 * Returns the value of the '<em><b>LINFLEX8</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX8</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX8</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX8()
	 * @see #unsetLINFLEX8()
	 * @see #setLINFLEX8(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX8()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX8' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX8();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX8 <em>LINFLEX8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX8</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX8()
	 * @see #unsetLINFLEX8()
	 * @see #getLINFLEX8()
	 * @generated
	 */
	void setLINFLEX8(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX8 <em>LINFLEX8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX8()
	 * @see #getLINFLEX8()
	 * @see #setLINFLEX8(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX8();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX8 <em>LINFLEX8</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX8</em>' attribute is set.
	 * @see #unsetLINFLEX8()
	 * @see #getLINFLEX8()
	 * @see #setLINFLEX8(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX8();

	/**
	 * Returns the value of the '<em><b>LINFLEX9</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>LINFLEX9</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>LINFLEX9</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX9()
	 * @see #unsetLINFLEX9()
	 * @see #setLINFLEX9(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_LINFLEX9()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='LIN_FLEX9' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getLINFLEX9();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX9 <em>LINFLEX9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>LINFLEX9</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetLINFLEX9()
	 * @see #unsetLINFLEX9()
	 * @see #getLINFLEX9()
	 * @generated
	 */
	void setLINFLEX9(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX9 <em>LINFLEX9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLINFLEX9()
	 * @see #getLINFLEX9()
	 * @see #setLINFLEX9(TypeBoolean)
	 * @generated
	 */
	void unsetLINFLEX9();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getLINFLEX9 <em>LINFLEX9</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>LINFLEX9</em>' attribute is set.
	 * @see #unsetLINFLEX9()
	 * @see #getLINFLEX9()
	 * @see #setLINFLEX9(TypeBoolean)
	 * @generated
	 */
	boolean isSetLINFLEX9();

	/**
	 * Returns the value of the '<em><b>PITRTI</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PITRTI</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PITRTI</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetPITRTI()
	 * @see #unsetPITRTI()
	 * @see #setPITRTI(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_PITRTI()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='PIT_RTI' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getPITRTI();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getPITRTI <em>PITRTI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PITRTI</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetPITRTI()
	 * @see #unsetPITRTI()
	 * @see #getPITRTI()
	 * @generated
	 */
	void setPITRTI(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getPITRTI <em>PITRTI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetPITRTI()
	 * @see #getPITRTI()
	 * @see #setPITRTI(TypeBoolean)
	 * @generated
	 */
	void unsetPITRTI();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getPITRTI <em>PITRTI</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>PITRTI</em>' attribute is set.
	 * @see #unsetPITRTI()
	 * @see #getPITRTI()
	 * @see #setPITRTI(TypeBoolean)
	 * @generated
	 */
	boolean isSetPITRTI();

	/**
	 * Returns the value of the '<em><b>RTCAPI</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>RTCAPI</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>RTCAPI</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetRTCAPI()
	 * @see #unsetRTCAPI()
	 * @see #setRTCAPI(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_RTCAPI()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='RTC_API' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getRTCAPI();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getRTCAPI <em>RTCAPI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>RTCAPI</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetRTCAPI()
	 * @see #unsetRTCAPI()
	 * @see #getRTCAPI()
	 * @generated
	 */
	void setRTCAPI(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getRTCAPI <em>RTCAPI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetRTCAPI()
	 * @see #getRTCAPI()
	 * @see #setRTCAPI(TypeBoolean)
	 * @generated
	 */
	void unsetRTCAPI();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getRTCAPI <em>RTCAPI</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>RTCAPI</em>' attribute is set.
	 * @see #unsetRTCAPI()
	 * @see #getRTCAPI()
	 * @see #setRTCAPI(TypeBoolean)
	 * @generated
	 */
	boolean isSetRTCAPI();

	/**
	 * Returns the value of the '<em><b>SIUL</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>SIUL</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>SIUL</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetSIUL()
	 * @see #unsetSIUL()
	 * @see #setSIUL(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_SIUL()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='SIUL' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getSIUL();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getSIUL <em>SIUL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>SIUL</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetSIUL()
	 * @see #unsetSIUL()
	 * @see #getSIUL()
	 * @generated
	 */
	void setSIUL(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getSIUL <em>SIUL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetSIUL()
	 * @see #getSIUL()
	 * @see #setSIUL(TypeBoolean)
	 * @generated
	 */
	void unsetSIUL();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getSIUL <em>SIUL</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>SIUL</em>' attribute is set.
	 * @see #unsetSIUL()
	 * @see #getSIUL()
	 * @see #setSIUL(TypeBoolean)
	 * @generated
	 */
	boolean isSetSIUL();

	/**
	 * Returns the value of the '<em><b>WKPU</b></em>' attribute.
	 * The literals are from the enumeration {@link SystemSparcClockMcu.TypeBoolean}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>WKPU</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>WKPU</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetWKPU()
	 * @see #unsetWKPU()
	 * @see #setWKPU(TypeBoolean)
	 * @see SystemSparcClockMcu.SystemSparcClockMcuPackage#getPERIPHERALSType_WKPU()
	 * @model unsettable="true"
	 *        extendedMetaData="kind='attribute' name='WKPU' namespace='##targetNamespace'"
	 * @generated
	 */
	TypeBoolean getWKPU();

	/**
	 * Sets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getWKPU <em>WKPU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>WKPU</em>' attribute.
	 * @see SystemSparcClockMcu.TypeBoolean
	 * @see #isSetWKPU()
	 * @see #unsetWKPU()
	 * @see #getWKPU()
	 * @generated
	 */
	void setWKPU(TypeBoolean value);

	/**
	 * Unsets the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getWKPU <em>WKPU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetWKPU()
	 * @see #getWKPU()
	 * @see #setWKPU(TypeBoolean)
	 * @generated
	 */
	void unsetWKPU();

	/**
	 * Returns whether the value of the '{@link SystemSparcClockMcu.PERIPHERALSType#getWKPU <em>WKPU</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>WKPU</em>' attribute is set.
	 * @see #unsetWKPU()
	 * @see #getWKPU()
	 * @see #setWKPU(TypeBoolean)
	 * @generated
	 */
	boolean isSetWKPU();

} // PERIPHERALSType
