/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.DSIZEType;
import SystemSparcClockMcu.DmaTransferControlDescriptorType;
import SystemSparcClockMcu.DmaTransferTypeType;
import SystemSparcClockMcu.SSIZEType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TCDADVANCEDCONFIGURATIONType;
import SystemSparcClockMcu.TypeBoolean;

import java.math.BigInteger;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Dma Transfer Control Descriptor Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getTCDADVANCEDCONFIGURATION <em>TCDADVANCEDCONFIGURATION</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getDLASTSGA <em>DLASTSGA</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getDmaTransferType <em>Dma Transfer Type</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getDMOD <em>DMOD</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getDOFF <em>DOFF</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getDSIZE <em>DSIZE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getINTHALF <em>INTHALF</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getINTMAJ <em>INTMAJ</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getName <em>Name</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getSLAST <em>SLAST</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getSMOD <em>SMOD</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getSOFF <em>SOFF</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DmaTransferControlDescriptorTypeImpl#getSSIZE <em>SSIZE</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class DmaTransferControlDescriptorTypeImpl extends EObjectImpl implements DmaTransferControlDescriptorType {
	/**
	 * The cached value of the '{@link #getTCDADVANCEDCONFIGURATION() <em>TCDADVANCEDCONFIGURATION</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTCDADVANCEDCONFIGURATION()
	 * @generated
	 * @ordered
	 */
	protected TCDADVANCEDCONFIGURATIONType tCDADVANCEDCONFIGURATION;

	/**
	 * The default value of the '{@link #getDLASTSGA() <em>DLASTSGA</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDLASTSGA()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DLASTSGA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDLASTSGA() <em>DLASTSGA</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDLASTSGA()
	 * @generated
	 * @ordered
	 */
	protected BigInteger dLASTSGA = DLASTSGA_EDEFAULT;

	/**
	 * The default value of the '{@link #getDmaTransferType() <em>Dma Transfer Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaTransferType()
	 * @generated
	 * @ordered
	 */
	protected static final DmaTransferTypeType DMA_TRANSFER_TYPE_EDEFAULT = DmaTransferTypeType.SINGLE;

	/**
	 * The cached value of the '{@link #getDmaTransferType() <em>Dma Transfer Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaTransferType()
	 * @generated
	 * @ordered
	 */
	protected DmaTransferTypeType dmaTransferType = DMA_TRANSFER_TYPE_EDEFAULT;

	/**
	 * This is true if the Dma Transfer Type attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dmaTransferTypeESet;

	/**
	 * The default value of the '{@link #getDMOD() <em>DMOD</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMOD()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DMOD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDMOD() <em>DMOD</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMOD()
	 * @generated
	 * @ordered
	 */
	protected BigInteger dMOD = DMOD_EDEFAULT;

	/**
	 * The default value of the '{@link #getDOFF() <em>DOFF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDOFF()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DOFF_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDOFF() <em>DOFF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDOFF()
	 * @generated
	 * @ordered
	 */
	protected BigInteger dOFF = DOFF_EDEFAULT;

	/**
	 * The default value of the '{@link #getDSIZE() <em>DSIZE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSIZE()
	 * @generated
	 * @ordered
	 */
	protected static final DSIZEType DSIZE_EDEFAULT = DSIZEType.SIZE8_BIT;

	/**
	 * The cached value of the '{@link #getDSIZE() <em>DSIZE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSIZE()
	 * @generated
	 * @ordered
	 */
	protected DSIZEType dSIZE = DSIZE_EDEFAULT;

	/**
	 * This is true if the DSIZE attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSIZEESet;

	/**
	 * The default value of the '{@link #getINTHALF() <em>INTHALF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getINTHALF()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean INTHALF_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getINTHALF() <em>INTHALF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getINTHALF()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean iNTHALF = INTHALF_EDEFAULT;

	/**
	 * This is true if the INTHALF attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean iNTHALFESet;

	/**
	 * The default value of the '{@link #getINTMAJ() <em>INTMAJ</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getINTMAJ()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean INTMAJ_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getINTMAJ() <em>INTMAJ</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getINTMAJ()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean iNTMAJ = INTMAJ_EDEFAULT;

	/**
	 * This is true if the INTMAJ attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean iNTMAJESet;

	/**
	 * The default value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected static final String NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected String name = NAME_EDEFAULT;

	/**
	 * The default value of the '{@link #getSLAST() <em>SLAST</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSLAST()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger SLAST_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSLAST() <em>SLAST</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSLAST()
	 * @generated
	 * @ordered
	 */
	protected BigInteger sLAST = SLAST_EDEFAULT;

	/**
	 * The default value of the '{@link #getSMOD() <em>SMOD</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSMOD()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger SMOD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSMOD() <em>SMOD</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSMOD()
	 * @generated
	 * @ordered
	 */
	protected BigInteger sMOD = SMOD_EDEFAULT;

	/**
	 * The default value of the '{@link #getSOFF() <em>SOFF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSOFF()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger SOFF_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSOFF() <em>SOFF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSOFF()
	 * @generated
	 * @ordered
	 */
	protected BigInteger sOFF = SOFF_EDEFAULT;

	/**
	 * The default value of the '{@link #getSSIZE() <em>SSIZE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSSIZE()
	 * @generated
	 * @ordered
	 */
	protected static final SSIZEType SSIZE_EDEFAULT = SSIZEType.SIZE8_BIT;

	/**
	 * The cached value of the '{@link #getSSIZE() <em>SSIZE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSSIZE()
	 * @generated
	 * @ordered
	 */
	protected SSIZEType sSIZE = SSIZE_EDEFAULT;

	/**
	 * This is true if the SSIZE attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sSIZEESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DmaTransferControlDescriptorTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getDmaTransferControlDescriptorType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TCDADVANCEDCONFIGURATIONType getTCDADVANCEDCONFIGURATION() {
		return tCDADVANCEDCONFIGURATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetTCDADVANCEDCONFIGURATION(TCDADVANCEDCONFIGURATIONType newTCDADVANCEDCONFIGURATION, NotificationChain msgs) {
		TCDADVANCEDCONFIGURATIONType oldTCDADVANCEDCONFIGURATION = tCDADVANCEDCONFIGURATION;
		tCDADVANCEDCONFIGURATION = newTCDADVANCEDCONFIGURATION;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION, oldTCDADVANCEDCONFIGURATION, newTCDADVANCEDCONFIGURATION);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTCDADVANCEDCONFIGURATION(TCDADVANCEDCONFIGURATIONType newTCDADVANCEDCONFIGURATION) {
		if (newTCDADVANCEDCONFIGURATION != tCDADVANCEDCONFIGURATION) {
			NotificationChain msgs = null;
			if (tCDADVANCEDCONFIGURATION != null)
				msgs = ((InternalEObject)tCDADVANCEDCONFIGURATION).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION, null, msgs);
			if (newTCDADVANCEDCONFIGURATION != null)
				msgs = ((InternalEObject)newTCDADVANCEDCONFIGURATION).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION, null, msgs);
			msgs = basicSetTCDADVANCEDCONFIGURATION(newTCDADVANCEDCONFIGURATION, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION, newTCDADVANCEDCONFIGURATION, newTCDADVANCEDCONFIGURATION));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDLASTSGA() {
		return dLASTSGA;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDLASTSGA(BigInteger newDLASTSGA) {
		BigInteger oldDLASTSGA = dLASTSGA;
		dLASTSGA = newDLASTSGA;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DLASTSGA, oldDLASTSGA, dLASTSGA));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DmaTransferTypeType getDmaTransferType() {
		return dmaTransferType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaTransferType(DmaTransferTypeType newDmaTransferType) {
		DmaTransferTypeType oldDmaTransferType = dmaTransferType;
		dmaTransferType = newDmaTransferType == null ? DMA_TRANSFER_TYPE_EDEFAULT : newDmaTransferType;
		boolean oldDmaTransferTypeESet = dmaTransferTypeESet;
		dmaTransferTypeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMA_TRANSFER_TYPE, oldDmaTransferType, dmaTransferType, !oldDmaTransferTypeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDmaTransferType() {
		DmaTransferTypeType oldDmaTransferType = dmaTransferType;
		boolean oldDmaTransferTypeESet = dmaTransferTypeESet;
		dmaTransferType = DMA_TRANSFER_TYPE_EDEFAULT;
		dmaTransferTypeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMA_TRANSFER_TYPE, oldDmaTransferType, DMA_TRANSFER_TYPE_EDEFAULT, oldDmaTransferTypeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDmaTransferType() {
		return dmaTransferTypeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDMOD() {
		return dMOD;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDMOD(BigInteger newDMOD) {
		BigInteger oldDMOD = dMOD;
		dMOD = newDMOD;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMOD, oldDMOD, dMOD));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDOFF() {
		return dOFF;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDOFF(BigInteger newDOFF) {
		BigInteger oldDOFF = dOFF;
		dOFF = newDOFF;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DOFF, oldDOFF, dOFF));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DSIZEType getDSIZE() {
		return dSIZE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSIZE(DSIZEType newDSIZE) {
		DSIZEType oldDSIZE = dSIZE;
		dSIZE = newDSIZE == null ? DSIZE_EDEFAULT : newDSIZE;
		boolean oldDSIZEESet = dSIZEESet;
		dSIZEESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DSIZE, oldDSIZE, dSIZE, !oldDSIZEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSIZE() {
		DSIZEType oldDSIZE = dSIZE;
		boolean oldDSIZEESet = dSIZEESet;
		dSIZE = DSIZE_EDEFAULT;
		dSIZEESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DSIZE, oldDSIZE, DSIZE_EDEFAULT, oldDSIZEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSIZE() {
		return dSIZEESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getINTHALF() {
		return iNTHALF;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setINTHALF(TypeBoolean newINTHALF) {
		TypeBoolean oldINTHALF = iNTHALF;
		iNTHALF = newINTHALF == null ? INTHALF_EDEFAULT : newINTHALF;
		boolean oldINTHALFESet = iNTHALFESet;
		iNTHALFESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTHALF, oldINTHALF, iNTHALF, !oldINTHALFESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetINTHALF() {
		TypeBoolean oldINTHALF = iNTHALF;
		boolean oldINTHALFESet = iNTHALFESet;
		iNTHALF = INTHALF_EDEFAULT;
		iNTHALFESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTHALF, oldINTHALF, INTHALF_EDEFAULT, oldINTHALFESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetINTHALF() {
		return iNTHALFESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getINTMAJ() {
		return iNTMAJ;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setINTMAJ(TypeBoolean newINTMAJ) {
		TypeBoolean oldINTMAJ = iNTMAJ;
		iNTMAJ = newINTMAJ == null ? INTMAJ_EDEFAULT : newINTMAJ;
		boolean oldINTMAJESet = iNTMAJESet;
		iNTMAJESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTMAJ, oldINTMAJ, iNTMAJ, !oldINTMAJESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetINTMAJ() {
		TypeBoolean oldINTMAJ = iNTMAJ;
		boolean oldINTMAJESet = iNTMAJESet;
		iNTMAJ = INTMAJ_EDEFAULT;
		iNTMAJESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTMAJ, oldINTMAJ, INTMAJ_EDEFAULT, oldINTMAJESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetINTMAJ() {
		return iNTMAJESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
		return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setName(String newName) {
		String oldName = name;
		name = newName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__NAME, oldName, name));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getSLAST() {
		return sLAST;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSLAST(BigInteger newSLAST) {
		BigInteger oldSLAST = sLAST;
		sLAST = newSLAST;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SLAST, oldSLAST, sLAST));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getSMOD() {
		return sMOD;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSMOD(BigInteger newSMOD) {
		BigInteger oldSMOD = sMOD;
		sMOD = newSMOD;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SMOD, oldSMOD, sMOD));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getSOFF() {
		return sOFF;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSOFF(BigInteger newSOFF) {
		BigInteger oldSOFF = sOFF;
		sOFF = newSOFF;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SOFF, oldSOFF, sOFF));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SSIZEType getSSIZE() {
		return sSIZE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSSIZE(SSIZEType newSSIZE) {
		SSIZEType oldSSIZE = sSIZE;
		sSIZE = newSSIZE == null ? SSIZE_EDEFAULT : newSSIZE;
		boolean oldSSIZEESet = sSIZEESet;
		sSIZEESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SSIZE, oldSSIZE, sSIZE, !oldSSIZEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSSIZE() {
		SSIZEType oldSSIZE = sSIZE;
		boolean oldSSIZEESet = sSIZEESet;
		sSIZE = SSIZE_EDEFAULT;
		sSIZEESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SSIZE, oldSSIZE, SSIZE_EDEFAULT, oldSSIZEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSSIZE() {
		return sSIZEESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION:
				return basicSetTCDADVANCEDCONFIGURATION(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION:
				return getTCDADVANCEDCONFIGURATION();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DLASTSGA:
				return getDLASTSGA();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMA_TRANSFER_TYPE:
				return getDmaTransferType();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMOD:
				return getDMOD();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DOFF:
				return getDOFF();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DSIZE:
				return getDSIZE();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTHALF:
				return getINTHALF();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTMAJ:
				return getINTMAJ();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__NAME:
				return getName();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SLAST:
				return getSLAST();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SMOD:
				return getSMOD();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SOFF:
				return getSOFF();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SSIZE:
				return getSSIZE();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION:
				setTCDADVANCEDCONFIGURATION((TCDADVANCEDCONFIGURATIONType)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DLASTSGA:
				setDLASTSGA((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMA_TRANSFER_TYPE:
				setDmaTransferType((DmaTransferTypeType)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMOD:
				setDMOD((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DOFF:
				setDOFF((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DSIZE:
				setDSIZE((DSIZEType)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTHALF:
				setINTHALF((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTMAJ:
				setINTMAJ((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__NAME:
				setName((String)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SLAST:
				setSLAST((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SMOD:
				setSMOD((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SOFF:
				setSOFF((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SSIZE:
				setSSIZE((SSIZEType)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION:
				setTCDADVANCEDCONFIGURATION((TCDADVANCEDCONFIGURATIONType)null);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DLASTSGA:
				setDLASTSGA(DLASTSGA_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMA_TRANSFER_TYPE:
				unsetDmaTransferType();
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMOD:
				setDMOD(DMOD_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DOFF:
				setDOFF(DOFF_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DSIZE:
				unsetDSIZE();
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTHALF:
				unsetINTHALF();
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTMAJ:
				unsetINTMAJ();
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__NAME:
				setName(NAME_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SLAST:
				setSLAST(SLAST_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SMOD:
				setSMOD(SMOD_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SOFF:
				setSOFF(SOFF_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SSIZE:
				unsetSSIZE();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__TCDADVANCEDCONFIGURATION:
				return tCDADVANCEDCONFIGURATION != null;
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DLASTSGA:
				return DLASTSGA_EDEFAULT == null ? dLASTSGA != null : !DLASTSGA_EDEFAULT.equals(dLASTSGA);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMA_TRANSFER_TYPE:
				return isSetDmaTransferType();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DMOD:
				return DMOD_EDEFAULT == null ? dMOD != null : !DMOD_EDEFAULT.equals(dMOD);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DOFF:
				return DOFF_EDEFAULT == null ? dOFF != null : !DOFF_EDEFAULT.equals(dOFF);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__DSIZE:
				return isSetDSIZE();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTHALF:
				return isSetINTHALF();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__INTMAJ:
				return isSetINTMAJ();
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__NAME:
				return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SLAST:
				return SLAST_EDEFAULT == null ? sLAST != null : !SLAST_EDEFAULT.equals(sLAST);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SMOD:
				return SMOD_EDEFAULT == null ? sMOD != null : !SMOD_EDEFAULT.equals(sMOD);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SOFF:
				return SOFF_EDEFAULT == null ? sOFF != null : !SOFF_EDEFAULT.equals(sOFF);
			case SystemSparcClockMcuPackage.DMA_TRANSFER_CONTROL_DESCRIPTOR_TYPE__SSIZE:
				return isSetSSIZE();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (dLASTSGA: ");
		result.append(dLASTSGA);
		result.append(", dmaTransferType: ");
		if (dmaTransferTypeESet) result.append(dmaTransferType); else result.append("<unset>");
		result.append(", dMOD: ");
		result.append(dMOD);
		result.append(", dOFF: ");
		result.append(dOFF);
		result.append(", dSIZE: ");
		if (dSIZEESet) result.append(dSIZE); else result.append("<unset>");
		result.append(", iNTHALF: ");
		if (iNTHALFESet) result.append(iNTHALF); else result.append("<unset>");
		result.append(", iNTMAJ: ");
		if (iNTMAJESet) result.append(iNTMAJ); else result.append("<unset>");
		result.append(", name: ");
		result.append(name);
		result.append(", sLAST: ");
		result.append(sLAST);
		result.append(", sMOD: ");
		result.append(sMOD);
		result.append(", sOFF: ");
		result.append(sOFF);
		result.append(", sSIZE: ");
		if (sSIZEESet) result.append(sSIZE); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //DmaTransferControlDescriptorTypeImpl
