/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.CLOCKType;
import SystemSparcClockMcu.DMAType;
import SystemSparcClockMcu.DocumentRoot;
import SystemSparcClockMcu.ECUMType;
import SystemSparcClockMcu.EMIOSConfAttr;
import SystemSparcClockMcu.LPMType;
import SystemSparcClockMcu.MCUType;
import SystemSparcClockMcu.OSType;
import SystemSparcClockMcu.PITType1;
import SystemSparcClockMcu.SBCTLE826xType;
import SystemSparcClockMcu.SCHMType;
import SystemSparcClockMcu.SPIType;
import SystemSparcClockMcu.STMType1;
import SystemSparcClockMcu.SWSECType;
import SystemSparcClockMcu.SYSTEMType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TIMERSType;
import SystemSparcClockMcu.UTILITIESType;
import SystemSparcClockMcu.WATCHDOGType;

import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EMap;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.EcorePackage;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.impl.EStringToStringMapEntryImpl;

import org.eclipse.emf.ecore.util.BasicFeatureMap;
import org.eclipse.emf.ecore.util.EcoreEMap;
import org.eclipse.emf.ecore.util.FeatureMap;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Document Root</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getMixed <em>Mixed</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getXMLNSPrefixMap <em>XMLNS Prefix Map</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getXSISchemaLocation <em>XSI Schema Location</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getCLOCK <em>CLOCK</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getDMA <em>DMA</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getECUM <em>ECUM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getEMIOS0 <em>EMIOS0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getEMIOS1 <em>EMIOS1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getLPM <em>LPM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getMCU <em>MCU</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getOS <em>OS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getPIT <em>PIT</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getSBCTLE826x <em>SBCTLE82 6x</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getSCHM <em>SCHM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getSPI <em>SPI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getSTM <em>STM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getSWSEC <em>SWSEC</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getSYSTEM <em>SYSTEM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getTIMERS <em>TIMERS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getUTILITIES <em>UTILITIES</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DocumentRootImpl#getWATCHDOG <em>WATCHDOG</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class DocumentRootImpl extends EObjectImpl implements DocumentRoot {
	/**
	 * The cached value of the '{@link #getMixed() <em>Mixed</em>}' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMixed()
	 * @generated
	 * @ordered
	 */
	protected FeatureMap mixed;

	/**
	 * The cached value of the '{@link #getXMLNSPrefixMap() <em>XMLNS Prefix Map</em>}' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXMLNSPrefixMap()
	 * @generated
	 * @ordered
	 */
	protected EMap<String, String> xMLNSPrefixMap;

	/**
	 * The cached value of the '{@link #getXSISchemaLocation() <em>XSI Schema Location</em>}' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXSISchemaLocation()
	 * @generated
	 * @ordered
	 */
	protected EMap<String, String> xSISchemaLocation;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DocumentRootImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FeatureMap getMixed() {
		if (mixed == null) {
			mixed = new BasicFeatureMap(this, SystemSparcClockMcuPackage.DOCUMENT_ROOT__MIXED);
		}
		return mixed;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EMap<String, String> getXMLNSPrefixMap() {
		if (xMLNSPrefixMap == null) {
			xMLNSPrefixMap = new EcoreEMap<String,String>(EcorePackage.Literals.ESTRING_TO_STRING_MAP_ENTRY, EStringToStringMapEntryImpl.class, this, SystemSparcClockMcuPackage.DOCUMENT_ROOT__XMLNS_PREFIX_MAP);
		}
		return xMLNSPrefixMap;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EMap<String, String> getXSISchemaLocation() {
		if (xSISchemaLocation == null) {
			xSISchemaLocation = new EcoreEMap<String,String>(EcorePackage.Literals.ESTRING_TO_STRING_MAP_ENTRY, EStringToStringMapEntryImpl.class, this, SystemSparcClockMcuPackage.DOCUMENT_ROOT__XSI_SCHEMA_LOCATION);
		}
		return xSISchemaLocation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CLOCKType getCLOCK() {
		return (CLOCKType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_CLOCK(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetCLOCK(CLOCKType newCLOCK, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_CLOCK(), newCLOCK, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCLOCK(CLOCKType newCLOCK) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_CLOCK(), newCLOCK);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DMAType getDMA() {
		return (DMAType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_DMA(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDMA(DMAType newDMA, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_DMA(), newDMA, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDMA(DMAType newDMA) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_DMA(), newDMA);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ECUMType getECUM() {
		return (ECUMType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_ECUM(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetECUM(ECUMType newECUM, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_ECUM(), newECUM, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setECUM(ECUMType newECUM) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_ECUM(), newECUM);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EMIOSConfAttr getEMIOS0() {
		return (EMIOSConfAttr)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_EMIOS0(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetEMIOS0(EMIOSConfAttr newEMIOS0, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_EMIOS0(), newEMIOS0, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEMIOS0(EMIOSConfAttr newEMIOS0) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_EMIOS0(), newEMIOS0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EMIOSConfAttr getEMIOS1() {
		return (EMIOSConfAttr)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_EMIOS1(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetEMIOS1(EMIOSConfAttr newEMIOS1, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_EMIOS1(), newEMIOS1, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEMIOS1(EMIOSConfAttr newEMIOS1) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_EMIOS1(), newEMIOS1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LPMType getLPM() {
		return (LPMType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_LPM(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetLPM(LPMType newLPM, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_LPM(), newLPM, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLPM(LPMType newLPM) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_LPM(), newLPM);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MCUType getMCU() {
		return (MCUType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_MCU(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetMCU(MCUType newMCU, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_MCU(), newMCU, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMCU(MCUType newMCU) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_MCU(), newMCU);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OSType getOS() {
		return (OSType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_OS(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOS(OSType newOS, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_OS(), newOS, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOS(OSType newOS) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_OS(), newOS);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PITType1 getPIT() {
		return (PITType1)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_PIT(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPIT(PITType1 newPIT, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_PIT(), newPIT, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPIT(PITType1 newPIT) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_PIT(), newPIT);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SBCTLE826xType getSBCTLE826x() {
		return (SBCTLE826xType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SBCTLE826x(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSBCTLE826x(SBCTLE826xType newSBCTLE826x, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SBCTLE826x(), newSBCTLE826x, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSBCTLE826x(SBCTLE826xType newSBCTLE826x) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SBCTLE826x(), newSBCTLE826x);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SCHMType getSCHM() {
		return (SCHMType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SCHM(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSCHM(SCHMType newSCHM, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SCHM(), newSCHM, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSCHM(SCHMType newSCHM) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SCHM(), newSCHM);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SPIType getSPI() {
		return (SPIType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SPI(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSPI(SPIType newSPI, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SPI(), newSPI, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSPI(SPIType newSPI) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SPI(), newSPI);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public STMType1 getSTM() {
		return (STMType1)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_STM(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSTM(STMType1 newSTM, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_STM(), newSTM, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSTM(STMType1 newSTM) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_STM(), newSTM);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SWSECType getSWSEC() {
		return (SWSECType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SWSEC(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSWSEC(SWSECType newSWSEC, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SWSEC(), newSWSEC, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSWSEC(SWSECType newSWSEC) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SWSEC(), newSWSEC);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SYSTEMType getSYSTEM() {
		return (SYSTEMType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SYSTEM(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSYSTEM(SYSTEMType newSYSTEM, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SYSTEM(), newSYSTEM, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSYSTEM(SYSTEMType newSYSTEM) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_SYSTEM(), newSYSTEM);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TIMERSType getTIMERS() {
		return (TIMERSType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_TIMERS(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetTIMERS(TIMERSType newTIMERS, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_TIMERS(), newTIMERS, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTIMERS(TIMERSType newTIMERS) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_TIMERS(), newTIMERS);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public UTILITIESType getUTILITIES() {
		return (UTILITIESType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_UTILITIES(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetUTILITIES(UTILITIESType newUTILITIES, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_UTILITIES(), newUTILITIES, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUTILITIES(UTILITIESType newUTILITIES) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_UTILITIES(), newUTILITIES);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public WATCHDOGType getWATCHDOG() {
		return (WATCHDOGType)getMixed().get(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_WATCHDOG(), true);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetWATCHDOG(WATCHDOGType newWATCHDOG, NotificationChain msgs) {
		return ((FeatureMap.Internal)getMixed()).basicAdd(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_WATCHDOG(), newWATCHDOG, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWATCHDOG(WATCHDOGType newWATCHDOG) {
		((FeatureMap.Internal)getMixed()).set(SystemSparcClockMcuPackage.eINSTANCE.getDocumentRoot_WATCHDOG(), newWATCHDOG);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MIXED:
				return ((InternalEList<?>)getMixed()).basicRemove(otherEnd, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XMLNS_PREFIX_MAP:
				return ((InternalEList<?>)getXMLNSPrefixMap()).basicRemove(otherEnd, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XSI_SCHEMA_LOCATION:
				return ((InternalEList<?>)getXSISchemaLocation()).basicRemove(otherEnd, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__CLOCK:
				return basicSetCLOCK(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__DMA:
				return basicSetDMA(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__ECUM:
				return basicSetECUM(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS0:
				return basicSetEMIOS0(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS1:
				return basicSetEMIOS1(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__LPM:
				return basicSetLPM(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MCU:
				return basicSetMCU(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__OS:
				return basicSetOS(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__PIT:
				return basicSetPIT(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SBCTLE82_6X:
				return basicSetSBCTLE826x(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SCHM:
				return basicSetSCHM(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SPI:
				return basicSetSPI(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__STM:
				return basicSetSTM(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SWSEC:
				return basicSetSWSEC(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SYSTEM:
				return basicSetSYSTEM(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__TIMERS:
				return basicSetTIMERS(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__UTILITIES:
				return basicSetUTILITIES(null, msgs);
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__WATCHDOG:
				return basicSetWATCHDOG(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MIXED:
				if (coreType) return getMixed();
				return ((FeatureMap.Internal)getMixed()).getWrapper();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XMLNS_PREFIX_MAP:
				if (coreType) return getXMLNSPrefixMap();
				else return getXMLNSPrefixMap().map();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XSI_SCHEMA_LOCATION:
				if (coreType) return getXSISchemaLocation();
				else return getXSISchemaLocation().map();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__CLOCK:
				return getCLOCK();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__DMA:
				return getDMA();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__ECUM:
				return getECUM();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS0:
				return getEMIOS0();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS1:
				return getEMIOS1();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__LPM:
				return getLPM();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MCU:
				return getMCU();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__OS:
				return getOS();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__PIT:
				return getPIT();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SBCTLE82_6X:
				return getSBCTLE826x();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SCHM:
				return getSCHM();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SPI:
				return getSPI();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__STM:
				return getSTM();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SWSEC:
				return getSWSEC();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SYSTEM:
				return getSYSTEM();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__TIMERS:
				return getTIMERS();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__UTILITIES:
				return getUTILITIES();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__WATCHDOG:
				return getWATCHDOG();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MIXED:
				((FeatureMap.Internal)getMixed()).set(newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XMLNS_PREFIX_MAP:
				((EStructuralFeature.Setting)getXMLNSPrefixMap()).set(newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XSI_SCHEMA_LOCATION:
				((EStructuralFeature.Setting)getXSISchemaLocation()).set(newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__CLOCK:
				setCLOCK((CLOCKType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__DMA:
				setDMA((DMAType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__ECUM:
				setECUM((ECUMType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS0:
				setEMIOS0((EMIOSConfAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS1:
				setEMIOS1((EMIOSConfAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__LPM:
				setLPM((LPMType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MCU:
				setMCU((MCUType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__OS:
				setOS((OSType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__PIT:
				setPIT((PITType1)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SBCTLE82_6X:
				setSBCTLE826x((SBCTLE826xType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SCHM:
				setSCHM((SCHMType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SPI:
				setSPI((SPIType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__STM:
				setSTM((STMType1)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SWSEC:
				setSWSEC((SWSECType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SYSTEM:
				setSYSTEM((SYSTEMType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__TIMERS:
				setTIMERS((TIMERSType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__UTILITIES:
				setUTILITIES((UTILITIESType)newValue);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__WATCHDOG:
				setWATCHDOG((WATCHDOGType)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MIXED:
				getMixed().clear();
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XMLNS_PREFIX_MAP:
				getXMLNSPrefixMap().clear();
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XSI_SCHEMA_LOCATION:
				getXSISchemaLocation().clear();
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__CLOCK:
				setCLOCK((CLOCKType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__DMA:
				setDMA((DMAType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__ECUM:
				setECUM((ECUMType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS0:
				setEMIOS0((EMIOSConfAttr)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS1:
				setEMIOS1((EMIOSConfAttr)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__LPM:
				setLPM((LPMType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MCU:
				setMCU((MCUType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__OS:
				setOS((OSType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__PIT:
				setPIT((PITType1)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SBCTLE82_6X:
				setSBCTLE826x((SBCTLE826xType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SCHM:
				setSCHM((SCHMType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SPI:
				setSPI((SPIType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__STM:
				setSTM((STMType1)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SWSEC:
				setSWSEC((SWSECType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SYSTEM:
				setSYSTEM((SYSTEMType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__TIMERS:
				setTIMERS((TIMERSType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__UTILITIES:
				setUTILITIES((UTILITIESType)null);
				return;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__WATCHDOG:
				setWATCHDOG((WATCHDOGType)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MIXED:
				return mixed != null && !mixed.isEmpty();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XMLNS_PREFIX_MAP:
				return xMLNSPrefixMap != null && !xMLNSPrefixMap.isEmpty();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__XSI_SCHEMA_LOCATION:
				return xSISchemaLocation != null && !xSISchemaLocation.isEmpty();
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__CLOCK:
				return getCLOCK() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__DMA:
				return getDMA() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__ECUM:
				return getECUM() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS0:
				return getEMIOS0() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__EMIOS1:
				return getEMIOS1() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__LPM:
				return getLPM() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__MCU:
				return getMCU() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__OS:
				return getOS() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__PIT:
				return getPIT() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SBCTLE82_6X:
				return getSBCTLE826x() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SCHM:
				return getSCHM() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SPI:
				return getSPI() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__STM:
				return getSTM() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SWSEC:
				return getSWSEC() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__SYSTEM:
				return getSYSTEM() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__TIMERS:
				return getTIMERS() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__UTILITIES:
				return getUTILITIES() != null;
			case SystemSparcClockMcuPackage.DOCUMENT_ROOT__WATCHDOG:
				return getWATCHDOG() != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (mixed: ");
		result.append(mixed);
		result.append(')');
		return result.toString();
	}

} //DocumentRootImpl
