/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.OSALARMSType;
import SystemSparcClockMcu.OSAPPLICATIONType;
import SystemSparcClockMcu.OSISRSType;
import SystemSparcClockMcu.OSRESOURCESType;
import SystemSparcClockMcu.OSTASKSType;
import SystemSparcClockMcu.OSType;
import SystemSparcClockMcu.OsScalabilityClassType;
import SystemSparcClockMcu.OsStatusType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;

import java.math.BigInteger;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>OS Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOSALARMS <em>OSALARMS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOSAPPLICATION <em>OSAPPLICATION</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOSISRS <em>OSISRS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOSRESOURCES <em>OSRESOURCES</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOSTASKS <em>OSTASKS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsDebugLevel <em>Os Debug Level</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsErrorHook <em>Os Error Hook</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsIsrHooks <em>Os Isr Hooks</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsIsrStackSize <em>Os Isr Stack Size</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsPeriod <em>Os Period</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsPostTaskHook <em>Os Post Task Hook</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsPreTaskHook <em>Os Pre Task Hook</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsProtectionHook <em>Os Protection Hook</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsScalabilityClass <em>Os Scalability Class</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.OSTypeImpl#getOsStatus <em>Os Status</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class OSTypeImpl extends EObjectImpl implements OSType {
	/**
	 * The cached value of the '{@link #getOSALARMS() <em>OSALARMS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOSALARMS()
	 * @generated
	 * @ordered
	 */
	protected OSALARMSType oSALARMS;

	/**
	 * The cached value of the '{@link #getOSAPPLICATION() <em>OSAPPLICATION</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOSAPPLICATION()
	 * @generated
	 * @ordered
	 */
	protected EList<OSAPPLICATIONType> oSAPPLICATION;

	/**
	 * The cached value of the '{@link #getOSISRS() <em>OSISRS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOSISRS()
	 * @generated
	 * @ordered
	 */
	protected OSISRSType oSISRS;

	/**
	 * The cached value of the '{@link #getOSRESOURCES() <em>OSRESOURCES</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOSRESOURCES()
	 * @generated
	 * @ordered
	 */
	protected OSRESOURCESType oSRESOURCES;

	/**
	 * The cached value of the '{@link #getOSTASKS() <em>OSTASKS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOSTASKS()
	 * @generated
	 * @ordered
	 */
	protected OSTASKSType oSTASKS;

	/**
	 * The default value of the '{@link #getOsDebugLevel() <em>Os Debug Level</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsDebugLevel()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger OS_DEBUG_LEVEL_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOsDebugLevel() <em>Os Debug Level</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsDebugLevel()
	 * @generated
	 * @ordered
	 */
	protected BigInteger osDebugLevel = OS_DEBUG_LEVEL_EDEFAULT;

	/**
	 * The default value of the '{@link #getOsErrorHook() <em>Os Error Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsErrorHook()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean OS_ERROR_HOOK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getOsErrorHook() <em>Os Error Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsErrorHook()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean osErrorHook = OS_ERROR_HOOK_EDEFAULT;

	/**
	 * This is true if the Os Error Hook attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osErrorHookESet;

	/**
	 * The default value of the '{@link #getOsIsrHooks() <em>Os Isr Hooks</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsIsrHooks()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean OS_ISR_HOOKS_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getOsIsrHooks() <em>Os Isr Hooks</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsIsrHooks()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean osIsrHooks = OS_ISR_HOOKS_EDEFAULT;

	/**
	 * This is true if the Os Isr Hooks attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osIsrHooksESet;

	/**
	 * The default value of the '{@link #getOsIsrStackSize() <em>Os Isr Stack Size</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsIsrStackSize()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger OS_ISR_STACK_SIZE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOsIsrStackSize() <em>Os Isr Stack Size</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsIsrStackSize()
	 * @generated
	 * @ordered
	 */
	protected BigInteger osIsrStackSize = OS_ISR_STACK_SIZE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOsPeriod() <em>Os Period</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsPeriod()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger OS_PERIOD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOsPeriod() <em>Os Period</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsPeriod()
	 * @generated
	 * @ordered
	 */
	protected BigInteger osPeriod = OS_PERIOD_EDEFAULT;

	/**
	 * The default value of the '{@link #getOsPostTaskHook() <em>Os Post Task Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsPostTaskHook()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean OS_POST_TASK_HOOK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getOsPostTaskHook() <em>Os Post Task Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsPostTaskHook()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean osPostTaskHook = OS_POST_TASK_HOOK_EDEFAULT;

	/**
	 * This is true if the Os Post Task Hook attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osPostTaskHookESet;

	/**
	 * The default value of the '{@link #getOsPreTaskHook() <em>Os Pre Task Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsPreTaskHook()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean OS_PRE_TASK_HOOK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getOsPreTaskHook() <em>Os Pre Task Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsPreTaskHook()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean osPreTaskHook = OS_PRE_TASK_HOOK_EDEFAULT;

	/**
	 * This is true if the Os Pre Task Hook attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osPreTaskHookESet;

	/**
	 * The default value of the '{@link #getOsProtectionHook() <em>Os Protection Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsProtectionHook()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean OS_PROTECTION_HOOK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getOsProtectionHook() <em>Os Protection Hook</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsProtectionHook()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean osProtectionHook = OS_PROTECTION_HOOK_EDEFAULT;

	/**
	 * This is true if the Os Protection Hook attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osProtectionHookESet;

	/**
	 * The default value of the '{@link #getOsScalabilityClass() <em>Os Scalability Class</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsScalabilityClass()
	 * @generated
	 * @ordered
	 */
	protected static final OsScalabilityClassType OS_SCALABILITY_CLASS_EDEFAULT = OsScalabilityClassType.SC1;

	/**
	 * The cached value of the '{@link #getOsScalabilityClass() <em>Os Scalability Class</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsScalabilityClass()
	 * @generated
	 * @ordered
	 */
	protected OsScalabilityClassType osScalabilityClass = OS_SCALABILITY_CLASS_EDEFAULT;

	/**
	 * This is true if the Os Scalability Class attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osScalabilityClassESet;

	/**
	 * The default value of the '{@link #getOsStatus() <em>Os Status</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsStatus()
	 * @generated
	 * @ordered
	 */
	protected static final OsStatusType OS_STATUS_EDEFAULT = OsStatusType.EXTENDED;

	/**
	 * The cached value of the '{@link #getOsStatus() <em>Os Status</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsStatus()
	 * @generated
	 * @ordered
	 */
	protected OsStatusType osStatus = OS_STATUS_EDEFAULT;

	/**
	 * This is true if the Os Status attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean osStatusESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OSTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getOSType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OSALARMSType getOSALARMS() {
		return oSALARMS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOSALARMS(OSALARMSType newOSALARMS, NotificationChain msgs) {
		OSALARMSType oldOSALARMS = oSALARMS;
		oSALARMS = newOSALARMS;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSALARMS, oldOSALARMS, newOSALARMS);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOSALARMS(OSALARMSType newOSALARMS) {
		if (newOSALARMS != oSALARMS) {
			NotificationChain msgs = null;
			if (oSALARMS != null)
				msgs = ((InternalEObject)oSALARMS).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSALARMS, null, msgs);
			if (newOSALARMS != null)
				msgs = ((InternalEObject)newOSALARMS).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSALARMS, null, msgs);
			msgs = basicSetOSALARMS(newOSALARMS, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSALARMS, newOSALARMS, newOSALARMS));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<OSAPPLICATIONType> getOSAPPLICATION() {
		if (oSAPPLICATION == null) {
			oSAPPLICATION = new EObjectContainmentEList<OSAPPLICATIONType>(OSAPPLICATIONType.class, this, SystemSparcClockMcuPackage.OS_TYPE__OSAPPLICATION);
		}
		return oSAPPLICATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OSISRSType getOSISRS() {
		return oSISRS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOSISRS(OSISRSType newOSISRS, NotificationChain msgs) {
		OSISRSType oldOSISRS = oSISRS;
		oSISRS = newOSISRS;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSISRS, oldOSISRS, newOSISRS);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOSISRS(OSISRSType newOSISRS) {
		if (newOSISRS != oSISRS) {
			NotificationChain msgs = null;
			if (oSISRS != null)
				msgs = ((InternalEObject)oSISRS).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSISRS, null, msgs);
			if (newOSISRS != null)
				msgs = ((InternalEObject)newOSISRS).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSISRS, null, msgs);
			msgs = basicSetOSISRS(newOSISRS, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSISRS, newOSISRS, newOSISRS));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OSRESOURCESType getOSRESOURCES() {
		return oSRESOURCES;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOSRESOURCES(OSRESOURCESType newOSRESOURCES, NotificationChain msgs) {
		OSRESOURCESType oldOSRESOURCES = oSRESOURCES;
		oSRESOURCES = newOSRESOURCES;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES, oldOSRESOURCES, newOSRESOURCES);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOSRESOURCES(OSRESOURCESType newOSRESOURCES) {
		if (newOSRESOURCES != oSRESOURCES) {
			NotificationChain msgs = null;
			if (oSRESOURCES != null)
				msgs = ((InternalEObject)oSRESOURCES).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES, null, msgs);
			if (newOSRESOURCES != null)
				msgs = ((InternalEObject)newOSRESOURCES).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES, null, msgs);
			msgs = basicSetOSRESOURCES(newOSRESOURCES, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES, newOSRESOURCES, newOSRESOURCES));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OSTASKSType getOSTASKS() {
		return oSTASKS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOSTASKS(OSTASKSType newOSTASKS, NotificationChain msgs) {
		OSTASKSType oldOSTASKS = oSTASKS;
		oSTASKS = newOSTASKS;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSTASKS, oldOSTASKS, newOSTASKS);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOSTASKS(OSTASKSType newOSTASKS) {
		if (newOSTASKS != oSTASKS) {
			NotificationChain msgs = null;
			if (oSTASKS != null)
				msgs = ((InternalEObject)oSTASKS).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSTASKS, null, msgs);
			if (newOSTASKS != null)
				msgs = ((InternalEObject)newOSTASKS).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.OS_TYPE__OSTASKS, null, msgs);
			msgs = basicSetOSTASKS(newOSTASKS, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OSTASKS, newOSTASKS, newOSTASKS));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getOsDebugLevel() {
		return osDebugLevel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsDebugLevel(BigInteger newOsDebugLevel) {
		BigInteger oldOsDebugLevel = osDebugLevel;
		osDebugLevel = newOsDebugLevel;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_DEBUG_LEVEL, oldOsDebugLevel, osDebugLevel));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getOsErrorHook() {
		return osErrorHook;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsErrorHook(TypeBoolean newOsErrorHook) {
		TypeBoolean oldOsErrorHook = osErrorHook;
		osErrorHook = newOsErrorHook == null ? OS_ERROR_HOOK_EDEFAULT : newOsErrorHook;
		boolean oldOsErrorHookESet = osErrorHookESet;
		osErrorHookESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_ERROR_HOOK, oldOsErrorHook, osErrorHook, !oldOsErrorHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsErrorHook() {
		TypeBoolean oldOsErrorHook = osErrorHook;
		boolean oldOsErrorHookESet = osErrorHookESet;
		osErrorHook = OS_ERROR_HOOK_EDEFAULT;
		osErrorHookESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_ERROR_HOOK, oldOsErrorHook, OS_ERROR_HOOK_EDEFAULT, oldOsErrorHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsErrorHook() {
		return osErrorHookESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getOsIsrHooks() {
		return osIsrHooks;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsIsrHooks(TypeBoolean newOsIsrHooks) {
		TypeBoolean oldOsIsrHooks = osIsrHooks;
		osIsrHooks = newOsIsrHooks == null ? OS_ISR_HOOKS_EDEFAULT : newOsIsrHooks;
		boolean oldOsIsrHooksESet = osIsrHooksESet;
		osIsrHooksESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_HOOKS, oldOsIsrHooks, osIsrHooks, !oldOsIsrHooksESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsIsrHooks() {
		TypeBoolean oldOsIsrHooks = osIsrHooks;
		boolean oldOsIsrHooksESet = osIsrHooksESet;
		osIsrHooks = OS_ISR_HOOKS_EDEFAULT;
		osIsrHooksESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_HOOKS, oldOsIsrHooks, OS_ISR_HOOKS_EDEFAULT, oldOsIsrHooksESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsIsrHooks() {
		return osIsrHooksESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getOsIsrStackSize() {
		return osIsrStackSize;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsIsrStackSize(BigInteger newOsIsrStackSize) {
		BigInteger oldOsIsrStackSize = osIsrStackSize;
		osIsrStackSize = newOsIsrStackSize;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_STACK_SIZE, oldOsIsrStackSize, osIsrStackSize));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getOsPeriod() {
		return osPeriod;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsPeriod(BigInteger newOsPeriod) {
		BigInteger oldOsPeriod = osPeriod;
		osPeriod = newOsPeriod;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_PERIOD, oldOsPeriod, osPeriod));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getOsPostTaskHook() {
		return osPostTaskHook;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsPostTaskHook(TypeBoolean newOsPostTaskHook) {
		TypeBoolean oldOsPostTaskHook = osPostTaskHook;
		osPostTaskHook = newOsPostTaskHook == null ? OS_POST_TASK_HOOK_EDEFAULT : newOsPostTaskHook;
		boolean oldOsPostTaskHookESet = osPostTaskHookESet;
		osPostTaskHookESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_POST_TASK_HOOK, oldOsPostTaskHook, osPostTaskHook, !oldOsPostTaskHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsPostTaskHook() {
		TypeBoolean oldOsPostTaskHook = osPostTaskHook;
		boolean oldOsPostTaskHookESet = osPostTaskHookESet;
		osPostTaskHook = OS_POST_TASK_HOOK_EDEFAULT;
		osPostTaskHookESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_POST_TASK_HOOK, oldOsPostTaskHook, OS_POST_TASK_HOOK_EDEFAULT, oldOsPostTaskHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsPostTaskHook() {
		return osPostTaskHookESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getOsPreTaskHook() {
		return osPreTaskHook;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsPreTaskHook(TypeBoolean newOsPreTaskHook) {
		TypeBoolean oldOsPreTaskHook = osPreTaskHook;
		osPreTaskHook = newOsPreTaskHook == null ? OS_PRE_TASK_HOOK_EDEFAULT : newOsPreTaskHook;
		boolean oldOsPreTaskHookESet = osPreTaskHookESet;
		osPreTaskHookESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_PRE_TASK_HOOK, oldOsPreTaskHook, osPreTaskHook, !oldOsPreTaskHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsPreTaskHook() {
		TypeBoolean oldOsPreTaskHook = osPreTaskHook;
		boolean oldOsPreTaskHookESet = osPreTaskHookESet;
		osPreTaskHook = OS_PRE_TASK_HOOK_EDEFAULT;
		osPreTaskHookESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_PRE_TASK_HOOK, oldOsPreTaskHook, OS_PRE_TASK_HOOK_EDEFAULT, oldOsPreTaskHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsPreTaskHook() {
		return osPreTaskHookESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getOsProtectionHook() {
		return osProtectionHook;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsProtectionHook(TypeBoolean newOsProtectionHook) {
		TypeBoolean oldOsProtectionHook = osProtectionHook;
		osProtectionHook = newOsProtectionHook == null ? OS_PROTECTION_HOOK_EDEFAULT : newOsProtectionHook;
		boolean oldOsProtectionHookESet = osProtectionHookESet;
		osProtectionHookESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_PROTECTION_HOOK, oldOsProtectionHook, osProtectionHook, !oldOsProtectionHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsProtectionHook() {
		TypeBoolean oldOsProtectionHook = osProtectionHook;
		boolean oldOsProtectionHookESet = osProtectionHookESet;
		osProtectionHook = OS_PROTECTION_HOOK_EDEFAULT;
		osProtectionHookESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_PROTECTION_HOOK, oldOsProtectionHook, OS_PROTECTION_HOOK_EDEFAULT, oldOsProtectionHookESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsProtectionHook() {
		return osProtectionHookESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsScalabilityClassType getOsScalabilityClass() {
		return osScalabilityClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsScalabilityClass(OsScalabilityClassType newOsScalabilityClass) {
		OsScalabilityClassType oldOsScalabilityClass = osScalabilityClass;
		osScalabilityClass = newOsScalabilityClass == null ? OS_SCALABILITY_CLASS_EDEFAULT : newOsScalabilityClass;
		boolean oldOsScalabilityClassESet = osScalabilityClassESet;
		osScalabilityClassESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_SCALABILITY_CLASS, oldOsScalabilityClass, osScalabilityClass, !oldOsScalabilityClassESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsScalabilityClass() {
		OsScalabilityClassType oldOsScalabilityClass = osScalabilityClass;
		boolean oldOsScalabilityClassESet = osScalabilityClassESet;
		osScalabilityClass = OS_SCALABILITY_CLASS_EDEFAULT;
		osScalabilityClassESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_SCALABILITY_CLASS, oldOsScalabilityClass, OS_SCALABILITY_CLASS_EDEFAULT, oldOsScalabilityClassESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsScalabilityClass() {
		return osScalabilityClassESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OsStatusType getOsStatus() {
		return osStatus;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsStatus(OsStatusType newOsStatus) {
		OsStatusType oldOsStatus = osStatus;
		osStatus = newOsStatus == null ? OS_STATUS_EDEFAULT : newOsStatus;
		boolean oldOsStatusESet = osStatusESet;
		osStatusESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.OS_TYPE__OS_STATUS, oldOsStatus, osStatus, !oldOsStatusESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetOsStatus() {
		OsStatusType oldOsStatus = osStatus;
		boolean oldOsStatusESet = osStatusESet;
		osStatus = OS_STATUS_EDEFAULT;
		osStatusESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.OS_TYPE__OS_STATUS, oldOsStatus, OS_STATUS_EDEFAULT, oldOsStatusESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetOsStatus() {
		return osStatusESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.OS_TYPE__OSALARMS:
				return basicSetOSALARMS(null, msgs);
			case SystemSparcClockMcuPackage.OS_TYPE__OSAPPLICATION:
				return ((InternalEList<?>)getOSAPPLICATION()).basicRemove(otherEnd, msgs);
			case SystemSparcClockMcuPackage.OS_TYPE__OSISRS:
				return basicSetOSISRS(null, msgs);
			case SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES:
				return basicSetOSRESOURCES(null, msgs);
			case SystemSparcClockMcuPackage.OS_TYPE__OSTASKS:
				return basicSetOSTASKS(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.OS_TYPE__OSALARMS:
				return getOSALARMS();
			case SystemSparcClockMcuPackage.OS_TYPE__OSAPPLICATION:
				return getOSAPPLICATION();
			case SystemSparcClockMcuPackage.OS_TYPE__OSISRS:
				return getOSISRS();
			case SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES:
				return getOSRESOURCES();
			case SystemSparcClockMcuPackage.OS_TYPE__OSTASKS:
				return getOSTASKS();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_DEBUG_LEVEL:
				return getOsDebugLevel();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ERROR_HOOK:
				return getOsErrorHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_HOOKS:
				return getOsIsrHooks();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_STACK_SIZE:
				return getOsIsrStackSize();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PERIOD:
				return getOsPeriod();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_POST_TASK_HOOK:
				return getOsPostTaskHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PRE_TASK_HOOK:
				return getOsPreTaskHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PROTECTION_HOOK:
				return getOsProtectionHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_SCALABILITY_CLASS:
				return getOsScalabilityClass();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_STATUS:
				return getOsStatus();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.OS_TYPE__OSALARMS:
				setOSALARMS((OSALARMSType)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSAPPLICATION:
				getOSAPPLICATION().clear();
				getOSAPPLICATION().addAll((Collection<? extends OSAPPLICATIONType>)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSISRS:
				setOSISRS((OSISRSType)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES:
				setOSRESOURCES((OSRESOURCESType)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSTASKS:
				setOSTASKS((OSTASKSType)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_DEBUG_LEVEL:
				setOsDebugLevel((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ERROR_HOOK:
				setOsErrorHook((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_HOOKS:
				setOsIsrHooks((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_STACK_SIZE:
				setOsIsrStackSize((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PERIOD:
				setOsPeriod((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_POST_TASK_HOOK:
				setOsPostTaskHook((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PRE_TASK_HOOK:
				setOsPreTaskHook((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PROTECTION_HOOK:
				setOsProtectionHook((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_SCALABILITY_CLASS:
				setOsScalabilityClass((OsScalabilityClassType)newValue);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_STATUS:
				setOsStatus((OsStatusType)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.OS_TYPE__OSALARMS:
				setOSALARMS((OSALARMSType)null);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSAPPLICATION:
				getOSAPPLICATION().clear();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSISRS:
				setOSISRS((OSISRSType)null);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES:
				setOSRESOURCES((OSRESOURCESType)null);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OSTASKS:
				setOSTASKS((OSTASKSType)null);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_DEBUG_LEVEL:
				setOsDebugLevel(OS_DEBUG_LEVEL_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ERROR_HOOK:
				unsetOsErrorHook();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_HOOKS:
				unsetOsIsrHooks();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_STACK_SIZE:
				setOsIsrStackSize(OS_ISR_STACK_SIZE_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PERIOD:
				setOsPeriod(OS_PERIOD_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_POST_TASK_HOOK:
				unsetOsPostTaskHook();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PRE_TASK_HOOK:
				unsetOsPreTaskHook();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PROTECTION_HOOK:
				unsetOsProtectionHook();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_SCALABILITY_CLASS:
				unsetOsScalabilityClass();
				return;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_STATUS:
				unsetOsStatus();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.OS_TYPE__OSALARMS:
				return oSALARMS != null;
			case SystemSparcClockMcuPackage.OS_TYPE__OSAPPLICATION:
				return oSAPPLICATION != null && !oSAPPLICATION.isEmpty();
			case SystemSparcClockMcuPackage.OS_TYPE__OSISRS:
				return oSISRS != null;
			case SystemSparcClockMcuPackage.OS_TYPE__OSRESOURCES:
				return oSRESOURCES != null;
			case SystemSparcClockMcuPackage.OS_TYPE__OSTASKS:
				return oSTASKS != null;
			case SystemSparcClockMcuPackage.OS_TYPE__OS_DEBUG_LEVEL:
				return OS_DEBUG_LEVEL_EDEFAULT == null ? osDebugLevel != null : !OS_DEBUG_LEVEL_EDEFAULT.equals(osDebugLevel);
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ERROR_HOOK:
				return isSetOsErrorHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_HOOKS:
				return isSetOsIsrHooks();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_ISR_STACK_SIZE:
				return OS_ISR_STACK_SIZE_EDEFAULT == null ? osIsrStackSize != null : !OS_ISR_STACK_SIZE_EDEFAULT.equals(osIsrStackSize);
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PERIOD:
				return OS_PERIOD_EDEFAULT == null ? osPeriod != null : !OS_PERIOD_EDEFAULT.equals(osPeriod);
			case SystemSparcClockMcuPackage.OS_TYPE__OS_POST_TASK_HOOK:
				return isSetOsPostTaskHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PRE_TASK_HOOK:
				return isSetOsPreTaskHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_PROTECTION_HOOK:
				return isSetOsProtectionHook();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_SCALABILITY_CLASS:
				return isSetOsScalabilityClass();
			case SystemSparcClockMcuPackage.OS_TYPE__OS_STATUS:
				return isSetOsStatus();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (osDebugLevel: ");
		result.append(osDebugLevel);
		result.append(", osErrorHook: ");
		if (osErrorHookESet) result.append(osErrorHook); else result.append("<unset>");
		result.append(", osIsrHooks: ");
		if (osIsrHooksESet) result.append(osIsrHooks); else result.append("<unset>");
		result.append(", osIsrStackSize: ");
		result.append(osIsrStackSize);
		result.append(", osPeriod: ");
		result.append(osPeriod);
		result.append(", osPostTaskHook: ");
		if (osPostTaskHookESet) result.append(osPostTaskHook); else result.append("<unset>");
		result.append(", osPreTaskHook: ");
		if (osPreTaskHookESet) result.append(osPreTaskHook); else result.append("<unset>");
		result.append(", osProtectionHook: ");
		if (osProtectionHookESet) result.append(osProtectionHook); else result.append("<unset>");
		result.append(", osScalabilityClass: ");
		if (osScalabilityClassESet) result.append(osScalabilityClass); else result.append("<unset>");
		result.append(", osStatus: ");
		if (osStatusESet) result.append(osStatus); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //OSTypeImpl
