/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.PERIPHERALSType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>PERIPHERALS Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getADC0 <em>ADC0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getADC1 <em>ADC1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getCANSampler <em>CAN Sampler</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getCMU0 <em>CMU0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getCTU <em>CTU</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDMACHMUX <em>DMACHMUX</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDSPI0 <em>DSPI0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDSPI1 <em>DSPI1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDSPI2 <em>DSPI2</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDSPI3 <em>DSPI3</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDSPI4 <em>DSPI4</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getDSPI5 <em>DSPI5</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getEMIOS0 <em>EMIOS0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getEMIOS1 <em>EMIOS1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getFlexCAN0 <em>Flex CAN0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getFlexCAN1 <em>Flex CAN1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getFlexCAN2 <em>Flex CAN2</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getFlexCAN3 <em>Flex CAN3</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getFlexCAN4 <em>Flex CAN4</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getFlexCAN5 <em>Flex CAN5</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getI2C0 <em>I2C0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX0 <em>LINFLEX0</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX1 <em>LINFLEX1</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX2 <em>LINFLEX2</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX3 <em>LINFLEX3</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX4 <em>LINFLEX4</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX5 <em>LINFLEX5</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX6 <em>LINFLEX6</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX7 <em>LINFLEX7</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX8 <em>LINFLEX8</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getLINFLEX9 <em>LINFLEX9</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getPITRTI <em>PITRTI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getRTCAPI <em>RTCAPI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getSIUL <em>SIUL</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.PERIPHERALSTypeImpl#getWKPU <em>WKPU</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PERIPHERALSTypeImpl extends EObjectImpl implements PERIPHERALSType {
	/**
	 * The default value of the '{@link #getADC0() <em>ADC0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getADC0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean ADC0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getADC0() <em>ADC0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getADC0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean aDC0 = ADC0_EDEFAULT;

	/**
	 * This is true if the ADC0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean aDC0ESet;

	/**
	 * The default value of the '{@link #getADC1() <em>ADC1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getADC1()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean ADC1_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getADC1() <em>ADC1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getADC1()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean aDC1 = ADC1_EDEFAULT;

	/**
	 * This is true if the ADC1 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean aDC1ESet;

	/**
	 * The default value of the '{@link #getCANSampler() <em>CAN Sampler</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCANSampler()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean CAN_SAMPLER_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getCANSampler() <em>CAN Sampler</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCANSampler()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean cANSampler = CAN_SAMPLER_EDEFAULT;

	/**
	 * This is true if the CAN Sampler attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean cANSamplerESet;

	/**
	 * The default value of the '{@link #getCMU0() <em>CMU0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCMU0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean CMU0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getCMU0() <em>CMU0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCMU0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean cMU0 = CMU0_EDEFAULT;

	/**
	 * This is true if the CMU0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean cMU0ESet;

	/**
	 * The default value of the '{@link #getCTU() <em>CTU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCTU()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean CTU_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getCTU() <em>CTU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCTU()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean cTU = CTU_EDEFAULT;

	/**
	 * This is true if the CTU attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean cTUESet;

	/**
	 * The default value of the '{@link #getDMACHMUX() <em>DMACHMUX</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMACHMUX()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DMACHMUX_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDMACHMUX() <em>DMACHMUX</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMACHMUX()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dMACHMUX = DMACHMUX_EDEFAULT;

	/**
	 * This is true if the DMACHMUX attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dMACHMUXESet;

	/**
	 * The default value of the '{@link #getDSPI0() <em>DSPI0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DSPI0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDSPI0() <em>DSPI0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dSPI0 = DSPI0_EDEFAULT;

	/**
	 * This is true if the DSPI0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSPI0ESet;

	/**
	 * The default value of the '{@link #getDSPI1() <em>DSPI1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI1()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DSPI1_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDSPI1() <em>DSPI1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI1()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dSPI1 = DSPI1_EDEFAULT;

	/**
	 * This is true if the DSPI1 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSPI1ESet;

	/**
	 * The default value of the '{@link #getDSPI2() <em>DSPI2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI2()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DSPI2_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDSPI2() <em>DSPI2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI2()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dSPI2 = DSPI2_EDEFAULT;

	/**
	 * This is true if the DSPI2 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSPI2ESet;

	/**
	 * The default value of the '{@link #getDSPI3() <em>DSPI3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI3()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DSPI3_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDSPI3() <em>DSPI3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI3()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dSPI3 = DSPI3_EDEFAULT;

	/**
	 * This is true if the DSPI3 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSPI3ESet;

	/**
	 * The default value of the '{@link #getDSPI4() <em>DSPI4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI4()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DSPI4_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDSPI4() <em>DSPI4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI4()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dSPI4 = DSPI4_EDEFAULT;

	/**
	 * This is true if the DSPI4 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSPI4ESet;

	/**
	 * The default value of the '{@link #getDSPI5() <em>DSPI5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI5()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DSPI5_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDSPI5() <em>DSPI5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDSPI5()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dSPI5 = DSPI5_EDEFAULT;

	/**
	 * This is true if the DSPI5 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dSPI5ESet;

	/**
	 * The default value of the '{@link #getEMIOS0() <em>EMIOS0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEMIOS0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean EMIOS0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getEMIOS0() <em>EMIOS0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEMIOS0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean eMIOS0 = EMIOS0_EDEFAULT;

	/**
	 * This is true if the EMIOS0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean eMIOS0ESet;

	/**
	 * The default value of the '{@link #getEMIOS1() <em>EMIOS1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEMIOS1()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean EMIOS1_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getEMIOS1() <em>EMIOS1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEMIOS1()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean eMIOS1 = EMIOS1_EDEFAULT;

	/**
	 * This is true if the EMIOS1 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean eMIOS1ESet;

	/**
	 * The default value of the '{@link #getFlexCAN0() <em>Flex CAN0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FLEX_CAN0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFlexCAN0() <em>Flex CAN0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean flexCAN0 = FLEX_CAN0_EDEFAULT;

	/**
	 * This is true if the Flex CAN0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean flexCAN0ESet;

	/**
	 * The default value of the '{@link #getFlexCAN1() <em>Flex CAN1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN1()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FLEX_CAN1_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFlexCAN1() <em>Flex CAN1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN1()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean flexCAN1 = FLEX_CAN1_EDEFAULT;

	/**
	 * This is true if the Flex CAN1 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean flexCAN1ESet;

	/**
	 * The default value of the '{@link #getFlexCAN2() <em>Flex CAN2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN2()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FLEX_CAN2_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFlexCAN2() <em>Flex CAN2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN2()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean flexCAN2 = FLEX_CAN2_EDEFAULT;

	/**
	 * This is true if the Flex CAN2 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean flexCAN2ESet;

	/**
	 * The default value of the '{@link #getFlexCAN3() <em>Flex CAN3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN3()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FLEX_CAN3_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFlexCAN3() <em>Flex CAN3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN3()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean flexCAN3 = FLEX_CAN3_EDEFAULT;

	/**
	 * This is true if the Flex CAN3 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean flexCAN3ESet;

	/**
	 * The default value of the '{@link #getFlexCAN4() <em>Flex CAN4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN4()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FLEX_CAN4_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFlexCAN4() <em>Flex CAN4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN4()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean flexCAN4 = FLEX_CAN4_EDEFAULT;

	/**
	 * This is true if the Flex CAN4 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean flexCAN4ESet;

	/**
	 * The default value of the '{@link #getFlexCAN5() <em>Flex CAN5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN5()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FLEX_CAN5_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFlexCAN5() <em>Flex CAN5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFlexCAN5()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean flexCAN5 = FLEX_CAN5_EDEFAULT;

	/**
	 * This is true if the Flex CAN5 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean flexCAN5ESet;

	/**
	 * The default value of the '{@link #getI2C0() <em>I2C0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getI2C0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean I2_C0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getI2C0() <em>I2C0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getI2C0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean i2C0 = I2_C0_EDEFAULT;

	/**
	 * This is true if the I2C0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean i2C0ESet;

	/**
	 * The default value of the '{@link #getLINFLEX0() <em>LINFLEX0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX0()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX0_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX0() <em>LINFLEX0</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX0()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX0 = LINFLEX0_EDEFAULT;

	/**
	 * This is true if the LINFLEX0 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX0ESet;

	/**
	 * The default value of the '{@link #getLINFLEX1() <em>LINFLEX1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX1()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX1_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX1() <em>LINFLEX1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX1()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX1 = LINFLEX1_EDEFAULT;

	/**
	 * This is true if the LINFLEX1 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX1ESet;

	/**
	 * The default value of the '{@link #getLINFLEX2() <em>LINFLEX2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX2()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX2_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX2() <em>LINFLEX2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX2()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX2 = LINFLEX2_EDEFAULT;

	/**
	 * This is true if the LINFLEX2 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX2ESet;

	/**
	 * The default value of the '{@link #getLINFLEX3() <em>LINFLEX3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX3()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX3_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX3() <em>LINFLEX3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX3()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX3 = LINFLEX3_EDEFAULT;

	/**
	 * This is true if the LINFLEX3 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX3ESet;

	/**
	 * The default value of the '{@link #getLINFLEX4() <em>LINFLEX4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX4()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX4_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX4() <em>LINFLEX4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX4()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX4 = LINFLEX4_EDEFAULT;

	/**
	 * This is true if the LINFLEX4 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX4ESet;

	/**
	 * The default value of the '{@link #getLINFLEX5() <em>LINFLEX5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX5()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX5_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX5() <em>LINFLEX5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX5()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX5 = LINFLEX5_EDEFAULT;

	/**
	 * This is true if the LINFLEX5 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX5ESet;

	/**
	 * The default value of the '{@link #getLINFLEX6() <em>LINFLEX6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX6()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX6_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX6() <em>LINFLEX6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX6()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX6 = LINFLEX6_EDEFAULT;

	/**
	 * This is true if the LINFLEX6 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX6ESet;

	/**
	 * The default value of the '{@link #getLINFLEX7() <em>LINFLEX7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX7()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX7_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX7() <em>LINFLEX7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX7()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX7 = LINFLEX7_EDEFAULT;

	/**
	 * This is true if the LINFLEX7 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX7ESet;

	/**
	 * The default value of the '{@link #getLINFLEX8() <em>LINFLEX8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX8()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX8_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX8() <em>LINFLEX8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX8()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX8 = LINFLEX8_EDEFAULT;

	/**
	 * This is true if the LINFLEX8 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX8ESet;

	/**
	 * The default value of the '{@link #getLINFLEX9() <em>LINFLEX9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX9()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LINFLEX9_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getLINFLEX9() <em>LINFLEX9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINFLEX9()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINFLEX9 = LINFLEX9_EDEFAULT;

	/**
	 * This is true if the LINFLEX9 attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINFLEX9ESet;

	/**
	 * The default value of the '{@link #getPITRTI() <em>PITRTI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPITRTI()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean PITRTI_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getPITRTI() <em>PITRTI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPITRTI()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean pITRTI = PITRTI_EDEFAULT;

	/**
	 * This is true if the PITRTI attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean pITRTIESet;

	/**
	 * The default value of the '{@link #getRTCAPI() <em>RTCAPI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRTCAPI()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean RTCAPI_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getRTCAPI() <em>RTCAPI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRTCAPI()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean rTCAPI = RTCAPI_EDEFAULT;

	/**
	 * This is true if the RTCAPI attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean rTCAPIESet;

	/**
	 * The default value of the '{@link #getSIUL() <em>SIUL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSIUL()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SIUL_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSIUL() <em>SIUL</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSIUL()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sIUL = SIUL_EDEFAULT;

	/**
	 * This is true if the SIUL attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sIULESet;

	/**
	 * The default value of the '{@link #getWKPU() <em>WKPU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWKPU()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean WKPU_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getWKPU() <em>WKPU</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWKPU()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean wKPU = WKPU_EDEFAULT;

	/**
	 * This is true if the WKPU attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean wKPUESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PERIPHERALSTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getPERIPHERALSType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getADC0() {
		return aDC0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setADC0(TypeBoolean newADC0) {
		TypeBoolean oldADC0 = aDC0;
		aDC0 = newADC0 == null ? ADC0_EDEFAULT : newADC0;
		boolean oldADC0ESet = aDC0ESet;
		aDC0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC0, oldADC0, aDC0, !oldADC0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetADC0() {
		TypeBoolean oldADC0 = aDC0;
		boolean oldADC0ESet = aDC0ESet;
		aDC0 = ADC0_EDEFAULT;
		aDC0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC0, oldADC0, ADC0_EDEFAULT, oldADC0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetADC0() {
		return aDC0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getADC1() {
		return aDC1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setADC1(TypeBoolean newADC1) {
		TypeBoolean oldADC1 = aDC1;
		aDC1 = newADC1 == null ? ADC1_EDEFAULT : newADC1;
		boolean oldADC1ESet = aDC1ESet;
		aDC1ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC1, oldADC1, aDC1, !oldADC1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetADC1() {
		TypeBoolean oldADC1 = aDC1;
		boolean oldADC1ESet = aDC1ESet;
		aDC1 = ADC1_EDEFAULT;
		aDC1ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC1, oldADC1, ADC1_EDEFAULT, oldADC1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetADC1() {
		return aDC1ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getCANSampler() {
		return cANSampler;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCANSampler(TypeBoolean newCANSampler) {
		TypeBoolean oldCANSampler = cANSampler;
		cANSampler = newCANSampler == null ? CAN_SAMPLER_EDEFAULT : newCANSampler;
		boolean oldCANSamplerESet = cANSamplerESet;
		cANSamplerESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CAN_SAMPLER, oldCANSampler, cANSampler, !oldCANSamplerESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetCANSampler() {
		TypeBoolean oldCANSampler = cANSampler;
		boolean oldCANSamplerESet = cANSamplerESet;
		cANSampler = CAN_SAMPLER_EDEFAULT;
		cANSamplerESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CAN_SAMPLER, oldCANSampler, CAN_SAMPLER_EDEFAULT, oldCANSamplerESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetCANSampler() {
		return cANSamplerESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getCMU0() {
		return cMU0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCMU0(TypeBoolean newCMU0) {
		TypeBoolean oldCMU0 = cMU0;
		cMU0 = newCMU0 == null ? CMU0_EDEFAULT : newCMU0;
		boolean oldCMU0ESet = cMU0ESet;
		cMU0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CMU0, oldCMU0, cMU0, !oldCMU0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetCMU0() {
		TypeBoolean oldCMU0 = cMU0;
		boolean oldCMU0ESet = cMU0ESet;
		cMU0 = CMU0_EDEFAULT;
		cMU0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CMU0, oldCMU0, CMU0_EDEFAULT, oldCMU0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetCMU0() {
		return cMU0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getCTU() {
		return cTU;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCTU(TypeBoolean newCTU) {
		TypeBoolean oldCTU = cTU;
		cTU = newCTU == null ? CTU_EDEFAULT : newCTU;
		boolean oldCTUESet = cTUESet;
		cTUESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CTU, oldCTU, cTU, !oldCTUESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetCTU() {
		TypeBoolean oldCTU = cTU;
		boolean oldCTUESet = cTUESet;
		cTU = CTU_EDEFAULT;
		cTUESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CTU, oldCTU, CTU_EDEFAULT, oldCTUESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetCTU() {
		return cTUESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDMACHMUX() {
		return dMACHMUX;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDMACHMUX(TypeBoolean newDMACHMUX) {
		TypeBoolean oldDMACHMUX = dMACHMUX;
		dMACHMUX = newDMACHMUX == null ? DMACHMUX_EDEFAULT : newDMACHMUX;
		boolean oldDMACHMUXESet = dMACHMUXESet;
		dMACHMUXESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DMACHMUX, oldDMACHMUX, dMACHMUX, !oldDMACHMUXESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDMACHMUX() {
		TypeBoolean oldDMACHMUX = dMACHMUX;
		boolean oldDMACHMUXESet = dMACHMUXESet;
		dMACHMUX = DMACHMUX_EDEFAULT;
		dMACHMUXESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DMACHMUX, oldDMACHMUX, DMACHMUX_EDEFAULT, oldDMACHMUXESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDMACHMUX() {
		return dMACHMUXESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDSPI0() {
		return dSPI0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSPI0(TypeBoolean newDSPI0) {
		TypeBoolean oldDSPI0 = dSPI0;
		dSPI0 = newDSPI0 == null ? DSPI0_EDEFAULT : newDSPI0;
		boolean oldDSPI0ESet = dSPI0ESet;
		dSPI0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI0, oldDSPI0, dSPI0, !oldDSPI0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSPI0() {
		TypeBoolean oldDSPI0 = dSPI0;
		boolean oldDSPI0ESet = dSPI0ESet;
		dSPI0 = DSPI0_EDEFAULT;
		dSPI0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI0, oldDSPI0, DSPI0_EDEFAULT, oldDSPI0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSPI0() {
		return dSPI0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDSPI1() {
		return dSPI1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSPI1(TypeBoolean newDSPI1) {
		TypeBoolean oldDSPI1 = dSPI1;
		dSPI1 = newDSPI1 == null ? DSPI1_EDEFAULT : newDSPI1;
		boolean oldDSPI1ESet = dSPI1ESet;
		dSPI1ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI1, oldDSPI1, dSPI1, !oldDSPI1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSPI1() {
		TypeBoolean oldDSPI1 = dSPI1;
		boolean oldDSPI1ESet = dSPI1ESet;
		dSPI1 = DSPI1_EDEFAULT;
		dSPI1ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI1, oldDSPI1, DSPI1_EDEFAULT, oldDSPI1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSPI1() {
		return dSPI1ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDSPI2() {
		return dSPI2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSPI2(TypeBoolean newDSPI2) {
		TypeBoolean oldDSPI2 = dSPI2;
		dSPI2 = newDSPI2 == null ? DSPI2_EDEFAULT : newDSPI2;
		boolean oldDSPI2ESet = dSPI2ESet;
		dSPI2ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI2, oldDSPI2, dSPI2, !oldDSPI2ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSPI2() {
		TypeBoolean oldDSPI2 = dSPI2;
		boolean oldDSPI2ESet = dSPI2ESet;
		dSPI2 = DSPI2_EDEFAULT;
		dSPI2ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI2, oldDSPI2, DSPI2_EDEFAULT, oldDSPI2ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSPI2() {
		return dSPI2ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDSPI3() {
		return dSPI3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSPI3(TypeBoolean newDSPI3) {
		TypeBoolean oldDSPI3 = dSPI3;
		dSPI3 = newDSPI3 == null ? DSPI3_EDEFAULT : newDSPI3;
		boolean oldDSPI3ESet = dSPI3ESet;
		dSPI3ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI3, oldDSPI3, dSPI3, !oldDSPI3ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSPI3() {
		TypeBoolean oldDSPI3 = dSPI3;
		boolean oldDSPI3ESet = dSPI3ESet;
		dSPI3 = DSPI3_EDEFAULT;
		dSPI3ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI3, oldDSPI3, DSPI3_EDEFAULT, oldDSPI3ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSPI3() {
		return dSPI3ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDSPI4() {
		return dSPI4;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSPI4(TypeBoolean newDSPI4) {
		TypeBoolean oldDSPI4 = dSPI4;
		dSPI4 = newDSPI4 == null ? DSPI4_EDEFAULT : newDSPI4;
		boolean oldDSPI4ESet = dSPI4ESet;
		dSPI4ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI4, oldDSPI4, dSPI4, !oldDSPI4ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSPI4() {
		TypeBoolean oldDSPI4 = dSPI4;
		boolean oldDSPI4ESet = dSPI4ESet;
		dSPI4 = DSPI4_EDEFAULT;
		dSPI4ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI4, oldDSPI4, DSPI4_EDEFAULT, oldDSPI4ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSPI4() {
		return dSPI4ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDSPI5() {
		return dSPI5;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDSPI5(TypeBoolean newDSPI5) {
		TypeBoolean oldDSPI5 = dSPI5;
		dSPI5 = newDSPI5 == null ? DSPI5_EDEFAULT : newDSPI5;
		boolean oldDSPI5ESet = dSPI5ESet;
		dSPI5ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI5, oldDSPI5, dSPI5, !oldDSPI5ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDSPI5() {
		TypeBoolean oldDSPI5 = dSPI5;
		boolean oldDSPI5ESet = dSPI5ESet;
		dSPI5 = DSPI5_EDEFAULT;
		dSPI5ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI5, oldDSPI5, DSPI5_EDEFAULT, oldDSPI5ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDSPI5() {
		return dSPI5ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getEMIOS0() {
		return eMIOS0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEMIOS0(TypeBoolean newEMIOS0) {
		TypeBoolean oldEMIOS0 = eMIOS0;
		eMIOS0 = newEMIOS0 == null ? EMIOS0_EDEFAULT : newEMIOS0;
		boolean oldEMIOS0ESet = eMIOS0ESet;
		eMIOS0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS0, oldEMIOS0, eMIOS0, !oldEMIOS0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetEMIOS0() {
		TypeBoolean oldEMIOS0 = eMIOS0;
		boolean oldEMIOS0ESet = eMIOS0ESet;
		eMIOS0 = EMIOS0_EDEFAULT;
		eMIOS0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS0, oldEMIOS0, EMIOS0_EDEFAULT, oldEMIOS0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetEMIOS0() {
		return eMIOS0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getEMIOS1() {
		return eMIOS1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEMIOS1(TypeBoolean newEMIOS1) {
		TypeBoolean oldEMIOS1 = eMIOS1;
		eMIOS1 = newEMIOS1 == null ? EMIOS1_EDEFAULT : newEMIOS1;
		boolean oldEMIOS1ESet = eMIOS1ESet;
		eMIOS1ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS1, oldEMIOS1, eMIOS1, !oldEMIOS1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetEMIOS1() {
		TypeBoolean oldEMIOS1 = eMIOS1;
		boolean oldEMIOS1ESet = eMIOS1ESet;
		eMIOS1 = EMIOS1_EDEFAULT;
		eMIOS1ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS1, oldEMIOS1, EMIOS1_EDEFAULT, oldEMIOS1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetEMIOS1() {
		return eMIOS1ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFlexCAN0() {
		return flexCAN0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFlexCAN0(TypeBoolean newFlexCAN0) {
		TypeBoolean oldFlexCAN0 = flexCAN0;
		flexCAN0 = newFlexCAN0 == null ? FLEX_CAN0_EDEFAULT : newFlexCAN0;
		boolean oldFlexCAN0ESet = flexCAN0ESet;
		flexCAN0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN0, oldFlexCAN0, flexCAN0, !oldFlexCAN0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFlexCAN0() {
		TypeBoolean oldFlexCAN0 = flexCAN0;
		boolean oldFlexCAN0ESet = flexCAN0ESet;
		flexCAN0 = FLEX_CAN0_EDEFAULT;
		flexCAN0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN0, oldFlexCAN0, FLEX_CAN0_EDEFAULT, oldFlexCAN0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFlexCAN0() {
		return flexCAN0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFlexCAN1() {
		return flexCAN1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFlexCAN1(TypeBoolean newFlexCAN1) {
		TypeBoolean oldFlexCAN1 = flexCAN1;
		flexCAN1 = newFlexCAN1 == null ? FLEX_CAN1_EDEFAULT : newFlexCAN1;
		boolean oldFlexCAN1ESet = flexCAN1ESet;
		flexCAN1ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN1, oldFlexCAN1, flexCAN1, !oldFlexCAN1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFlexCAN1() {
		TypeBoolean oldFlexCAN1 = flexCAN1;
		boolean oldFlexCAN1ESet = flexCAN1ESet;
		flexCAN1 = FLEX_CAN1_EDEFAULT;
		flexCAN1ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN1, oldFlexCAN1, FLEX_CAN1_EDEFAULT, oldFlexCAN1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFlexCAN1() {
		return flexCAN1ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFlexCAN2() {
		return flexCAN2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFlexCAN2(TypeBoolean newFlexCAN2) {
		TypeBoolean oldFlexCAN2 = flexCAN2;
		flexCAN2 = newFlexCAN2 == null ? FLEX_CAN2_EDEFAULT : newFlexCAN2;
		boolean oldFlexCAN2ESet = flexCAN2ESet;
		flexCAN2ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN2, oldFlexCAN2, flexCAN2, !oldFlexCAN2ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFlexCAN2() {
		TypeBoolean oldFlexCAN2 = flexCAN2;
		boolean oldFlexCAN2ESet = flexCAN2ESet;
		flexCAN2 = FLEX_CAN2_EDEFAULT;
		flexCAN2ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN2, oldFlexCAN2, FLEX_CAN2_EDEFAULT, oldFlexCAN2ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFlexCAN2() {
		return flexCAN2ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFlexCAN3() {
		return flexCAN3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFlexCAN3(TypeBoolean newFlexCAN3) {
		TypeBoolean oldFlexCAN3 = flexCAN3;
		flexCAN3 = newFlexCAN3 == null ? FLEX_CAN3_EDEFAULT : newFlexCAN3;
		boolean oldFlexCAN3ESet = flexCAN3ESet;
		flexCAN3ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN3, oldFlexCAN3, flexCAN3, !oldFlexCAN3ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFlexCAN3() {
		TypeBoolean oldFlexCAN3 = flexCAN3;
		boolean oldFlexCAN3ESet = flexCAN3ESet;
		flexCAN3 = FLEX_CAN3_EDEFAULT;
		flexCAN3ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN3, oldFlexCAN3, FLEX_CAN3_EDEFAULT, oldFlexCAN3ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFlexCAN3() {
		return flexCAN3ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFlexCAN4() {
		return flexCAN4;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFlexCAN4(TypeBoolean newFlexCAN4) {
		TypeBoolean oldFlexCAN4 = flexCAN4;
		flexCAN4 = newFlexCAN4 == null ? FLEX_CAN4_EDEFAULT : newFlexCAN4;
		boolean oldFlexCAN4ESet = flexCAN4ESet;
		flexCAN4ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN4, oldFlexCAN4, flexCAN4, !oldFlexCAN4ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFlexCAN4() {
		TypeBoolean oldFlexCAN4 = flexCAN4;
		boolean oldFlexCAN4ESet = flexCAN4ESet;
		flexCAN4 = FLEX_CAN4_EDEFAULT;
		flexCAN4ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN4, oldFlexCAN4, FLEX_CAN4_EDEFAULT, oldFlexCAN4ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFlexCAN4() {
		return flexCAN4ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFlexCAN5() {
		return flexCAN5;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFlexCAN5(TypeBoolean newFlexCAN5) {
		TypeBoolean oldFlexCAN5 = flexCAN5;
		flexCAN5 = newFlexCAN5 == null ? FLEX_CAN5_EDEFAULT : newFlexCAN5;
		boolean oldFlexCAN5ESet = flexCAN5ESet;
		flexCAN5ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN5, oldFlexCAN5, flexCAN5, !oldFlexCAN5ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFlexCAN5() {
		TypeBoolean oldFlexCAN5 = flexCAN5;
		boolean oldFlexCAN5ESet = flexCAN5ESet;
		flexCAN5 = FLEX_CAN5_EDEFAULT;
		flexCAN5ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN5, oldFlexCAN5, FLEX_CAN5_EDEFAULT, oldFlexCAN5ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFlexCAN5() {
		return flexCAN5ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getI2C0() {
		return i2C0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setI2C0(TypeBoolean newI2C0) {
		TypeBoolean oldI2C0 = i2C0;
		i2C0 = newI2C0 == null ? I2_C0_EDEFAULT : newI2C0;
		boolean oldI2C0ESet = i2C0ESet;
		i2C0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__I2_C0, oldI2C0, i2C0, !oldI2C0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetI2C0() {
		TypeBoolean oldI2C0 = i2C0;
		boolean oldI2C0ESet = i2C0ESet;
		i2C0 = I2_C0_EDEFAULT;
		i2C0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__I2_C0, oldI2C0, I2_C0_EDEFAULT, oldI2C0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetI2C0() {
		return i2C0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX0() {
		return lINFLEX0;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX0(TypeBoolean newLINFLEX0) {
		TypeBoolean oldLINFLEX0 = lINFLEX0;
		lINFLEX0 = newLINFLEX0 == null ? LINFLEX0_EDEFAULT : newLINFLEX0;
		boolean oldLINFLEX0ESet = lINFLEX0ESet;
		lINFLEX0ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX0, oldLINFLEX0, lINFLEX0, !oldLINFLEX0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX0() {
		TypeBoolean oldLINFLEX0 = lINFLEX0;
		boolean oldLINFLEX0ESet = lINFLEX0ESet;
		lINFLEX0 = LINFLEX0_EDEFAULT;
		lINFLEX0ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX0, oldLINFLEX0, LINFLEX0_EDEFAULT, oldLINFLEX0ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX0() {
		return lINFLEX0ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX1() {
		return lINFLEX1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX1(TypeBoolean newLINFLEX1) {
		TypeBoolean oldLINFLEX1 = lINFLEX1;
		lINFLEX1 = newLINFLEX1 == null ? LINFLEX1_EDEFAULT : newLINFLEX1;
		boolean oldLINFLEX1ESet = lINFLEX1ESet;
		lINFLEX1ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX1, oldLINFLEX1, lINFLEX1, !oldLINFLEX1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX1() {
		TypeBoolean oldLINFLEX1 = lINFLEX1;
		boolean oldLINFLEX1ESet = lINFLEX1ESet;
		lINFLEX1 = LINFLEX1_EDEFAULT;
		lINFLEX1ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX1, oldLINFLEX1, LINFLEX1_EDEFAULT, oldLINFLEX1ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX1() {
		return lINFLEX1ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX2() {
		return lINFLEX2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX2(TypeBoolean newLINFLEX2) {
		TypeBoolean oldLINFLEX2 = lINFLEX2;
		lINFLEX2 = newLINFLEX2 == null ? LINFLEX2_EDEFAULT : newLINFLEX2;
		boolean oldLINFLEX2ESet = lINFLEX2ESet;
		lINFLEX2ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX2, oldLINFLEX2, lINFLEX2, !oldLINFLEX2ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX2() {
		TypeBoolean oldLINFLEX2 = lINFLEX2;
		boolean oldLINFLEX2ESet = lINFLEX2ESet;
		lINFLEX2 = LINFLEX2_EDEFAULT;
		lINFLEX2ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX2, oldLINFLEX2, LINFLEX2_EDEFAULT, oldLINFLEX2ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX2() {
		return lINFLEX2ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX3() {
		return lINFLEX3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX3(TypeBoolean newLINFLEX3) {
		TypeBoolean oldLINFLEX3 = lINFLEX3;
		lINFLEX3 = newLINFLEX3 == null ? LINFLEX3_EDEFAULT : newLINFLEX3;
		boolean oldLINFLEX3ESet = lINFLEX3ESet;
		lINFLEX3ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX3, oldLINFLEX3, lINFLEX3, !oldLINFLEX3ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX3() {
		TypeBoolean oldLINFLEX3 = lINFLEX3;
		boolean oldLINFLEX3ESet = lINFLEX3ESet;
		lINFLEX3 = LINFLEX3_EDEFAULT;
		lINFLEX3ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX3, oldLINFLEX3, LINFLEX3_EDEFAULT, oldLINFLEX3ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX3() {
		return lINFLEX3ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX4() {
		return lINFLEX4;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX4(TypeBoolean newLINFLEX4) {
		TypeBoolean oldLINFLEX4 = lINFLEX4;
		lINFLEX4 = newLINFLEX4 == null ? LINFLEX4_EDEFAULT : newLINFLEX4;
		boolean oldLINFLEX4ESet = lINFLEX4ESet;
		lINFLEX4ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX4, oldLINFLEX4, lINFLEX4, !oldLINFLEX4ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX4() {
		TypeBoolean oldLINFLEX4 = lINFLEX4;
		boolean oldLINFLEX4ESet = lINFLEX4ESet;
		lINFLEX4 = LINFLEX4_EDEFAULT;
		lINFLEX4ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX4, oldLINFLEX4, LINFLEX4_EDEFAULT, oldLINFLEX4ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX4() {
		return lINFLEX4ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX5() {
		return lINFLEX5;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX5(TypeBoolean newLINFLEX5) {
		TypeBoolean oldLINFLEX5 = lINFLEX5;
		lINFLEX5 = newLINFLEX5 == null ? LINFLEX5_EDEFAULT : newLINFLEX5;
		boolean oldLINFLEX5ESet = lINFLEX5ESet;
		lINFLEX5ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX5, oldLINFLEX5, lINFLEX5, !oldLINFLEX5ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX5() {
		TypeBoolean oldLINFLEX5 = lINFLEX5;
		boolean oldLINFLEX5ESet = lINFLEX5ESet;
		lINFLEX5 = LINFLEX5_EDEFAULT;
		lINFLEX5ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX5, oldLINFLEX5, LINFLEX5_EDEFAULT, oldLINFLEX5ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX5() {
		return lINFLEX5ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX6() {
		return lINFLEX6;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX6(TypeBoolean newLINFLEX6) {
		TypeBoolean oldLINFLEX6 = lINFLEX6;
		lINFLEX6 = newLINFLEX6 == null ? LINFLEX6_EDEFAULT : newLINFLEX6;
		boolean oldLINFLEX6ESet = lINFLEX6ESet;
		lINFLEX6ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX6, oldLINFLEX6, lINFLEX6, !oldLINFLEX6ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX6() {
		TypeBoolean oldLINFLEX6 = lINFLEX6;
		boolean oldLINFLEX6ESet = lINFLEX6ESet;
		lINFLEX6 = LINFLEX6_EDEFAULT;
		lINFLEX6ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX6, oldLINFLEX6, LINFLEX6_EDEFAULT, oldLINFLEX6ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX6() {
		return lINFLEX6ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX7() {
		return lINFLEX7;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX7(TypeBoolean newLINFLEX7) {
		TypeBoolean oldLINFLEX7 = lINFLEX7;
		lINFLEX7 = newLINFLEX7 == null ? LINFLEX7_EDEFAULT : newLINFLEX7;
		boolean oldLINFLEX7ESet = lINFLEX7ESet;
		lINFLEX7ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX7, oldLINFLEX7, lINFLEX7, !oldLINFLEX7ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX7() {
		TypeBoolean oldLINFLEX7 = lINFLEX7;
		boolean oldLINFLEX7ESet = lINFLEX7ESet;
		lINFLEX7 = LINFLEX7_EDEFAULT;
		lINFLEX7ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX7, oldLINFLEX7, LINFLEX7_EDEFAULT, oldLINFLEX7ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX7() {
		return lINFLEX7ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX8() {
		return lINFLEX8;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX8(TypeBoolean newLINFLEX8) {
		TypeBoolean oldLINFLEX8 = lINFLEX8;
		lINFLEX8 = newLINFLEX8 == null ? LINFLEX8_EDEFAULT : newLINFLEX8;
		boolean oldLINFLEX8ESet = lINFLEX8ESet;
		lINFLEX8ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX8, oldLINFLEX8, lINFLEX8, !oldLINFLEX8ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX8() {
		TypeBoolean oldLINFLEX8 = lINFLEX8;
		boolean oldLINFLEX8ESet = lINFLEX8ESet;
		lINFLEX8 = LINFLEX8_EDEFAULT;
		lINFLEX8ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX8, oldLINFLEX8, LINFLEX8_EDEFAULT, oldLINFLEX8ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX8() {
		return lINFLEX8ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINFLEX9() {
		return lINFLEX9;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINFLEX9(TypeBoolean newLINFLEX9) {
		TypeBoolean oldLINFLEX9 = lINFLEX9;
		lINFLEX9 = newLINFLEX9 == null ? LINFLEX9_EDEFAULT : newLINFLEX9;
		boolean oldLINFLEX9ESet = lINFLEX9ESet;
		lINFLEX9ESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX9, oldLINFLEX9, lINFLEX9, !oldLINFLEX9ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINFLEX9() {
		TypeBoolean oldLINFLEX9 = lINFLEX9;
		boolean oldLINFLEX9ESet = lINFLEX9ESet;
		lINFLEX9 = LINFLEX9_EDEFAULT;
		lINFLEX9ESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX9, oldLINFLEX9, LINFLEX9_EDEFAULT, oldLINFLEX9ESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINFLEX9() {
		return lINFLEX9ESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getPITRTI() {
		return pITRTI;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPITRTI(TypeBoolean newPITRTI) {
		TypeBoolean oldPITRTI = pITRTI;
		pITRTI = newPITRTI == null ? PITRTI_EDEFAULT : newPITRTI;
		boolean oldPITRTIESet = pITRTIESet;
		pITRTIESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__PITRTI, oldPITRTI, pITRTI, !oldPITRTIESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetPITRTI() {
		TypeBoolean oldPITRTI = pITRTI;
		boolean oldPITRTIESet = pITRTIESet;
		pITRTI = PITRTI_EDEFAULT;
		pITRTIESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__PITRTI, oldPITRTI, PITRTI_EDEFAULT, oldPITRTIESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetPITRTI() {
		return pITRTIESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getRTCAPI() {
		return rTCAPI;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRTCAPI(TypeBoolean newRTCAPI) {
		TypeBoolean oldRTCAPI = rTCAPI;
		rTCAPI = newRTCAPI == null ? RTCAPI_EDEFAULT : newRTCAPI;
		boolean oldRTCAPIESet = rTCAPIESet;
		rTCAPIESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__RTCAPI, oldRTCAPI, rTCAPI, !oldRTCAPIESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetRTCAPI() {
		TypeBoolean oldRTCAPI = rTCAPI;
		boolean oldRTCAPIESet = rTCAPIESet;
		rTCAPI = RTCAPI_EDEFAULT;
		rTCAPIESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__RTCAPI, oldRTCAPI, RTCAPI_EDEFAULT, oldRTCAPIESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetRTCAPI() {
		return rTCAPIESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSIUL() {
		return sIUL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSIUL(TypeBoolean newSIUL) {
		TypeBoolean oldSIUL = sIUL;
		sIUL = newSIUL == null ? SIUL_EDEFAULT : newSIUL;
		boolean oldSIULESet = sIULESet;
		sIULESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__SIUL, oldSIUL, sIUL, !oldSIULESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSIUL() {
		TypeBoolean oldSIUL = sIUL;
		boolean oldSIULESet = sIULESet;
		sIUL = SIUL_EDEFAULT;
		sIULESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__SIUL, oldSIUL, SIUL_EDEFAULT, oldSIULESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSIUL() {
		return sIULESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getWKPU() {
		return wKPU;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWKPU(TypeBoolean newWKPU) {
		TypeBoolean oldWKPU = wKPU;
		wKPU = newWKPU == null ? WKPU_EDEFAULT : newWKPU;
		boolean oldWKPUESet = wKPUESet;
		wKPUESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__WKPU, oldWKPU, wKPU, !oldWKPUESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetWKPU() {
		TypeBoolean oldWKPU = wKPU;
		boolean oldWKPUESet = wKPUESet;
		wKPU = WKPU_EDEFAULT;
		wKPUESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.PERIPHERALS_TYPE__WKPU, oldWKPU, WKPU_EDEFAULT, oldWKPUESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetWKPU() {
		return wKPUESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC0:
				return getADC0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC1:
				return getADC1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CAN_SAMPLER:
				return getCANSampler();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CMU0:
				return getCMU0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CTU:
				return getCTU();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DMACHMUX:
				return getDMACHMUX();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI0:
				return getDSPI0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI1:
				return getDSPI1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI2:
				return getDSPI2();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI3:
				return getDSPI3();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI4:
				return getDSPI4();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI5:
				return getDSPI5();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS0:
				return getEMIOS0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS1:
				return getEMIOS1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN0:
				return getFlexCAN0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN1:
				return getFlexCAN1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN2:
				return getFlexCAN2();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN3:
				return getFlexCAN3();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN4:
				return getFlexCAN4();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN5:
				return getFlexCAN5();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__I2_C0:
				return getI2C0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX0:
				return getLINFLEX0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX1:
				return getLINFLEX1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX2:
				return getLINFLEX2();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX3:
				return getLINFLEX3();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX4:
				return getLINFLEX4();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX5:
				return getLINFLEX5();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX6:
				return getLINFLEX6();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX7:
				return getLINFLEX7();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX8:
				return getLINFLEX8();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX9:
				return getLINFLEX9();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__PITRTI:
				return getPITRTI();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__RTCAPI:
				return getRTCAPI();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__SIUL:
				return getSIUL();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__WKPU:
				return getWKPU();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC0:
				setADC0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC1:
				setADC1((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CAN_SAMPLER:
				setCANSampler((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CMU0:
				setCMU0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CTU:
				setCTU((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DMACHMUX:
				setDMACHMUX((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI0:
				setDSPI0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI1:
				setDSPI1((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI2:
				setDSPI2((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI3:
				setDSPI3((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI4:
				setDSPI4((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI5:
				setDSPI5((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS0:
				setEMIOS0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS1:
				setEMIOS1((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN0:
				setFlexCAN0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN1:
				setFlexCAN1((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN2:
				setFlexCAN2((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN3:
				setFlexCAN3((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN4:
				setFlexCAN4((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN5:
				setFlexCAN5((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__I2_C0:
				setI2C0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX0:
				setLINFLEX0((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX1:
				setLINFLEX1((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX2:
				setLINFLEX2((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX3:
				setLINFLEX3((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX4:
				setLINFLEX4((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX5:
				setLINFLEX5((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX6:
				setLINFLEX6((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX7:
				setLINFLEX7((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX8:
				setLINFLEX8((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX9:
				setLINFLEX9((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__PITRTI:
				setPITRTI((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__RTCAPI:
				setRTCAPI((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__SIUL:
				setSIUL((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__WKPU:
				setWKPU((TypeBoolean)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC0:
				unsetADC0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC1:
				unsetADC1();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CAN_SAMPLER:
				unsetCANSampler();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CMU0:
				unsetCMU0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CTU:
				unsetCTU();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DMACHMUX:
				unsetDMACHMUX();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI0:
				unsetDSPI0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI1:
				unsetDSPI1();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI2:
				unsetDSPI2();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI3:
				unsetDSPI3();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI4:
				unsetDSPI4();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI5:
				unsetDSPI5();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS0:
				unsetEMIOS0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS1:
				unsetEMIOS1();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN0:
				unsetFlexCAN0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN1:
				unsetFlexCAN1();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN2:
				unsetFlexCAN2();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN3:
				unsetFlexCAN3();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN4:
				unsetFlexCAN4();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN5:
				unsetFlexCAN5();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__I2_C0:
				unsetI2C0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX0:
				unsetLINFLEX0();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX1:
				unsetLINFLEX1();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX2:
				unsetLINFLEX2();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX3:
				unsetLINFLEX3();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX4:
				unsetLINFLEX4();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX5:
				unsetLINFLEX5();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX6:
				unsetLINFLEX6();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX7:
				unsetLINFLEX7();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX8:
				unsetLINFLEX8();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX9:
				unsetLINFLEX9();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__PITRTI:
				unsetPITRTI();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__RTCAPI:
				unsetRTCAPI();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__SIUL:
				unsetSIUL();
				return;
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__WKPU:
				unsetWKPU();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC0:
				return isSetADC0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__ADC1:
				return isSetADC1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CAN_SAMPLER:
				return isSetCANSampler();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CMU0:
				return isSetCMU0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__CTU:
				return isSetCTU();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DMACHMUX:
				return isSetDMACHMUX();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI0:
				return isSetDSPI0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI1:
				return isSetDSPI1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI2:
				return isSetDSPI2();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI3:
				return isSetDSPI3();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI4:
				return isSetDSPI4();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__DSPI5:
				return isSetDSPI5();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS0:
				return isSetEMIOS0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__EMIOS1:
				return isSetEMIOS1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN0:
				return isSetFlexCAN0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN1:
				return isSetFlexCAN1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN2:
				return isSetFlexCAN2();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN3:
				return isSetFlexCAN3();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN4:
				return isSetFlexCAN4();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__FLEX_CAN5:
				return isSetFlexCAN5();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__I2_C0:
				return isSetI2C0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX0:
				return isSetLINFLEX0();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX1:
				return isSetLINFLEX1();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX2:
				return isSetLINFLEX2();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX3:
				return isSetLINFLEX3();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX4:
				return isSetLINFLEX4();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX5:
				return isSetLINFLEX5();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX6:
				return isSetLINFLEX6();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX7:
				return isSetLINFLEX7();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX8:
				return isSetLINFLEX8();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__LINFLEX9:
				return isSetLINFLEX9();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__PITRTI:
				return isSetPITRTI();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__RTCAPI:
				return isSetRTCAPI();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__SIUL:
				return isSetSIUL();
			case SystemSparcClockMcuPackage.PERIPHERALS_TYPE__WKPU:
				return isSetWKPU();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (aDC0: ");
		if (aDC0ESet) result.append(aDC0); else result.append("<unset>");
		result.append(", aDC1: ");
		if (aDC1ESet) result.append(aDC1); else result.append("<unset>");
		result.append(", cANSampler: ");
		if (cANSamplerESet) result.append(cANSampler); else result.append("<unset>");
		result.append(", cMU0: ");
		if (cMU0ESet) result.append(cMU0); else result.append("<unset>");
		result.append(", cTU: ");
		if (cTUESet) result.append(cTU); else result.append("<unset>");
		result.append(", dMACHMUX: ");
		if (dMACHMUXESet) result.append(dMACHMUX); else result.append("<unset>");
		result.append(", dSPI0: ");
		if (dSPI0ESet) result.append(dSPI0); else result.append("<unset>");
		result.append(", dSPI1: ");
		if (dSPI1ESet) result.append(dSPI1); else result.append("<unset>");
		result.append(", dSPI2: ");
		if (dSPI2ESet) result.append(dSPI2); else result.append("<unset>");
		result.append(", dSPI3: ");
		if (dSPI3ESet) result.append(dSPI3); else result.append("<unset>");
		result.append(", dSPI4: ");
		if (dSPI4ESet) result.append(dSPI4); else result.append("<unset>");
		result.append(", dSPI5: ");
		if (dSPI5ESet) result.append(dSPI5); else result.append("<unset>");
		result.append(", eMIOS0: ");
		if (eMIOS0ESet) result.append(eMIOS0); else result.append("<unset>");
		result.append(", eMIOS1: ");
		if (eMIOS1ESet) result.append(eMIOS1); else result.append("<unset>");
		result.append(", flexCAN0: ");
		if (flexCAN0ESet) result.append(flexCAN0); else result.append("<unset>");
		result.append(", flexCAN1: ");
		if (flexCAN1ESet) result.append(flexCAN1); else result.append("<unset>");
		result.append(", flexCAN2: ");
		if (flexCAN2ESet) result.append(flexCAN2); else result.append("<unset>");
		result.append(", flexCAN3: ");
		if (flexCAN3ESet) result.append(flexCAN3); else result.append("<unset>");
		result.append(", flexCAN4: ");
		if (flexCAN4ESet) result.append(flexCAN4); else result.append("<unset>");
		result.append(", flexCAN5: ");
		if (flexCAN5ESet) result.append(flexCAN5); else result.append("<unset>");
		result.append(", i2C0: ");
		if (i2C0ESet) result.append(i2C0); else result.append("<unset>");
		result.append(", lINFLEX0: ");
		if (lINFLEX0ESet) result.append(lINFLEX0); else result.append("<unset>");
		result.append(", lINFLEX1: ");
		if (lINFLEX1ESet) result.append(lINFLEX1); else result.append("<unset>");
		result.append(", lINFLEX2: ");
		if (lINFLEX2ESet) result.append(lINFLEX2); else result.append("<unset>");
		result.append(", lINFLEX3: ");
		if (lINFLEX3ESet) result.append(lINFLEX3); else result.append("<unset>");
		result.append(", lINFLEX4: ");
		if (lINFLEX4ESet) result.append(lINFLEX4); else result.append("<unset>");
		result.append(", lINFLEX5: ");
		if (lINFLEX5ESet) result.append(lINFLEX5); else result.append("<unset>");
		result.append(", lINFLEX6: ");
		if (lINFLEX6ESet) result.append(lINFLEX6); else result.append("<unset>");
		result.append(", lINFLEX7: ");
		if (lINFLEX7ESet) result.append(lINFLEX7); else result.append("<unset>");
		result.append(", lINFLEX8: ");
		if (lINFLEX8ESet) result.append(lINFLEX8); else result.append("<unset>");
		result.append(", lINFLEX9: ");
		if (lINFLEX9ESet) result.append(lINFLEX9); else result.append("<unset>");
		result.append(", pITRTI: ");
		if (pITRTIESet) result.append(pITRTI); else result.append("<unset>");
		result.append(", rTCAPI: ");
		if (rTCAPIESet) result.append(rTCAPI); else result.append("<unset>");
		result.append(", sIUL: ");
		if (sIULESet) result.append(sIUL); else result.append("<unset>");
		result.append(", wKPU: ");
		if (wKPUESet) result.append(wKPU); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //PERIPHERALSTypeImpl
