/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.BWCType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TCDADVANCEDCONFIGURATIONType;
import SystemSparcClockMcu.TypeBoolean;

import java.math.BigInteger;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>TCDADVANCEDCONFIGURATION Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getBITERELINK <em>BITERELINK</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getBITERLINKCH <em>BITERLINKCH</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getBWC <em>BWC</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getDestinationOffsetSG <em>Destination Offset SG</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getDMLOE <em>DMLOE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getESG <em>ESG</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getMAJORELINK <em>MAJORELINK</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getMAJORLINKCH <em>MAJORLINKCH</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getMLOFF <em>MLOFF</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getNextTcdToLoad <em>Next Tcd To Load</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getSMLOE <em>SMLOE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.TCDADVANCEDCONFIGURATIONTypeImpl#getSourceOffsetSG <em>Source Offset SG</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TCDADVANCEDCONFIGURATIONTypeImpl extends EObjectImpl implements TCDADVANCEDCONFIGURATIONType {
	/**
	 * The default value of the '{@link #getBITERELINK() <em>BITERELINK</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBITERELINK()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean BITERELINK_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getBITERELINK() <em>BITERELINK</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBITERELINK()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean bITERELINK = BITERELINK_EDEFAULT;

	/**
	 * This is true if the BITERELINK attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean bITERELINKESet;

	/**
	 * The default value of the '{@link #getBITERLINKCH() <em>BITERLINKCH</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBITERLINKCH()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger BITERLINKCH_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getBITERLINKCH() <em>BITERLINKCH</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBITERLINKCH()
	 * @generated
	 * @ordered
	 */
	protected BigInteger bITERLINKCH = BITERLINKCH_EDEFAULT;

	/**
	 * This is true if the BITERLINKCH attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean bITERLINKCHESet;

	/**
	 * The default value of the '{@link #getBWC() <em>BWC</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBWC()
	 * @generated
	 * @ordered
	 */
	protected static final BWCType BWC_EDEFAULT = BWCType.NO_DMA_ENGINE_STALLS;

	/**
	 * The cached value of the '{@link #getBWC() <em>BWC</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBWC()
	 * @generated
	 * @ordered
	 */
	protected BWCType bWC = BWC_EDEFAULT;

	/**
	 * This is true if the BWC attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean bWCESet;

	/**
	 * The default value of the '{@link #getDestinationOffsetSG() <em>Destination Offset SG</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDestinationOffsetSG()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DESTINATION_OFFSET_SG_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getDestinationOffsetSG() <em>Destination Offset SG</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDestinationOffsetSG()
	 * @generated
	 * @ordered
	 */
	protected BigInteger destinationOffsetSG = DESTINATION_OFFSET_SG_EDEFAULT;

	/**
	 * This is true if the Destination Offset SG attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean destinationOffsetSGESet;

	/**
	 * The default value of the '{@link #getDMLOE() <em>DMLOE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMLOE()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DMLOE_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getDMLOE() <em>DMLOE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMLOE()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean dMLOE = DMLOE_EDEFAULT;

	/**
	 * This is true if the DMLOE attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dMLOEESet;

	/**
	 * The default value of the '{@link #getESG() <em>ESG</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getESG()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean ESG_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getESG() <em>ESG</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getESG()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean eSG = ESG_EDEFAULT;

	/**
	 * This is true if the ESG attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean eSGESet;

	/**
	 * The default value of the '{@link #getMAJORELINK() <em>MAJORELINK</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMAJORELINK()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean MAJORELINK_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getMAJORELINK() <em>MAJORELINK</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMAJORELINK()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean mAJORELINK = MAJORELINK_EDEFAULT;

	/**
	 * This is true if the MAJORELINK attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean mAJORELINKESet;

	/**
	 * The default value of the '{@link #getMAJORLINKCH() <em>MAJORLINKCH</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMAJORLINKCH()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger MAJORLINKCH_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getMAJORLINKCH() <em>MAJORLINKCH</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMAJORLINKCH()
	 * @generated
	 * @ordered
	 */
	protected BigInteger mAJORLINKCH = MAJORLINKCH_EDEFAULT;

	/**
	 * This is true if the MAJORLINKCH attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean mAJORLINKCHESet;

	/**
	 * The default value of the '{@link #getMLOFF() <em>MLOFF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMLOFF()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger MLOFF_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getMLOFF() <em>MLOFF</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMLOFF()
	 * @generated
	 * @ordered
	 */
	protected BigInteger mLOFF = MLOFF_EDEFAULT;

	/**
	 * This is true if the MLOFF attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean mLOFFESet;

	/**
	 * The default value of the '{@link #getNextTcdToLoad() <em>Next Tcd To Load</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNextTcdToLoad()
	 * @generated
	 * @ordered
	 */
	protected static final Object NEXT_TCD_TO_LOAD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNextTcdToLoad() <em>Next Tcd To Load</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNextTcdToLoad()
	 * @generated
	 * @ordered
	 */
	protected Object nextTcdToLoad = NEXT_TCD_TO_LOAD_EDEFAULT;

	/**
	 * The default value of the '{@link #getSMLOE() <em>SMLOE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSMLOE()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SMLOE_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getSMLOE() <em>SMLOE</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSMLOE()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sMLOE = SMLOE_EDEFAULT;

	/**
	 * This is true if the SMLOE attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sMLOEESet;

	/**
	 * The default value of the '{@link #getSourceOffsetSG() <em>Source Offset SG</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSourceOffsetSG()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger SOURCE_OFFSET_SG_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getSourceOffsetSG() <em>Source Offset SG</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSourceOffsetSG()
	 * @generated
	 * @ordered
	 */
	protected BigInteger sourceOffsetSG = SOURCE_OFFSET_SG_EDEFAULT;

	/**
	 * This is true if the Source Offset SG attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sourceOffsetSGESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TCDADVANCEDCONFIGURATIONTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getTCDADVANCEDCONFIGURATIONType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getBITERELINK() {
		return bITERELINK;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBITERELINK(TypeBoolean newBITERELINK) {
		TypeBoolean oldBITERELINK = bITERELINK;
		bITERELINK = newBITERELINK == null ? BITERELINK_EDEFAULT : newBITERELINK;
		boolean oldBITERELINKESet = bITERELINKESet;
		bITERELINKESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERELINK, oldBITERELINK, bITERELINK, !oldBITERELINKESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetBITERELINK() {
		TypeBoolean oldBITERELINK = bITERELINK;
		boolean oldBITERELINKESet = bITERELINKESet;
		bITERELINK = BITERELINK_EDEFAULT;
		bITERELINKESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERELINK, oldBITERELINK, BITERELINK_EDEFAULT, oldBITERELINKESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetBITERELINK() {
		return bITERELINKESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getBITERLINKCH() {
		return bITERLINKCH;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBITERLINKCH(BigInteger newBITERLINKCH) {
		BigInteger oldBITERLINKCH = bITERLINKCH;
		bITERLINKCH = newBITERLINKCH;
		boolean oldBITERLINKCHESet = bITERLINKCHESet;
		bITERLINKCHESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERLINKCH, oldBITERLINKCH, bITERLINKCH, !oldBITERLINKCHESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetBITERLINKCH() {
		BigInteger oldBITERLINKCH = bITERLINKCH;
		boolean oldBITERLINKCHESet = bITERLINKCHESet;
		bITERLINKCH = BITERLINKCH_EDEFAULT;
		bITERLINKCHESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERLINKCH, oldBITERLINKCH, BITERLINKCH_EDEFAULT, oldBITERLINKCHESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetBITERLINKCH() {
		return bITERLINKCHESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BWCType getBWC() {
		return bWC;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBWC(BWCType newBWC) {
		BWCType oldBWC = bWC;
		bWC = newBWC == null ? BWC_EDEFAULT : newBWC;
		boolean oldBWCESet = bWCESet;
		bWCESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BWC, oldBWC, bWC, !oldBWCESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetBWC() {
		BWCType oldBWC = bWC;
		boolean oldBWCESet = bWCESet;
		bWC = BWC_EDEFAULT;
		bWCESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BWC, oldBWC, BWC_EDEFAULT, oldBWCESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetBWC() {
		return bWCESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDestinationOffsetSG() {
		return destinationOffsetSG;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDestinationOffsetSG(BigInteger newDestinationOffsetSG) {
		BigInteger oldDestinationOffsetSG = destinationOffsetSG;
		destinationOffsetSG = newDestinationOffsetSG;
		boolean oldDestinationOffsetSGESet = destinationOffsetSGESet;
		destinationOffsetSGESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DESTINATION_OFFSET_SG, oldDestinationOffsetSG, destinationOffsetSG, !oldDestinationOffsetSGESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDestinationOffsetSG() {
		BigInteger oldDestinationOffsetSG = destinationOffsetSG;
		boolean oldDestinationOffsetSGESet = destinationOffsetSGESet;
		destinationOffsetSG = DESTINATION_OFFSET_SG_EDEFAULT;
		destinationOffsetSGESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DESTINATION_OFFSET_SG, oldDestinationOffsetSG, DESTINATION_OFFSET_SG_EDEFAULT, oldDestinationOffsetSGESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDestinationOffsetSG() {
		return destinationOffsetSGESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDMLOE() {
		return dMLOE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDMLOE(TypeBoolean newDMLOE) {
		TypeBoolean oldDMLOE = dMLOE;
		dMLOE = newDMLOE == null ? DMLOE_EDEFAULT : newDMLOE;
		boolean oldDMLOEESet = dMLOEESet;
		dMLOEESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DMLOE, oldDMLOE, dMLOE, !oldDMLOEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDMLOE() {
		TypeBoolean oldDMLOE = dMLOE;
		boolean oldDMLOEESet = dMLOEESet;
		dMLOE = DMLOE_EDEFAULT;
		dMLOEESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DMLOE, oldDMLOE, DMLOE_EDEFAULT, oldDMLOEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDMLOE() {
		return dMLOEESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getESG() {
		return eSG;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setESG(TypeBoolean newESG) {
		TypeBoolean oldESG = eSG;
		eSG = newESG == null ? ESG_EDEFAULT : newESG;
		boolean oldESGESet = eSGESet;
		eSGESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__ESG, oldESG, eSG, !oldESGESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetESG() {
		TypeBoolean oldESG = eSG;
		boolean oldESGESet = eSGESet;
		eSG = ESG_EDEFAULT;
		eSGESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__ESG, oldESG, ESG_EDEFAULT, oldESGESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetESG() {
		return eSGESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getMAJORELINK() {
		return mAJORELINK;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMAJORELINK(TypeBoolean newMAJORELINK) {
		TypeBoolean oldMAJORELINK = mAJORELINK;
		mAJORELINK = newMAJORELINK == null ? MAJORELINK_EDEFAULT : newMAJORELINK;
		boolean oldMAJORELINKESet = mAJORELINKESet;
		mAJORELINKESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORELINK, oldMAJORELINK, mAJORELINK, !oldMAJORELINKESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetMAJORELINK() {
		TypeBoolean oldMAJORELINK = mAJORELINK;
		boolean oldMAJORELINKESet = mAJORELINKESet;
		mAJORELINK = MAJORELINK_EDEFAULT;
		mAJORELINKESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORELINK, oldMAJORELINK, MAJORELINK_EDEFAULT, oldMAJORELINKESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetMAJORELINK() {
		return mAJORELINKESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getMAJORLINKCH() {
		return mAJORLINKCH;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMAJORLINKCH(BigInteger newMAJORLINKCH) {
		BigInteger oldMAJORLINKCH = mAJORLINKCH;
		mAJORLINKCH = newMAJORLINKCH;
		boolean oldMAJORLINKCHESet = mAJORLINKCHESet;
		mAJORLINKCHESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORLINKCH, oldMAJORLINKCH, mAJORLINKCH, !oldMAJORLINKCHESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetMAJORLINKCH() {
		BigInteger oldMAJORLINKCH = mAJORLINKCH;
		boolean oldMAJORLINKCHESet = mAJORLINKCHESet;
		mAJORLINKCH = MAJORLINKCH_EDEFAULT;
		mAJORLINKCHESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORLINKCH, oldMAJORLINKCH, MAJORLINKCH_EDEFAULT, oldMAJORLINKCHESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetMAJORLINKCH() {
		return mAJORLINKCHESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getMLOFF() {
		return mLOFF;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMLOFF(BigInteger newMLOFF) {
		BigInteger oldMLOFF = mLOFF;
		mLOFF = newMLOFF;
		boolean oldMLOFFESet = mLOFFESet;
		mLOFFESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MLOFF, oldMLOFF, mLOFF, !oldMLOFFESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetMLOFF() {
		BigInteger oldMLOFF = mLOFF;
		boolean oldMLOFFESet = mLOFFESet;
		mLOFF = MLOFF_EDEFAULT;
		mLOFFESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MLOFF, oldMLOFF, MLOFF_EDEFAULT, oldMLOFFESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetMLOFF() {
		return mLOFFESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getNextTcdToLoad() {
		return nextTcdToLoad;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNextTcdToLoad(Object newNextTcdToLoad) {
		Object oldNextTcdToLoad = nextTcdToLoad;
		nextTcdToLoad = newNextTcdToLoad;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__NEXT_TCD_TO_LOAD, oldNextTcdToLoad, nextTcdToLoad));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSMLOE() {
		return sMLOE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSMLOE(TypeBoolean newSMLOE) {
		TypeBoolean oldSMLOE = sMLOE;
		sMLOE = newSMLOE == null ? SMLOE_EDEFAULT : newSMLOE;
		boolean oldSMLOEESet = sMLOEESet;
		sMLOEESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SMLOE, oldSMLOE, sMLOE, !oldSMLOEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSMLOE() {
		TypeBoolean oldSMLOE = sMLOE;
		boolean oldSMLOEESet = sMLOEESet;
		sMLOE = SMLOE_EDEFAULT;
		sMLOEESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SMLOE, oldSMLOE, SMLOE_EDEFAULT, oldSMLOEESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSMLOE() {
		return sMLOEESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getSourceOffsetSG() {
		return sourceOffsetSG;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSourceOffsetSG(BigInteger newSourceOffsetSG) {
		BigInteger oldSourceOffsetSG = sourceOffsetSG;
		sourceOffsetSG = newSourceOffsetSG;
		boolean oldSourceOffsetSGESet = sourceOffsetSGESet;
		sourceOffsetSGESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SOURCE_OFFSET_SG, oldSourceOffsetSG, sourceOffsetSG, !oldSourceOffsetSGESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSourceOffsetSG() {
		BigInteger oldSourceOffsetSG = sourceOffsetSG;
		boolean oldSourceOffsetSGESet = sourceOffsetSGESet;
		sourceOffsetSG = SOURCE_OFFSET_SG_EDEFAULT;
		sourceOffsetSGESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SOURCE_OFFSET_SG, oldSourceOffsetSG, SOURCE_OFFSET_SG_EDEFAULT, oldSourceOffsetSGESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSourceOffsetSG() {
		return sourceOffsetSGESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERELINK:
				return getBITERELINK();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERLINKCH:
				return getBITERLINKCH();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BWC:
				return getBWC();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DESTINATION_OFFSET_SG:
				return getDestinationOffsetSG();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DMLOE:
				return getDMLOE();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__ESG:
				return getESG();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORELINK:
				return getMAJORELINK();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORLINKCH:
				return getMAJORLINKCH();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MLOFF:
				return getMLOFF();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__NEXT_TCD_TO_LOAD:
				return getNextTcdToLoad();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SMLOE:
				return getSMLOE();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SOURCE_OFFSET_SG:
				return getSourceOffsetSG();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERELINK:
				setBITERELINK((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERLINKCH:
				setBITERLINKCH((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BWC:
				setBWC((BWCType)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DESTINATION_OFFSET_SG:
				setDestinationOffsetSG((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DMLOE:
				setDMLOE((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__ESG:
				setESG((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORELINK:
				setMAJORELINK((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORLINKCH:
				setMAJORLINKCH((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MLOFF:
				setMLOFF((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__NEXT_TCD_TO_LOAD:
				setNextTcdToLoad(newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SMLOE:
				setSMLOE((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SOURCE_OFFSET_SG:
				setSourceOffsetSG((BigInteger)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERELINK:
				unsetBITERELINK();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERLINKCH:
				unsetBITERLINKCH();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BWC:
				unsetBWC();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DESTINATION_OFFSET_SG:
				unsetDestinationOffsetSG();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DMLOE:
				unsetDMLOE();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__ESG:
				unsetESG();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORELINK:
				unsetMAJORELINK();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORLINKCH:
				unsetMAJORLINKCH();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MLOFF:
				unsetMLOFF();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__NEXT_TCD_TO_LOAD:
				setNextTcdToLoad(NEXT_TCD_TO_LOAD_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SMLOE:
				unsetSMLOE();
				return;
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SOURCE_OFFSET_SG:
				unsetSourceOffsetSG();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERELINK:
				return isSetBITERELINK();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BITERLINKCH:
				return isSetBITERLINKCH();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__BWC:
				return isSetBWC();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DESTINATION_OFFSET_SG:
				return isSetDestinationOffsetSG();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__DMLOE:
				return isSetDMLOE();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__ESG:
				return isSetESG();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORELINK:
				return isSetMAJORELINK();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MAJORLINKCH:
				return isSetMAJORLINKCH();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__MLOFF:
				return isSetMLOFF();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__NEXT_TCD_TO_LOAD:
				return NEXT_TCD_TO_LOAD_EDEFAULT == null ? nextTcdToLoad != null : !NEXT_TCD_TO_LOAD_EDEFAULT.equals(nextTcdToLoad);
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SMLOE:
				return isSetSMLOE();
			case SystemSparcClockMcuPackage.TCDADVANCEDCONFIGURATION_TYPE__SOURCE_OFFSET_SG:
				return isSetSourceOffsetSG();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (bITERELINK: ");
		if (bITERELINKESet) result.append(bITERELINK); else result.append("<unset>");
		result.append(", bITERLINKCH: ");
		if (bITERLINKCHESet) result.append(bITERLINKCH); else result.append("<unset>");
		result.append(", bWC: ");
		if (bWCESet) result.append(bWC); else result.append("<unset>");
		result.append(", destinationOffsetSG: ");
		if (destinationOffsetSGESet) result.append(destinationOffsetSG); else result.append("<unset>");
		result.append(", dMLOE: ");
		if (dMLOEESet) result.append(dMLOE); else result.append("<unset>");
		result.append(", eSG: ");
		if (eSGESet) result.append(eSG); else result.append("<unset>");
		result.append(", mAJORELINK: ");
		if (mAJORELINKESet) result.append(mAJORELINK); else result.append("<unset>");
		result.append(", mAJORLINKCH: ");
		if (mAJORLINKCHESet) result.append(mAJORLINKCH); else result.append("<unset>");
		result.append(", mLOFF: ");
		if (mLOFFESet) result.append(mLOFF); else result.append("<unset>");
		result.append(", nextTcdToLoad: ");
		result.append(nextTcdToLoad);
		result.append(", sMLOE: ");
		if (sMLOEESet) result.append(sMLOE); else result.append("<unset>");
		result.append(", sourceOffsetSG: ");
		if (sourceOffsetSGESet) result.append(sourceOffsetSG); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //TCDADVANCEDCONFIGURATIONTypeImpl
