/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.CLOCKSETTINGSType;
import SystemSparcClockMcu.DataFlashOperatingModeType;
import SystemSparcClockMcu.LPClockFrequencyType;
import SystemSparcClockMcu.LPModeType;
import SystemSparcClockMcu.McuClkDivisorType;
import SystemSparcClockMcu.McuClkSourceType;
import SystemSparcClockMcu.McuRCOSCSelectionType;
import SystemSparcClockMcu.PERIPHERALCLOCKSETSType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;

import java.math.BigInteger;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>CLOCKSETTINGS Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getPERIPHERALCLOCKSETS <em>PERIPHERALCLOCKSETS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getBootMode <em>Boot Mode</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getClkDivisor <em>Clk Divisor</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getClkOutput <em>Clk Output</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getClkSource <em>Clk Source</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getDataFlashOperatingMode <em>Data Flash Operating Mode</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getExtOscillatorAvailable <em>Ext Oscillator Available</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getLPClockFrequency <em>LP Clock Frequency</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getLPMode <em>LP Mode</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getRCDivisorFactor <em>RC Divisor Factor</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKSETTINGSTypeImpl#getRCOSCSelection <em>RCOSC Selection</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CLOCKSETTINGSTypeImpl extends EObjectImpl implements CLOCKSETTINGSType {
	/**
	 * The cached value of the '{@link #getPERIPHERALCLOCKSETS() <em>PERIPHERALCLOCKSETS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPERIPHERALCLOCKSETS()
	 * @generated
	 * @ordered
	 */
	protected PERIPHERALCLOCKSETSType pERIPHERALCLOCKSETS;

	/**
	 * The default value of the '{@link #getBootMode() <em>Boot Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBootMode()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean BOOT_MODE_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getBootMode() <em>Boot Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBootMode()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean bootMode = BOOT_MODE_EDEFAULT;

	/**
	 * This is true if the Boot Mode attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean bootModeESet;

	/**
	 * The default value of the '{@link #getClkDivisor() <em>Clk Divisor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkDivisor()
	 * @generated
	 * @ordered
	 */
	protected static final McuClkDivisorType CLK_DIVISOR_EDEFAULT = McuClkDivisorType.DIV1;

	/**
	 * The cached value of the '{@link #getClkDivisor() <em>Clk Divisor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkDivisor()
	 * @generated
	 * @ordered
	 */
	protected McuClkDivisorType clkDivisor = CLK_DIVISOR_EDEFAULT;

	/**
	 * This is true if the Clk Divisor attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clkDivisorESet;

	/**
	 * The default value of the '{@link #getClkOutput() <em>Clk Output</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkOutput()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean CLK_OUTPUT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getClkOutput() <em>Clk Output</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkOutput()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean clkOutput = CLK_OUTPUT_EDEFAULT;

	/**
	 * This is true if the Clk Output attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clkOutputESet;

	/**
	 * The default value of the '{@link #getClkSource() <em>Clk Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkSource()
	 * @generated
	 * @ordered
	 */
	protected static final McuClkSourceType CLK_SOURCE_EDEFAULT = McuClkSourceType.CRYSTAL;

	/**
	 * The cached value of the '{@link #getClkSource() <em>Clk Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkSource()
	 * @generated
	 * @ordered
	 */
	protected McuClkSourceType clkSource = CLK_SOURCE_EDEFAULT;

	/**
	 * This is true if the Clk Source attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clkSourceESet;

	/**
	 * The default value of the '{@link #getDataFlashOperatingMode() <em>Data Flash Operating Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataFlashOperatingMode()
	 * @generated
	 * @ordered
	 */
	protected static final DataFlashOperatingModeType DATA_FLASH_OPERATING_MODE_EDEFAULT = DataFlashOperatingModeType.NORMAL_MODE;

	/**
	 * The cached value of the '{@link #getDataFlashOperatingMode() <em>Data Flash Operating Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataFlashOperatingMode()
	 * @generated
	 * @ordered
	 */
	protected DataFlashOperatingModeType dataFlashOperatingMode = DATA_FLASH_OPERATING_MODE_EDEFAULT;

	/**
	 * This is true if the Data Flash Operating Mode attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dataFlashOperatingModeESet;

	/**
	 * The default value of the '{@link #getExtOscillatorAvailable() <em>Ext Oscillator Available</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getExtOscillatorAvailable()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean EXT_OSCILLATOR_AVAILABLE_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getExtOscillatorAvailable() <em>Ext Oscillator Available</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getExtOscillatorAvailable()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean extOscillatorAvailable = EXT_OSCILLATOR_AVAILABLE_EDEFAULT;

	/**
	 * This is true if the Ext Oscillator Available attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean extOscillatorAvailableESet;

	/**
	 * The default value of the '{@link #getLPClockFrequency() <em>LP Clock Frequency</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLPClockFrequency()
	 * @generated
	 * @ordered
	 */
	protected static final LPClockFrequencyType LP_CLOCK_FREQUENCY_EDEFAULT = LPClockFrequencyType._8M_HZ;

	/**
	 * The cached value of the '{@link #getLPClockFrequency() <em>LP Clock Frequency</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLPClockFrequency()
	 * @generated
	 * @ordered
	 */
	protected LPClockFrequencyType lPClockFrequency = LP_CLOCK_FREQUENCY_EDEFAULT;

	/**
	 * This is true if the LP Clock Frequency attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lPClockFrequencyESet;

	/**
	 * The default value of the '{@link #getLPMode() <em>LP Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLPMode()
	 * @generated
	 * @ordered
	 */
	protected static final LPModeType LP_MODE_EDEFAULT = LPModeType.HALT;

	/**
	 * The cached value of the '{@link #getLPMode() <em>LP Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLPMode()
	 * @generated
	 * @ordered
	 */
	protected LPModeType lPMode = LP_MODE_EDEFAULT;

	/**
	 * This is true if the LP Mode attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lPModeESet;

	/**
	 * The default value of the '{@link #getRCDivisorFactor() <em>RC Divisor Factor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCDivisorFactor()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger RC_DIVISOR_FACTOR_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getRCDivisorFactor() <em>RC Divisor Factor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCDivisorFactor()
	 * @generated
	 * @ordered
	 */
	protected BigInteger rCDivisorFactor = RC_DIVISOR_FACTOR_EDEFAULT;

	/**
	 * This is true if the RC Divisor Factor attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean rCDivisorFactorESet;

	/**
	 * The default value of the '{@link #getRCOSCSelection() <em>RCOSC Selection</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCOSCSelection()
	 * @generated
	 * @ordered
	 */
	protected static final McuRCOSCSelectionType RCOSC_SELECTION_EDEFAULT = McuRCOSCSelectionType.CKIR_CFAST;

	/**
	 * The cached value of the '{@link #getRCOSCSelection() <em>RCOSC Selection</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCOSCSelection()
	 * @generated
	 * @ordered
	 */
	protected McuRCOSCSelectionType rCOSCSelection = RCOSC_SELECTION_EDEFAULT;

	/**
	 * This is true if the RCOSC Selection attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean rCOSCSelectionESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CLOCKSETTINGSTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getCLOCKSETTINGSType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PERIPHERALCLOCKSETSType getPERIPHERALCLOCKSETS() {
		return pERIPHERALCLOCKSETS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPERIPHERALCLOCKSETS(PERIPHERALCLOCKSETSType newPERIPHERALCLOCKSETS, NotificationChain msgs) {
		PERIPHERALCLOCKSETSType oldPERIPHERALCLOCKSETS = pERIPHERALCLOCKSETS;
		pERIPHERALCLOCKSETS = newPERIPHERALCLOCKSETS;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS, oldPERIPHERALCLOCKSETS, newPERIPHERALCLOCKSETS);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPERIPHERALCLOCKSETS(PERIPHERALCLOCKSETSType newPERIPHERALCLOCKSETS) {
		if (newPERIPHERALCLOCKSETS != pERIPHERALCLOCKSETS) {
			NotificationChain msgs = null;
			if (pERIPHERALCLOCKSETS != null)
				msgs = ((InternalEObject)pERIPHERALCLOCKSETS).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS, null, msgs);
			if (newPERIPHERALCLOCKSETS != null)
				msgs = ((InternalEObject)newPERIPHERALCLOCKSETS).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS, null, msgs);
			msgs = basicSetPERIPHERALCLOCKSETS(newPERIPHERALCLOCKSETS, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS, newPERIPHERALCLOCKSETS, newPERIPHERALCLOCKSETS));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getBootMode() {
		return bootMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBootMode(TypeBoolean newBootMode) {
		TypeBoolean oldBootMode = bootMode;
		bootMode = newBootMode == null ? BOOT_MODE_EDEFAULT : newBootMode;
		boolean oldBootModeESet = bootModeESet;
		bootModeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__BOOT_MODE, oldBootMode, bootMode, !oldBootModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetBootMode() {
		TypeBoolean oldBootMode = bootMode;
		boolean oldBootModeESet = bootModeESet;
		bootMode = BOOT_MODE_EDEFAULT;
		bootModeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__BOOT_MODE, oldBootMode, BOOT_MODE_EDEFAULT, oldBootModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetBootMode() {
		return bootModeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuClkDivisorType getClkDivisor() {
		return clkDivisor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClkDivisor(McuClkDivisorType newClkDivisor) {
		McuClkDivisorType oldClkDivisor = clkDivisor;
		clkDivisor = newClkDivisor == null ? CLK_DIVISOR_EDEFAULT : newClkDivisor;
		boolean oldClkDivisorESet = clkDivisorESet;
		clkDivisorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_DIVISOR, oldClkDivisor, clkDivisor, !oldClkDivisorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClkDivisor() {
		McuClkDivisorType oldClkDivisor = clkDivisor;
		boolean oldClkDivisorESet = clkDivisorESet;
		clkDivisor = CLK_DIVISOR_EDEFAULT;
		clkDivisorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_DIVISOR, oldClkDivisor, CLK_DIVISOR_EDEFAULT, oldClkDivisorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClkDivisor() {
		return clkDivisorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getClkOutput() {
		return clkOutput;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClkOutput(TypeBoolean newClkOutput) {
		TypeBoolean oldClkOutput = clkOutput;
		clkOutput = newClkOutput == null ? CLK_OUTPUT_EDEFAULT : newClkOutput;
		boolean oldClkOutputESet = clkOutputESet;
		clkOutputESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_OUTPUT, oldClkOutput, clkOutput, !oldClkOutputESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClkOutput() {
		TypeBoolean oldClkOutput = clkOutput;
		boolean oldClkOutputESet = clkOutputESet;
		clkOutput = CLK_OUTPUT_EDEFAULT;
		clkOutputESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_OUTPUT, oldClkOutput, CLK_OUTPUT_EDEFAULT, oldClkOutputESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClkOutput() {
		return clkOutputESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuClkSourceType getClkSource() {
		return clkSource;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClkSource(McuClkSourceType newClkSource) {
		McuClkSourceType oldClkSource = clkSource;
		clkSource = newClkSource == null ? CLK_SOURCE_EDEFAULT : newClkSource;
		boolean oldClkSourceESet = clkSourceESet;
		clkSourceESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_SOURCE, oldClkSource, clkSource, !oldClkSourceESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClkSource() {
		McuClkSourceType oldClkSource = clkSource;
		boolean oldClkSourceESet = clkSourceESet;
		clkSource = CLK_SOURCE_EDEFAULT;
		clkSourceESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_SOURCE, oldClkSource, CLK_SOURCE_EDEFAULT, oldClkSourceESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClkSource() {
		return clkSourceESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataFlashOperatingModeType getDataFlashOperatingMode() {
		return dataFlashOperatingMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDataFlashOperatingMode(DataFlashOperatingModeType newDataFlashOperatingMode) {
		DataFlashOperatingModeType oldDataFlashOperatingMode = dataFlashOperatingMode;
		dataFlashOperatingMode = newDataFlashOperatingMode == null ? DATA_FLASH_OPERATING_MODE_EDEFAULT : newDataFlashOperatingMode;
		boolean oldDataFlashOperatingModeESet = dataFlashOperatingModeESet;
		dataFlashOperatingModeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__DATA_FLASH_OPERATING_MODE, oldDataFlashOperatingMode, dataFlashOperatingMode, !oldDataFlashOperatingModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDataFlashOperatingMode() {
		DataFlashOperatingModeType oldDataFlashOperatingMode = dataFlashOperatingMode;
		boolean oldDataFlashOperatingModeESet = dataFlashOperatingModeESet;
		dataFlashOperatingMode = DATA_FLASH_OPERATING_MODE_EDEFAULT;
		dataFlashOperatingModeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__DATA_FLASH_OPERATING_MODE, oldDataFlashOperatingMode, DATA_FLASH_OPERATING_MODE_EDEFAULT, oldDataFlashOperatingModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDataFlashOperatingMode() {
		return dataFlashOperatingModeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getExtOscillatorAvailable() {
		return extOscillatorAvailable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setExtOscillatorAvailable(TypeBoolean newExtOscillatorAvailable) {
		TypeBoolean oldExtOscillatorAvailable = extOscillatorAvailable;
		extOscillatorAvailable = newExtOscillatorAvailable == null ? EXT_OSCILLATOR_AVAILABLE_EDEFAULT : newExtOscillatorAvailable;
		boolean oldExtOscillatorAvailableESet = extOscillatorAvailableESet;
		extOscillatorAvailableESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__EXT_OSCILLATOR_AVAILABLE, oldExtOscillatorAvailable, extOscillatorAvailable, !oldExtOscillatorAvailableESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetExtOscillatorAvailable() {
		TypeBoolean oldExtOscillatorAvailable = extOscillatorAvailable;
		boolean oldExtOscillatorAvailableESet = extOscillatorAvailableESet;
		extOscillatorAvailable = EXT_OSCILLATOR_AVAILABLE_EDEFAULT;
		extOscillatorAvailableESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__EXT_OSCILLATOR_AVAILABLE, oldExtOscillatorAvailable, EXT_OSCILLATOR_AVAILABLE_EDEFAULT, oldExtOscillatorAvailableESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetExtOscillatorAvailable() {
		return extOscillatorAvailableESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LPClockFrequencyType getLPClockFrequency() {
		return lPClockFrequency;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLPClockFrequency(LPClockFrequencyType newLPClockFrequency) {
		LPClockFrequencyType oldLPClockFrequency = lPClockFrequency;
		lPClockFrequency = newLPClockFrequency == null ? LP_CLOCK_FREQUENCY_EDEFAULT : newLPClockFrequency;
		boolean oldLPClockFrequencyESet = lPClockFrequencyESet;
		lPClockFrequencyESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_CLOCK_FREQUENCY, oldLPClockFrequency, lPClockFrequency, !oldLPClockFrequencyESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLPClockFrequency() {
		LPClockFrequencyType oldLPClockFrequency = lPClockFrequency;
		boolean oldLPClockFrequencyESet = lPClockFrequencyESet;
		lPClockFrequency = LP_CLOCK_FREQUENCY_EDEFAULT;
		lPClockFrequencyESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_CLOCK_FREQUENCY, oldLPClockFrequency, LP_CLOCK_FREQUENCY_EDEFAULT, oldLPClockFrequencyESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLPClockFrequency() {
		return lPClockFrequencyESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LPModeType getLPMode() {
		return lPMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLPMode(LPModeType newLPMode) {
		LPModeType oldLPMode = lPMode;
		lPMode = newLPMode == null ? LP_MODE_EDEFAULT : newLPMode;
		boolean oldLPModeESet = lPModeESet;
		lPModeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_MODE, oldLPMode, lPMode, !oldLPModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLPMode() {
		LPModeType oldLPMode = lPMode;
		boolean oldLPModeESet = lPModeESet;
		lPMode = LP_MODE_EDEFAULT;
		lPModeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_MODE, oldLPMode, LP_MODE_EDEFAULT, oldLPModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLPMode() {
		return lPModeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getRCDivisorFactor() {
		return rCDivisorFactor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRCDivisorFactor(BigInteger newRCDivisorFactor) {
		BigInteger oldRCDivisorFactor = rCDivisorFactor;
		rCDivisorFactor = newRCDivisorFactor;
		boolean oldRCDivisorFactorESet = rCDivisorFactorESet;
		rCDivisorFactorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RC_DIVISOR_FACTOR, oldRCDivisorFactor, rCDivisorFactor, !oldRCDivisorFactorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetRCDivisorFactor() {
		BigInteger oldRCDivisorFactor = rCDivisorFactor;
		boolean oldRCDivisorFactorESet = rCDivisorFactorESet;
		rCDivisorFactor = RC_DIVISOR_FACTOR_EDEFAULT;
		rCDivisorFactorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RC_DIVISOR_FACTOR, oldRCDivisorFactor, RC_DIVISOR_FACTOR_EDEFAULT, oldRCDivisorFactorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetRCDivisorFactor() {
		return rCDivisorFactorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuRCOSCSelectionType getRCOSCSelection() {
		return rCOSCSelection;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRCOSCSelection(McuRCOSCSelectionType newRCOSCSelection) {
		McuRCOSCSelectionType oldRCOSCSelection = rCOSCSelection;
		rCOSCSelection = newRCOSCSelection == null ? RCOSC_SELECTION_EDEFAULT : newRCOSCSelection;
		boolean oldRCOSCSelectionESet = rCOSCSelectionESet;
		rCOSCSelectionESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RCOSC_SELECTION, oldRCOSCSelection, rCOSCSelection, !oldRCOSCSelectionESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetRCOSCSelection() {
		McuRCOSCSelectionType oldRCOSCSelection = rCOSCSelection;
		boolean oldRCOSCSelectionESet = rCOSCSelectionESet;
		rCOSCSelection = RCOSC_SELECTION_EDEFAULT;
		rCOSCSelectionESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RCOSC_SELECTION, oldRCOSCSelection, RCOSC_SELECTION_EDEFAULT, oldRCOSCSelectionESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetRCOSCSelection() {
		return rCOSCSelectionESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS:
				return basicSetPERIPHERALCLOCKSETS(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS:
				return getPERIPHERALCLOCKSETS();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__BOOT_MODE:
				return getBootMode();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_DIVISOR:
				return getClkDivisor();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_OUTPUT:
				return getClkOutput();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_SOURCE:
				return getClkSource();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__DATA_FLASH_OPERATING_MODE:
				return getDataFlashOperatingMode();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__EXT_OSCILLATOR_AVAILABLE:
				return getExtOscillatorAvailable();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_CLOCK_FREQUENCY:
				return getLPClockFrequency();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_MODE:
				return getLPMode();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RC_DIVISOR_FACTOR:
				return getRCDivisorFactor();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RCOSC_SELECTION:
				return getRCOSCSelection();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS:
				setPERIPHERALCLOCKSETS((PERIPHERALCLOCKSETSType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__BOOT_MODE:
				setBootMode((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_DIVISOR:
				setClkDivisor((McuClkDivisorType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_OUTPUT:
				setClkOutput((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_SOURCE:
				setClkSource((McuClkSourceType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__DATA_FLASH_OPERATING_MODE:
				setDataFlashOperatingMode((DataFlashOperatingModeType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__EXT_OSCILLATOR_AVAILABLE:
				setExtOscillatorAvailable((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_CLOCK_FREQUENCY:
				setLPClockFrequency((LPClockFrequencyType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_MODE:
				setLPMode((LPModeType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RC_DIVISOR_FACTOR:
				setRCDivisorFactor((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RCOSC_SELECTION:
				setRCOSCSelection((McuRCOSCSelectionType)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS:
				setPERIPHERALCLOCKSETS((PERIPHERALCLOCKSETSType)null);
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__BOOT_MODE:
				unsetBootMode();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_DIVISOR:
				unsetClkDivisor();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_OUTPUT:
				unsetClkOutput();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_SOURCE:
				unsetClkSource();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__DATA_FLASH_OPERATING_MODE:
				unsetDataFlashOperatingMode();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__EXT_OSCILLATOR_AVAILABLE:
				unsetExtOscillatorAvailable();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_CLOCK_FREQUENCY:
				unsetLPClockFrequency();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_MODE:
				unsetLPMode();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RC_DIVISOR_FACTOR:
				unsetRCDivisorFactor();
				return;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RCOSC_SELECTION:
				unsetRCOSCSelection();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__PERIPHERALCLOCKSETS:
				return pERIPHERALCLOCKSETS != null;
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__BOOT_MODE:
				return isSetBootMode();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_DIVISOR:
				return isSetClkDivisor();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_OUTPUT:
				return isSetClkOutput();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__CLK_SOURCE:
				return isSetClkSource();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__DATA_FLASH_OPERATING_MODE:
				return isSetDataFlashOperatingMode();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__EXT_OSCILLATOR_AVAILABLE:
				return isSetExtOscillatorAvailable();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_CLOCK_FREQUENCY:
				return isSetLPClockFrequency();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__LP_MODE:
				return isSetLPMode();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RC_DIVISOR_FACTOR:
				return isSetRCDivisorFactor();
			case SystemSparcClockMcuPackage.CLOCKSETTINGS_TYPE__RCOSC_SELECTION:
				return isSetRCOSCSelection();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (bootMode: ");
		if (bootModeESet) result.append(bootMode); else result.append("<unset>");
		result.append(", clkDivisor: ");
		if (clkDivisorESet) result.append(clkDivisor); else result.append("<unset>");
		result.append(", clkOutput: ");
		if (clkOutputESet) result.append(clkOutput); else result.append("<unset>");
		result.append(", clkSource: ");
		if (clkSourceESet) result.append(clkSource); else result.append("<unset>");
		result.append(", dataFlashOperatingMode: ");
		if (dataFlashOperatingModeESet) result.append(dataFlashOperatingMode); else result.append("<unset>");
		result.append(", extOscillatorAvailable: ");
		if (extOscillatorAvailableESet) result.append(extOscillatorAvailable); else result.append("<unset>");
		result.append(", lPClockFrequency: ");
		if (lPClockFrequencyESet) result.append(lPClockFrequency); else result.append("<unset>");
		result.append(", lPMode: ");
		if (lPModeESet) result.append(lPMode); else result.append("<unset>");
		result.append(", rCDivisorFactor: ");
		if (rCDivisorFactorESet) result.append(rCDivisorFactor); else result.append("<unset>");
		result.append(", rCOSCSelection: ");
		if (rCOSCSelectionESet) result.append(rCOSCSelection); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //CLOCKSETTINGSTypeImpl
