/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.CLOCKType;
import SystemSparcClockMcu.McuClkDivisorType;
import SystemSparcClockMcu.McuClkSourceType;
import SystemSparcClockMcu.McuClockSrcFailureNotificationType;
import SystemSparcClockMcu.McuRCOSCSelectionType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;

import java.math.BigInteger;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>CLOCK Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getClkDivisor <em>Clk Divisor</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getClkOutput <em>Clk Output</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getClkSource <em>Clk Source</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getClockChangeTimeout <em>Clock Change Timeout</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getClockSrcFailureNotification <em>Clock Src Failure Notification</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getCpuClockFrequency <em>Cpu Clock Frequency</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getFmPllMonitor <em>Fm Pll Monitor</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getHighFrequencyRef <em>High Frequency Ref</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getLowFrequencyRef <em>Low Frequency Ref</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getQuartz <em>Quartz</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getRCDivisorFactor <em>RC Divisor Factor</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getRCOSCSelection <em>RCOSC Selection</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getXTalACounterOscillator <em>XTal ACounter Oscillator</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.CLOCKTypeImpl#getXTalB32KHzCounterOscillator <em>XTal B32K Hz Counter Oscillator</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CLOCKTypeImpl extends EObjectImpl implements CLOCKType {
	/**
	 * The default value of the '{@link #getClkDivisor() <em>Clk Divisor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkDivisor()
	 * @generated
	 * @ordered
	 */
	protected static final McuClkDivisorType CLK_DIVISOR_EDEFAULT = McuClkDivisorType.DIV1;

	/**
	 * The cached value of the '{@link #getClkDivisor() <em>Clk Divisor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkDivisor()
	 * @generated
	 * @ordered
	 */
	protected McuClkDivisorType clkDivisor = CLK_DIVISOR_EDEFAULT;

	/**
	 * This is true if the Clk Divisor attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clkDivisorESet;

	/**
	 * The default value of the '{@link #getClkOutput() <em>Clk Output</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkOutput()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean CLK_OUTPUT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getClkOutput() <em>Clk Output</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkOutput()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean clkOutput = CLK_OUTPUT_EDEFAULT;

	/**
	 * This is true if the Clk Output attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clkOutputESet;

	/**
	 * The default value of the '{@link #getClkSource() <em>Clk Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkSource()
	 * @generated
	 * @ordered
	 */
	protected static final McuClkSourceType CLK_SOURCE_EDEFAULT = McuClkSourceType.CRYSTAL;

	/**
	 * The cached value of the '{@link #getClkSource() <em>Clk Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClkSource()
	 * @generated
	 * @ordered
	 */
	protected McuClkSourceType clkSource = CLK_SOURCE_EDEFAULT;

	/**
	 * This is true if the Clk Source attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clkSourceESet;

	/**
	 * The default value of the '{@link #getClockChangeTimeout() <em>Clock Change Timeout</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClockChangeTimeout()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger CLOCK_CHANGE_TIMEOUT_EDEFAULT = new BigInteger("100");

	/**
	 * The cached value of the '{@link #getClockChangeTimeout() <em>Clock Change Timeout</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClockChangeTimeout()
	 * @generated
	 * @ordered
	 */
	protected BigInteger clockChangeTimeout = CLOCK_CHANGE_TIMEOUT_EDEFAULT;

	/**
	 * This is true if the Clock Change Timeout attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clockChangeTimeoutESet;

	/**
	 * The default value of the '{@link #getClockSrcFailureNotification() <em>Clock Src Failure Notification</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClockSrcFailureNotification()
	 * @generated
	 * @ordered
	 */
	protected static final McuClockSrcFailureNotificationType CLOCK_SRC_FAILURE_NOTIFICATION_EDEFAULT = McuClockSrcFailureNotificationType.ENABLE;

	/**
	 * The cached value of the '{@link #getClockSrcFailureNotification() <em>Clock Src Failure Notification</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getClockSrcFailureNotification()
	 * @generated
	 * @ordered
	 */
	protected McuClockSrcFailureNotificationType clockSrcFailureNotification = CLOCK_SRC_FAILURE_NOTIFICATION_EDEFAULT;

	/**
	 * This is true if the Clock Src Failure Notification attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean clockSrcFailureNotificationESet;

	/**
	 * The default value of the '{@link #getCpuClockFrequency() <em>Cpu Clock Frequency</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCpuClockFrequency()
	 * @generated
	 * @ordered
	 */
	protected static final float CPU_CLOCK_FREQUENCY_EDEFAULT = 4.8E7F;

	/**
	 * The cached value of the '{@link #getCpuClockFrequency() <em>Cpu Clock Frequency</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCpuClockFrequency()
	 * @generated
	 * @ordered
	 */
	protected float cpuClockFrequency = CPU_CLOCK_FREQUENCY_EDEFAULT;

	/**
	 * This is true if the Cpu Clock Frequency attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean cpuClockFrequencyESet;

	/**
	 * The default value of the '{@link #getFmPllMonitor() <em>Fm Pll Monitor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFmPllMonitor()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FM_PLL_MONITOR_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getFmPllMonitor() <em>Fm Pll Monitor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFmPllMonitor()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean fmPllMonitor = FM_PLL_MONITOR_EDEFAULT;

	/**
	 * This is true if the Fm Pll Monitor attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean fmPllMonitorESet;

	/**
	 * The default value of the '{@link #getHighFrequencyRef() <em>High Frequency Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getHighFrequencyRef()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger HIGH_FREQUENCY_REF_EDEFAULT = new BigInteger("65000000");

	/**
	 * The cached value of the '{@link #getHighFrequencyRef() <em>High Frequency Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getHighFrequencyRef()
	 * @generated
	 * @ordered
	 */
	protected BigInteger highFrequencyRef = HIGH_FREQUENCY_REF_EDEFAULT;

	/**
	 * This is true if the High Frequency Ref attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean highFrequencyRefESet;

	/**
	 * The default value of the '{@link #getLowFrequencyRef() <em>Low Frequency Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLowFrequencyRef()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger LOW_FREQUENCY_REF_EDEFAULT = new BigInteger("63000000");

	/**
	 * The cached value of the '{@link #getLowFrequencyRef() <em>Low Frequency Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLowFrequencyRef()
	 * @generated
	 * @ordered
	 */
	protected BigInteger lowFrequencyRef = LOW_FREQUENCY_REF_EDEFAULT;

	/**
	 * This is true if the Low Frequency Ref attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lowFrequencyRefESet;

	/**
	 * The default value of the '{@link #getQuartz() <em>Quartz</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getQuartz()
	 * @generated
	 * @ordered
	 */
	protected static final float QUARTZ_EDEFAULT = 8000000.0F;

	/**
	 * The cached value of the '{@link #getQuartz() <em>Quartz</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getQuartz()
	 * @generated
	 * @ordered
	 */
	protected float quartz = QUARTZ_EDEFAULT;

	/**
	 * This is true if the Quartz attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean quartzESet;

	/**
	 * The default value of the '{@link #getRCDivisorFactor() <em>RC Divisor Factor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCDivisorFactor()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger RC_DIVISOR_FACTOR_EDEFAULT = new BigInteger("0");

	/**
	 * The cached value of the '{@link #getRCDivisorFactor() <em>RC Divisor Factor</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCDivisorFactor()
	 * @generated
	 * @ordered
	 */
	protected BigInteger rCDivisorFactor = RC_DIVISOR_FACTOR_EDEFAULT;

	/**
	 * This is true if the RC Divisor Factor attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean rCDivisorFactorESet;

	/**
	 * The default value of the '{@link #getRCOSCSelection() <em>RCOSC Selection</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCOSCSelection()
	 * @generated
	 * @ordered
	 */
	protected static final McuRCOSCSelectionType RCOSC_SELECTION_EDEFAULT = McuRCOSCSelectionType.CKIR_CFAST;

	/**
	 * The cached value of the '{@link #getRCOSCSelection() <em>RCOSC Selection</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRCOSCSelection()
	 * @generated
	 * @ordered
	 */
	protected McuRCOSCSelectionType rCOSCSelection = RCOSC_SELECTION_EDEFAULT;

	/**
	 * This is true if the RCOSC Selection attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean rCOSCSelectionESet;

	/**
	 * The default value of the '{@link #getXTalACounterOscillator() <em>XTal ACounter Oscillator</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXTalACounterOscillator()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger XTAL_ACOUNTER_OSCILLATOR_EDEFAULT = new BigInteger("128");

	/**
	 * The cached value of the '{@link #getXTalACounterOscillator() <em>XTal ACounter Oscillator</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXTalACounterOscillator()
	 * @generated
	 * @ordered
	 */
	protected BigInteger xTalACounterOscillator = XTAL_ACOUNTER_OSCILLATOR_EDEFAULT;

	/**
	 * This is true if the XTal ACounter Oscillator attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean xTalACounterOscillatorESet;

	/**
	 * The default value of the '{@link #getXTalB32KHzCounterOscillator() <em>XTal B32K Hz Counter Oscillator</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXTalB32KHzCounterOscillator()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger XTAL_B32K_HZ_COUNTER_OSCILLATOR_EDEFAULT = new BigInteger("128");

	/**
	 * The cached value of the '{@link #getXTalB32KHzCounterOscillator() <em>XTal B32K Hz Counter Oscillator</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXTalB32KHzCounterOscillator()
	 * @generated
	 * @ordered
	 */
	protected BigInteger xTalB32KHzCounterOscillator = XTAL_B32K_HZ_COUNTER_OSCILLATOR_EDEFAULT;

	/**
	 * This is true if the XTal B32K Hz Counter Oscillator attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean xTalB32KHzCounterOscillatorESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CLOCKTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getCLOCKType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuClkDivisorType getClkDivisor() {
		return clkDivisor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClkDivisor(McuClkDivisorType newClkDivisor) {
		McuClkDivisorType oldClkDivisor = clkDivisor;
		clkDivisor = newClkDivisor == null ? CLK_DIVISOR_EDEFAULT : newClkDivisor;
		boolean oldClkDivisorESet = clkDivisorESet;
		clkDivisorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_DIVISOR, oldClkDivisor, clkDivisor, !oldClkDivisorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClkDivisor() {
		McuClkDivisorType oldClkDivisor = clkDivisor;
		boolean oldClkDivisorESet = clkDivisorESet;
		clkDivisor = CLK_DIVISOR_EDEFAULT;
		clkDivisorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_DIVISOR, oldClkDivisor, CLK_DIVISOR_EDEFAULT, oldClkDivisorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClkDivisor() {
		return clkDivisorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getClkOutput() {
		return clkOutput;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClkOutput(TypeBoolean newClkOutput) {
		TypeBoolean oldClkOutput = clkOutput;
		clkOutput = newClkOutput == null ? CLK_OUTPUT_EDEFAULT : newClkOutput;
		boolean oldClkOutputESet = clkOutputESet;
		clkOutputESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_OUTPUT, oldClkOutput, clkOutput, !oldClkOutputESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClkOutput() {
		TypeBoolean oldClkOutput = clkOutput;
		boolean oldClkOutputESet = clkOutputESet;
		clkOutput = CLK_OUTPUT_EDEFAULT;
		clkOutputESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_OUTPUT, oldClkOutput, CLK_OUTPUT_EDEFAULT, oldClkOutputESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClkOutput() {
		return clkOutputESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuClkSourceType getClkSource() {
		return clkSource;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClkSource(McuClkSourceType newClkSource) {
		McuClkSourceType oldClkSource = clkSource;
		clkSource = newClkSource == null ? CLK_SOURCE_EDEFAULT : newClkSource;
		boolean oldClkSourceESet = clkSourceESet;
		clkSourceESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_SOURCE, oldClkSource, clkSource, !oldClkSourceESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClkSource() {
		McuClkSourceType oldClkSource = clkSource;
		boolean oldClkSourceESet = clkSourceESet;
		clkSource = CLK_SOURCE_EDEFAULT;
		clkSourceESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_SOURCE, oldClkSource, CLK_SOURCE_EDEFAULT, oldClkSourceESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClkSource() {
		return clkSourceESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getClockChangeTimeout() {
		return clockChangeTimeout;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClockChangeTimeout(BigInteger newClockChangeTimeout) {
		BigInteger oldClockChangeTimeout = clockChangeTimeout;
		clockChangeTimeout = newClockChangeTimeout;
		boolean oldClockChangeTimeoutESet = clockChangeTimeoutESet;
		clockChangeTimeoutESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_CHANGE_TIMEOUT, oldClockChangeTimeout, clockChangeTimeout, !oldClockChangeTimeoutESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClockChangeTimeout() {
		BigInteger oldClockChangeTimeout = clockChangeTimeout;
		boolean oldClockChangeTimeoutESet = clockChangeTimeoutESet;
		clockChangeTimeout = CLOCK_CHANGE_TIMEOUT_EDEFAULT;
		clockChangeTimeoutESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_CHANGE_TIMEOUT, oldClockChangeTimeout, CLOCK_CHANGE_TIMEOUT_EDEFAULT, oldClockChangeTimeoutESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClockChangeTimeout() {
		return clockChangeTimeoutESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuClockSrcFailureNotificationType getClockSrcFailureNotification() {
		return clockSrcFailureNotification;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setClockSrcFailureNotification(McuClockSrcFailureNotificationType newClockSrcFailureNotification) {
		McuClockSrcFailureNotificationType oldClockSrcFailureNotification = clockSrcFailureNotification;
		clockSrcFailureNotification = newClockSrcFailureNotification == null ? CLOCK_SRC_FAILURE_NOTIFICATION_EDEFAULT : newClockSrcFailureNotification;
		boolean oldClockSrcFailureNotificationESet = clockSrcFailureNotificationESet;
		clockSrcFailureNotificationESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_SRC_FAILURE_NOTIFICATION, oldClockSrcFailureNotification, clockSrcFailureNotification, !oldClockSrcFailureNotificationESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetClockSrcFailureNotification() {
		McuClockSrcFailureNotificationType oldClockSrcFailureNotification = clockSrcFailureNotification;
		boolean oldClockSrcFailureNotificationESet = clockSrcFailureNotificationESet;
		clockSrcFailureNotification = CLOCK_SRC_FAILURE_NOTIFICATION_EDEFAULT;
		clockSrcFailureNotificationESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_SRC_FAILURE_NOTIFICATION, oldClockSrcFailureNotification, CLOCK_SRC_FAILURE_NOTIFICATION_EDEFAULT, oldClockSrcFailureNotificationESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetClockSrcFailureNotification() {
		return clockSrcFailureNotificationESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public float getCpuClockFrequency() {
		return cpuClockFrequency;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCpuClockFrequency(float newCpuClockFrequency) {
		float oldCpuClockFrequency = cpuClockFrequency;
		cpuClockFrequency = newCpuClockFrequency;
		boolean oldCpuClockFrequencyESet = cpuClockFrequencyESet;
		cpuClockFrequencyESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__CPU_CLOCK_FREQUENCY, oldCpuClockFrequency, cpuClockFrequency, !oldCpuClockFrequencyESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetCpuClockFrequency() {
		float oldCpuClockFrequency = cpuClockFrequency;
		boolean oldCpuClockFrequencyESet = cpuClockFrequencyESet;
		cpuClockFrequency = CPU_CLOCK_FREQUENCY_EDEFAULT;
		cpuClockFrequencyESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__CPU_CLOCK_FREQUENCY, oldCpuClockFrequency, CPU_CLOCK_FREQUENCY_EDEFAULT, oldCpuClockFrequencyESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetCpuClockFrequency() {
		return cpuClockFrequencyESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFmPllMonitor() {
		return fmPllMonitor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFmPllMonitor(TypeBoolean newFmPllMonitor) {
		TypeBoolean oldFmPllMonitor = fmPllMonitor;
		fmPllMonitor = newFmPllMonitor == null ? FM_PLL_MONITOR_EDEFAULT : newFmPllMonitor;
		boolean oldFmPllMonitorESet = fmPllMonitorESet;
		fmPllMonitorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__FM_PLL_MONITOR, oldFmPllMonitor, fmPllMonitor, !oldFmPllMonitorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFmPllMonitor() {
		TypeBoolean oldFmPllMonitor = fmPllMonitor;
		boolean oldFmPllMonitorESet = fmPllMonitorESet;
		fmPllMonitor = FM_PLL_MONITOR_EDEFAULT;
		fmPllMonitorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__FM_PLL_MONITOR, oldFmPllMonitor, FM_PLL_MONITOR_EDEFAULT, oldFmPllMonitorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFmPllMonitor() {
		return fmPllMonitorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getHighFrequencyRef() {
		return highFrequencyRef;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setHighFrequencyRef(BigInteger newHighFrequencyRef) {
		BigInteger oldHighFrequencyRef = highFrequencyRef;
		highFrequencyRef = newHighFrequencyRef;
		boolean oldHighFrequencyRefESet = highFrequencyRefESet;
		highFrequencyRefESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__HIGH_FREQUENCY_REF, oldHighFrequencyRef, highFrequencyRef, !oldHighFrequencyRefESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetHighFrequencyRef() {
		BigInteger oldHighFrequencyRef = highFrequencyRef;
		boolean oldHighFrequencyRefESet = highFrequencyRefESet;
		highFrequencyRef = HIGH_FREQUENCY_REF_EDEFAULT;
		highFrequencyRefESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__HIGH_FREQUENCY_REF, oldHighFrequencyRef, HIGH_FREQUENCY_REF_EDEFAULT, oldHighFrequencyRefESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetHighFrequencyRef() {
		return highFrequencyRefESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getLowFrequencyRef() {
		return lowFrequencyRef;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLowFrequencyRef(BigInteger newLowFrequencyRef) {
		BigInteger oldLowFrequencyRef = lowFrequencyRef;
		lowFrequencyRef = newLowFrequencyRef;
		boolean oldLowFrequencyRefESet = lowFrequencyRefESet;
		lowFrequencyRefESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__LOW_FREQUENCY_REF, oldLowFrequencyRef, lowFrequencyRef, !oldLowFrequencyRefESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLowFrequencyRef() {
		BigInteger oldLowFrequencyRef = lowFrequencyRef;
		boolean oldLowFrequencyRefESet = lowFrequencyRefESet;
		lowFrequencyRef = LOW_FREQUENCY_REF_EDEFAULT;
		lowFrequencyRefESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__LOW_FREQUENCY_REF, oldLowFrequencyRef, LOW_FREQUENCY_REF_EDEFAULT, oldLowFrequencyRefESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLowFrequencyRef() {
		return lowFrequencyRefESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public float getQuartz() {
		return quartz;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setQuartz(float newQuartz) {
		float oldQuartz = quartz;
		quartz = newQuartz;
		boolean oldQuartzESet = quartzESet;
		quartzESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__QUARTZ, oldQuartz, quartz, !oldQuartzESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetQuartz() {
		float oldQuartz = quartz;
		boolean oldQuartzESet = quartzESet;
		quartz = QUARTZ_EDEFAULT;
		quartzESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__QUARTZ, oldQuartz, QUARTZ_EDEFAULT, oldQuartzESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetQuartz() {
		return quartzESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getRCDivisorFactor() {
		return rCDivisorFactor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRCDivisorFactor(BigInteger newRCDivisorFactor) {
		BigInteger oldRCDivisorFactor = rCDivisorFactor;
		rCDivisorFactor = newRCDivisorFactor;
		boolean oldRCDivisorFactorESet = rCDivisorFactorESet;
		rCDivisorFactorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__RC_DIVISOR_FACTOR, oldRCDivisorFactor, rCDivisorFactor, !oldRCDivisorFactorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetRCDivisorFactor() {
		BigInteger oldRCDivisorFactor = rCDivisorFactor;
		boolean oldRCDivisorFactorESet = rCDivisorFactorESet;
		rCDivisorFactor = RC_DIVISOR_FACTOR_EDEFAULT;
		rCDivisorFactorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__RC_DIVISOR_FACTOR, oldRCDivisorFactor, RC_DIVISOR_FACTOR_EDEFAULT, oldRCDivisorFactorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetRCDivisorFactor() {
		return rCDivisorFactorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public McuRCOSCSelectionType getRCOSCSelection() {
		return rCOSCSelection;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRCOSCSelection(McuRCOSCSelectionType newRCOSCSelection) {
		McuRCOSCSelectionType oldRCOSCSelection = rCOSCSelection;
		rCOSCSelection = newRCOSCSelection == null ? RCOSC_SELECTION_EDEFAULT : newRCOSCSelection;
		boolean oldRCOSCSelectionESet = rCOSCSelectionESet;
		rCOSCSelectionESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__RCOSC_SELECTION, oldRCOSCSelection, rCOSCSelection, !oldRCOSCSelectionESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetRCOSCSelection() {
		McuRCOSCSelectionType oldRCOSCSelection = rCOSCSelection;
		boolean oldRCOSCSelectionESet = rCOSCSelectionESet;
		rCOSCSelection = RCOSC_SELECTION_EDEFAULT;
		rCOSCSelectionESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__RCOSC_SELECTION, oldRCOSCSelection, RCOSC_SELECTION_EDEFAULT, oldRCOSCSelectionESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetRCOSCSelection() {
		return rCOSCSelectionESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getXTalACounterOscillator() {
		return xTalACounterOscillator;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setXTalACounterOscillator(BigInteger newXTalACounterOscillator) {
		BigInteger oldXTalACounterOscillator = xTalACounterOscillator;
		xTalACounterOscillator = newXTalACounterOscillator;
		boolean oldXTalACounterOscillatorESet = xTalACounterOscillatorESet;
		xTalACounterOscillatorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_ACOUNTER_OSCILLATOR, oldXTalACounterOscillator, xTalACounterOscillator, !oldXTalACounterOscillatorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetXTalACounterOscillator() {
		BigInteger oldXTalACounterOscillator = xTalACounterOscillator;
		boolean oldXTalACounterOscillatorESet = xTalACounterOscillatorESet;
		xTalACounterOscillator = XTAL_ACOUNTER_OSCILLATOR_EDEFAULT;
		xTalACounterOscillatorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_ACOUNTER_OSCILLATOR, oldXTalACounterOscillator, XTAL_ACOUNTER_OSCILLATOR_EDEFAULT, oldXTalACounterOscillatorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetXTalACounterOscillator() {
		return xTalACounterOscillatorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getXTalB32KHzCounterOscillator() {
		return xTalB32KHzCounterOscillator;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setXTalB32KHzCounterOscillator(BigInteger newXTalB32KHzCounterOscillator) {
		BigInteger oldXTalB32KHzCounterOscillator = xTalB32KHzCounterOscillator;
		xTalB32KHzCounterOscillator = newXTalB32KHzCounterOscillator;
		boolean oldXTalB32KHzCounterOscillatorESet = xTalB32KHzCounterOscillatorESet;
		xTalB32KHzCounterOscillatorESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_B32K_HZ_COUNTER_OSCILLATOR, oldXTalB32KHzCounterOscillator, xTalB32KHzCounterOscillator, !oldXTalB32KHzCounterOscillatorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetXTalB32KHzCounterOscillator() {
		BigInteger oldXTalB32KHzCounterOscillator = xTalB32KHzCounterOscillator;
		boolean oldXTalB32KHzCounterOscillatorESet = xTalB32KHzCounterOscillatorESet;
		xTalB32KHzCounterOscillator = XTAL_B32K_HZ_COUNTER_OSCILLATOR_EDEFAULT;
		xTalB32KHzCounterOscillatorESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_B32K_HZ_COUNTER_OSCILLATOR, oldXTalB32KHzCounterOscillator, XTAL_B32K_HZ_COUNTER_OSCILLATOR_EDEFAULT, oldXTalB32KHzCounterOscillatorESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetXTalB32KHzCounterOscillator() {
		return xTalB32KHzCounterOscillatorESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_DIVISOR:
				return getClkDivisor();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_OUTPUT:
				return getClkOutput();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_SOURCE:
				return getClkSource();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_CHANGE_TIMEOUT:
				return getClockChangeTimeout();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_SRC_FAILURE_NOTIFICATION:
				return getClockSrcFailureNotification();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CPU_CLOCK_FREQUENCY:
				return getCpuClockFrequency();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__FM_PLL_MONITOR:
				return getFmPllMonitor();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__HIGH_FREQUENCY_REF:
				return getHighFrequencyRef();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__LOW_FREQUENCY_REF:
				return getLowFrequencyRef();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__QUARTZ:
				return getQuartz();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RC_DIVISOR_FACTOR:
				return getRCDivisorFactor();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RCOSC_SELECTION:
				return getRCOSCSelection();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_ACOUNTER_OSCILLATOR:
				return getXTalACounterOscillator();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_B32K_HZ_COUNTER_OSCILLATOR:
				return getXTalB32KHzCounterOscillator();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_DIVISOR:
				setClkDivisor((McuClkDivisorType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_OUTPUT:
				setClkOutput((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_SOURCE:
				setClkSource((McuClkSourceType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_CHANGE_TIMEOUT:
				setClockChangeTimeout((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_SRC_FAILURE_NOTIFICATION:
				setClockSrcFailureNotification((McuClockSrcFailureNotificationType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CPU_CLOCK_FREQUENCY:
				setCpuClockFrequency((Float)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__FM_PLL_MONITOR:
				setFmPllMonitor((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__HIGH_FREQUENCY_REF:
				setHighFrequencyRef((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__LOW_FREQUENCY_REF:
				setLowFrequencyRef((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__QUARTZ:
				setQuartz((Float)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RC_DIVISOR_FACTOR:
				setRCDivisorFactor((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RCOSC_SELECTION:
				setRCOSCSelection((McuRCOSCSelectionType)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_ACOUNTER_OSCILLATOR:
				setXTalACounterOscillator((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_B32K_HZ_COUNTER_OSCILLATOR:
				setXTalB32KHzCounterOscillator((BigInteger)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_DIVISOR:
				unsetClkDivisor();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_OUTPUT:
				unsetClkOutput();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_SOURCE:
				unsetClkSource();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_CHANGE_TIMEOUT:
				unsetClockChangeTimeout();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_SRC_FAILURE_NOTIFICATION:
				unsetClockSrcFailureNotification();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CPU_CLOCK_FREQUENCY:
				unsetCpuClockFrequency();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__FM_PLL_MONITOR:
				unsetFmPllMonitor();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__HIGH_FREQUENCY_REF:
				unsetHighFrequencyRef();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__LOW_FREQUENCY_REF:
				unsetLowFrequencyRef();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__QUARTZ:
				unsetQuartz();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RC_DIVISOR_FACTOR:
				unsetRCDivisorFactor();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RCOSC_SELECTION:
				unsetRCOSCSelection();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_ACOUNTER_OSCILLATOR:
				unsetXTalACounterOscillator();
				return;
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_B32K_HZ_COUNTER_OSCILLATOR:
				unsetXTalB32KHzCounterOscillator();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_DIVISOR:
				return isSetClkDivisor();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_OUTPUT:
				return isSetClkOutput();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLK_SOURCE:
				return isSetClkSource();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_CHANGE_TIMEOUT:
				return isSetClockChangeTimeout();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CLOCK_SRC_FAILURE_NOTIFICATION:
				return isSetClockSrcFailureNotification();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__CPU_CLOCK_FREQUENCY:
				return isSetCpuClockFrequency();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__FM_PLL_MONITOR:
				return isSetFmPllMonitor();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__HIGH_FREQUENCY_REF:
				return isSetHighFrequencyRef();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__LOW_FREQUENCY_REF:
				return isSetLowFrequencyRef();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__QUARTZ:
				return isSetQuartz();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RC_DIVISOR_FACTOR:
				return isSetRCDivisorFactor();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__RCOSC_SELECTION:
				return isSetRCOSCSelection();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_ACOUNTER_OSCILLATOR:
				return isSetXTalACounterOscillator();
			case SystemSparcClockMcuPackage.CLOCK_TYPE__XTAL_B32K_HZ_COUNTER_OSCILLATOR:
				return isSetXTalB32KHzCounterOscillator();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (clkDivisor: ");
		if (clkDivisorESet) result.append(clkDivisor); else result.append("<unset>");
		result.append(", clkOutput: ");
		if (clkOutputESet) result.append(clkOutput); else result.append("<unset>");
		result.append(", clkSource: ");
		if (clkSourceESet) result.append(clkSource); else result.append("<unset>");
		result.append(", clockChangeTimeout: ");
		if (clockChangeTimeoutESet) result.append(clockChangeTimeout); else result.append("<unset>");
		result.append(", clockSrcFailureNotification: ");
		if (clockSrcFailureNotificationESet) result.append(clockSrcFailureNotification); else result.append("<unset>");
		result.append(", cpuClockFrequency: ");
		if (cpuClockFrequencyESet) result.append(cpuClockFrequency); else result.append("<unset>");
		result.append(", fmPllMonitor: ");
		if (fmPllMonitorESet) result.append(fmPllMonitor); else result.append("<unset>");
		result.append(", highFrequencyRef: ");
		if (highFrequencyRefESet) result.append(highFrequencyRef); else result.append("<unset>");
		result.append(", lowFrequencyRef: ");
		if (lowFrequencyRefESet) result.append(lowFrequencyRef); else result.append("<unset>");
		result.append(", quartz: ");
		if (quartzESet) result.append(quartz); else result.append("<unset>");
		result.append(", rCDivisorFactor: ");
		if (rCDivisorFactorESet) result.append(rCDivisorFactor); else result.append("<unset>");
		result.append(", rCOSCSelection: ");
		if (rCOSCSelectionESet) result.append(rCOSCSelection); else result.append("<unset>");
		result.append(", xTalACounterOscillator: ");
		if (xTalACounterOscillatorESet) result.append(xTalACounterOscillator); else result.append("<unset>");
		result.append(", xTalB32KHzCounterOscillator: ");
		if (xTalB32KHzCounterOscillatorESet) result.append(xTalB32KHzCounterOscillator); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //CLOCKTypeImpl
