/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.DMACHANNELADVANCEDCONFIGURATIONType;
import SystemSparcClockMcu.DMACHANNELType;
import SystemSparcClockMcu.DmaOperationModeType;
import SystemSparcClockMcu.DmaRequestSourceType;
import SystemSparcClockMcu.DmaTransferControlDescriptorType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;

import java.math.BigInteger;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>DMACHANNEL Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDMACHANNELADVANCEDCONFIGURATION <em>DMACHANNELADVANCEDCONFIGURATION</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaTransferControlDescriptor <em>Dma Transfer Control Descriptor</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaChannelPriorityRegister <em>Dma Channel Priority Register</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaHwChannelNumber <em>Dma Hw Channel Number</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaInterruptCallback <em>Dma Interrupt Callback</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaOperationMode <em>Dma Operation Mode</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaPitTriggerNumberOfTicks <em>Dma Pit Trigger Number Of Ticks</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getDmaRequestSource <em>Dma Request Source</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.DMACHANNELTypeImpl#getName <em>Name</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class DMACHANNELTypeImpl extends EObjectImpl implements DMACHANNELType {
	/**
	 * The cached value of the '{@link #getDMACHANNELADVANCEDCONFIGURATION() <em>DMACHANNELADVANCEDCONFIGURATION</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMACHANNELADVANCEDCONFIGURATION()
	 * @generated
	 * @ordered
	 */
	protected DMACHANNELADVANCEDCONFIGURATIONType dMACHANNELADVANCEDCONFIGURATION;

	/**
	 * The cached value of the '{@link #getDmaTransferControlDescriptor() <em>Dma Transfer Control Descriptor</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaTransferControlDescriptor()
	 * @generated
	 * @ordered
	 */
	protected EList<DmaTransferControlDescriptorType> dmaTransferControlDescriptor;

	/**
	 * The default value of the '{@link #getDmaChannelPriorityRegister() <em>Dma Channel Priority Register</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaChannelPriorityRegister()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DMA_CHANNEL_PRIORITY_REGISTER_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDmaChannelPriorityRegister() <em>Dma Channel Priority Register</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaChannelPriorityRegister()
	 * @generated
	 * @ordered
	 */
	protected BigInteger dmaChannelPriorityRegister = DMA_CHANNEL_PRIORITY_REGISTER_EDEFAULT;

	/**
	 * The default value of the '{@link #getDmaHwChannelNumber() <em>Dma Hw Channel Number</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaHwChannelNumber()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DMA_HW_CHANNEL_NUMBER_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDmaHwChannelNumber() <em>Dma Hw Channel Number</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaHwChannelNumber()
	 * @generated
	 * @ordered
	 */
	protected BigInteger dmaHwChannelNumber = DMA_HW_CHANNEL_NUMBER_EDEFAULT;

	/**
	 * The default value of the '{@link #getDmaInterruptCallback() <em>Dma Interrupt Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaInterruptCallback()
	 * @generated
	 * @ordered
	 */
	protected static final String DMA_INTERRUPT_CALLBACK_EDEFAULT = "NULL_PTR";

	/**
	 * The cached value of the '{@link #getDmaInterruptCallback() <em>Dma Interrupt Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaInterruptCallback()
	 * @generated
	 * @ordered
	 */
	protected String dmaInterruptCallback = DMA_INTERRUPT_CALLBACK_EDEFAULT;

	/**
	 * This is true if the Dma Interrupt Callback attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dmaInterruptCallbackESet;

	/**
	 * The default value of the '{@link #getDmaOperationMode() <em>Dma Operation Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaOperationMode()
	 * @generated
	 * @ordered
	 */
	protected static final DmaOperationModeType DMA_OPERATION_MODE_EDEFAULT = DmaOperationModeType.NORMAL;

	/**
	 * The cached value of the '{@link #getDmaOperationMode() <em>Dma Operation Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaOperationMode()
	 * @generated
	 * @ordered
	 */
	protected DmaOperationModeType dmaOperationMode = DMA_OPERATION_MODE_EDEFAULT;

	/**
	 * This is true if the Dma Operation Mode attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dmaOperationModeESet;

	/**
	 * The default value of the '{@link #getDmaPitTriggerNumberOfTicks() <em>Dma Pit Trigger Number Of Ticks</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaPitTriggerNumberOfTicks()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DMA_PIT_TRIGGER_NUMBER_OF_TICKS_EDEFAULT = new BigInteger("2500");

	/**
	 * The cached value of the '{@link #getDmaPitTriggerNumberOfTicks() <em>Dma Pit Trigger Number Of Ticks</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaPitTriggerNumberOfTicks()
	 * @generated
	 * @ordered
	 */
	protected BigInteger dmaPitTriggerNumberOfTicks = DMA_PIT_TRIGGER_NUMBER_OF_TICKS_EDEFAULT;

	/**
	 * This is true if the Dma Pit Trigger Number Of Ticks attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dmaPitTriggerNumberOfTicksESet;

	/**
	 * The default value of the '{@link #getDmaRequestSource() <em>Dma Request Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaRequestSource()
	 * @generated
	 * @ordered
	 */
	protected static final DmaRequestSourceType DMA_REQUEST_SOURCE_EDEFAULT = DmaRequestSourceType.CHANNEL_DISABLED;

	/**
	 * The cached value of the '{@link #getDmaRequestSource() <em>Dma Request Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDmaRequestSource()
	 * @generated
	 * @ordered
	 */
	protected DmaRequestSourceType dmaRequestSource = DMA_REQUEST_SOURCE_EDEFAULT;

	/**
	 * This is true if the Dma Request Source attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean dmaRequestSourceESet;

	/**
	 * The default value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected static final String NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected String name = NAME_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DMACHANNELTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getDMACHANNELType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DMACHANNELADVANCEDCONFIGURATIONType getDMACHANNELADVANCEDCONFIGURATION() {
		return dMACHANNELADVANCEDCONFIGURATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDMACHANNELADVANCEDCONFIGURATION(DMACHANNELADVANCEDCONFIGURATIONType newDMACHANNELADVANCEDCONFIGURATION, NotificationChain msgs) {
		DMACHANNELADVANCEDCONFIGURATIONType oldDMACHANNELADVANCEDCONFIGURATION = dMACHANNELADVANCEDCONFIGURATION;
		dMACHANNELADVANCEDCONFIGURATION = newDMACHANNELADVANCEDCONFIGURATION;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION, oldDMACHANNELADVANCEDCONFIGURATION, newDMACHANNELADVANCEDCONFIGURATION);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDMACHANNELADVANCEDCONFIGURATION(DMACHANNELADVANCEDCONFIGURATIONType newDMACHANNELADVANCEDCONFIGURATION) {
		if (newDMACHANNELADVANCEDCONFIGURATION != dMACHANNELADVANCEDCONFIGURATION) {
			NotificationChain msgs = null;
			if (dMACHANNELADVANCEDCONFIGURATION != null)
				msgs = ((InternalEObject)dMACHANNELADVANCEDCONFIGURATION).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION, null, msgs);
			if (newDMACHANNELADVANCEDCONFIGURATION != null)
				msgs = ((InternalEObject)newDMACHANNELADVANCEDCONFIGURATION).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION, null, msgs);
			msgs = basicSetDMACHANNELADVANCEDCONFIGURATION(newDMACHANNELADVANCEDCONFIGURATION, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION, newDMACHANNELADVANCEDCONFIGURATION, newDMACHANNELADVANCEDCONFIGURATION));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<DmaTransferControlDescriptorType> getDmaTransferControlDescriptor() {
		if (dmaTransferControlDescriptor == null) {
			dmaTransferControlDescriptor = new EObjectContainmentEList<DmaTransferControlDescriptorType>(DmaTransferControlDescriptorType.class, this, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_TRANSFER_CONTROL_DESCRIPTOR);
		}
		return dmaTransferControlDescriptor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDmaChannelPriorityRegister() {
		return dmaChannelPriorityRegister;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaChannelPriorityRegister(BigInteger newDmaChannelPriorityRegister) {
		BigInteger oldDmaChannelPriorityRegister = dmaChannelPriorityRegister;
		dmaChannelPriorityRegister = newDmaChannelPriorityRegister;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_CHANNEL_PRIORITY_REGISTER, oldDmaChannelPriorityRegister, dmaChannelPriorityRegister));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDmaHwChannelNumber() {
		return dmaHwChannelNumber;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaHwChannelNumber(BigInteger newDmaHwChannelNumber) {
		BigInteger oldDmaHwChannelNumber = dmaHwChannelNumber;
		dmaHwChannelNumber = newDmaHwChannelNumber;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_HW_CHANNEL_NUMBER, oldDmaHwChannelNumber, dmaHwChannelNumber));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDmaInterruptCallback() {
		return dmaInterruptCallback;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaInterruptCallback(String newDmaInterruptCallback) {
		String oldDmaInterruptCallback = dmaInterruptCallback;
		dmaInterruptCallback = newDmaInterruptCallback;
		boolean oldDmaInterruptCallbackESet = dmaInterruptCallbackESet;
		dmaInterruptCallbackESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_INTERRUPT_CALLBACK, oldDmaInterruptCallback, dmaInterruptCallback, !oldDmaInterruptCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDmaInterruptCallback() {
		String oldDmaInterruptCallback = dmaInterruptCallback;
		boolean oldDmaInterruptCallbackESet = dmaInterruptCallbackESet;
		dmaInterruptCallback = DMA_INTERRUPT_CALLBACK_EDEFAULT;
		dmaInterruptCallbackESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_INTERRUPT_CALLBACK, oldDmaInterruptCallback, DMA_INTERRUPT_CALLBACK_EDEFAULT, oldDmaInterruptCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDmaInterruptCallback() {
		return dmaInterruptCallbackESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DmaOperationModeType getDmaOperationMode() {
		return dmaOperationMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaOperationMode(DmaOperationModeType newDmaOperationMode) {
		DmaOperationModeType oldDmaOperationMode = dmaOperationMode;
		dmaOperationMode = newDmaOperationMode == null ? DMA_OPERATION_MODE_EDEFAULT : newDmaOperationMode;
		boolean oldDmaOperationModeESet = dmaOperationModeESet;
		dmaOperationModeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_OPERATION_MODE, oldDmaOperationMode, dmaOperationMode, !oldDmaOperationModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDmaOperationMode() {
		DmaOperationModeType oldDmaOperationMode = dmaOperationMode;
		boolean oldDmaOperationModeESet = dmaOperationModeESet;
		dmaOperationMode = DMA_OPERATION_MODE_EDEFAULT;
		dmaOperationModeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_OPERATION_MODE, oldDmaOperationMode, DMA_OPERATION_MODE_EDEFAULT, oldDmaOperationModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDmaOperationMode() {
		return dmaOperationModeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDmaPitTriggerNumberOfTicks() {
		return dmaPitTriggerNumberOfTicks;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaPitTriggerNumberOfTicks(BigInteger newDmaPitTriggerNumberOfTicks) {
		BigInteger oldDmaPitTriggerNumberOfTicks = dmaPitTriggerNumberOfTicks;
		dmaPitTriggerNumberOfTicks = newDmaPitTriggerNumberOfTicks;
		boolean oldDmaPitTriggerNumberOfTicksESet = dmaPitTriggerNumberOfTicksESet;
		dmaPitTriggerNumberOfTicksESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_PIT_TRIGGER_NUMBER_OF_TICKS, oldDmaPitTriggerNumberOfTicks, dmaPitTriggerNumberOfTicks, !oldDmaPitTriggerNumberOfTicksESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDmaPitTriggerNumberOfTicks() {
		BigInteger oldDmaPitTriggerNumberOfTicks = dmaPitTriggerNumberOfTicks;
		boolean oldDmaPitTriggerNumberOfTicksESet = dmaPitTriggerNumberOfTicksESet;
		dmaPitTriggerNumberOfTicks = DMA_PIT_TRIGGER_NUMBER_OF_TICKS_EDEFAULT;
		dmaPitTriggerNumberOfTicksESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_PIT_TRIGGER_NUMBER_OF_TICKS, oldDmaPitTriggerNumberOfTicks, DMA_PIT_TRIGGER_NUMBER_OF_TICKS_EDEFAULT, oldDmaPitTriggerNumberOfTicksESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDmaPitTriggerNumberOfTicks() {
		return dmaPitTriggerNumberOfTicksESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DmaRequestSourceType getDmaRequestSource() {
		return dmaRequestSource;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDmaRequestSource(DmaRequestSourceType newDmaRequestSource) {
		DmaRequestSourceType oldDmaRequestSource = dmaRequestSource;
		dmaRequestSource = newDmaRequestSource == null ? DMA_REQUEST_SOURCE_EDEFAULT : newDmaRequestSource;
		boolean oldDmaRequestSourceESet = dmaRequestSourceESet;
		dmaRequestSourceESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_REQUEST_SOURCE, oldDmaRequestSource, dmaRequestSource, !oldDmaRequestSourceESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDmaRequestSource() {
		DmaRequestSourceType oldDmaRequestSource = dmaRequestSource;
		boolean oldDmaRequestSourceESet = dmaRequestSourceESet;
		dmaRequestSource = DMA_REQUEST_SOURCE_EDEFAULT;
		dmaRequestSourceESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_REQUEST_SOURCE, oldDmaRequestSource, DMA_REQUEST_SOURCE_EDEFAULT, oldDmaRequestSourceESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDmaRequestSource() {
		return dmaRequestSourceESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
		return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setName(String newName) {
		String oldName = name;
		name = newName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.DMACHANNEL_TYPE__NAME, oldName, name));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION:
				return basicSetDMACHANNELADVANCEDCONFIGURATION(null, msgs);
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_TRANSFER_CONTROL_DESCRIPTOR:
				return ((InternalEList<?>)getDmaTransferControlDescriptor()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION:
				return getDMACHANNELADVANCEDCONFIGURATION();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_TRANSFER_CONTROL_DESCRIPTOR:
				return getDmaTransferControlDescriptor();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_CHANNEL_PRIORITY_REGISTER:
				return getDmaChannelPriorityRegister();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_HW_CHANNEL_NUMBER:
				return getDmaHwChannelNumber();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_INTERRUPT_CALLBACK:
				return getDmaInterruptCallback();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_OPERATION_MODE:
				return getDmaOperationMode();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_PIT_TRIGGER_NUMBER_OF_TICKS:
				return getDmaPitTriggerNumberOfTicks();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_REQUEST_SOURCE:
				return getDmaRequestSource();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__NAME:
				return getName();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION:
				setDMACHANNELADVANCEDCONFIGURATION((DMACHANNELADVANCEDCONFIGURATIONType)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_TRANSFER_CONTROL_DESCRIPTOR:
				getDmaTransferControlDescriptor().clear();
				getDmaTransferControlDescriptor().addAll((Collection<? extends DmaTransferControlDescriptorType>)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_CHANNEL_PRIORITY_REGISTER:
				setDmaChannelPriorityRegister((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_HW_CHANNEL_NUMBER:
				setDmaHwChannelNumber((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_INTERRUPT_CALLBACK:
				setDmaInterruptCallback((String)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_OPERATION_MODE:
				setDmaOperationMode((DmaOperationModeType)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_PIT_TRIGGER_NUMBER_OF_TICKS:
				setDmaPitTriggerNumberOfTicks((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_REQUEST_SOURCE:
				setDmaRequestSource((DmaRequestSourceType)newValue);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__NAME:
				setName((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION:
				setDMACHANNELADVANCEDCONFIGURATION((DMACHANNELADVANCEDCONFIGURATIONType)null);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_TRANSFER_CONTROL_DESCRIPTOR:
				getDmaTransferControlDescriptor().clear();
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_CHANNEL_PRIORITY_REGISTER:
				setDmaChannelPriorityRegister(DMA_CHANNEL_PRIORITY_REGISTER_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_HW_CHANNEL_NUMBER:
				setDmaHwChannelNumber(DMA_HW_CHANNEL_NUMBER_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_INTERRUPT_CALLBACK:
				unsetDmaInterruptCallback();
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_OPERATION_MODE:
				unsetDmaOperationMode();
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_PIT_TRIGGER_NUMBER_OF_TICKS:
				unsetDmaPitTriggerNumberOfTicks();
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_REQUEST_SOURCE:
				unsetDmaRequestSource();
				return;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__NAME:
				setName(NAME_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMACHANNELADVANCEDCONFIGURATION:
				return dMACHANNELADVANCEDCONFIGURATION != null;
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_TRANSFER_CONTROL_DESCRIPTOR:
				return dmaTransferControlDescriptor != null && !dmaTransferControlDescriptor.isEmpty();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_CHANNEL_PRIORITY_REGISTER:
				return DMA_CHANNEL_PRIORITY_REGISTER_EDEFAULT == null ? dmaChannelPriorityRegister != null : !DMA_CHANNEL_PRIORITY_REGISTER_EDEFAULT.equals(dmaChannelPriorityRegister);
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_HW_CHANNEL_NUMBER:
				return DMA_HW_CHANNEL_NUMBER_EDEFAULT == null ? dmaHwChannelNumber != null : !DMA_HW_CHANNEL_NUMBER_EDEFAULT.equals(dmaHwChannelNumber);
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_INTERRUPT_CALLBACK:
				return isSetDmaInterruptCallback();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_OPERATION_MODE:
				return isSetDmaOperationMode();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_PIT_TRIGGER_NUMBER_OF_TICKS:
				return isSetDmaPitTriggerNumberOfTicks();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__DMA_REQUEST_SOURCE:
				return isSetDmaRequestSource();
			case SystemSparcClockMcuPackage.DMACHANNEL_TYPE__NAME:
				return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (dmaChannelPriorityRegister: ");
		result.append(dmaChannelPriorityRegister);
		result.append(", dmaHwChannelNumber: ");
		result.append(dmaHwChannelNumber);
		result.append(", dmaInterruptCallback: ");
		if (dmaInterruptCallbackESet) result.append(dmaInterruptCallback); else result.append("<unset>");
		result.append(", dmaOperationMode: ");
		if (dmaOperationModeESet) result.append(dmaOperationMode); else result.append("<unset>");
		result.append(", dmaPitTriggerNumberOfTicks: ");
		if (dmaPitTriggerNumberOfTicksESet) result.append(dmaPitTriggerNumberOfTicks); else result.append("<unset>");
		result.append(", dmaRequestSource: ");
		if (dmaRequestSourceESet) result.append(dmaRequestSource); else result.append("<unset>");
		result.append(", name: ");
		result.append(name);
		result.append(')');
		return result.toString();
	}

} //DMACHANNELTypeImpl
