/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.ECUMCALLOUTCONFIGURATIONType;
import SystemSparcClockMcu.ECUMSLEEPMODEType;
import SystemSparcClockMcu.ECUMType;
import SystemSparcClockMcu.EcuMDriverInitItemAttr;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;
import SystemSparcClockMcu.USERCONFIGType;
import SystemSparcClockMcu.WAKEUPSOURCEType;

import java.math.BigInteger;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>ECUM Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getDRIVERINITZERO <em>DRIVERINITZERO</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getDRIVERINITONE <em>DRIVERINITONE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getDRIVERINITTWO <em>DRIVERINITTWO</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getDRIVERINITTHREE <em>DRIVERINITTHREE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getDRIVERRESTARTLIST <em>DRIVERRESTARTLIST</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getECUMSLEEPMODE <em>ECUMSLEEPMODE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getUSERCONFIG <em>USERCONFIG</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getWAKEUPSOURCE <em>WAKEUPSOURCE</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getECUMCALLOUTCONFIGURATION <em>ECUMCALLOUTCONFIGURATION</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getComMRunReqChannels <em>Com MRun Req Channels</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getConfigurationPBAddress <em>Configuration PB Address</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getIncludeDem <em>Include Dem</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getIncludeRte <em>Include Rte</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getOsLockSchedResourceRef <em>Os Lock Sched Resource Ref</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.ECUMTypeImpl#getSupervisedEntityRef <em>Supervised Entity Ref</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ECUMTypeImpl extends EObjectImpl implements ECUMType {
	/**
	 * The cached value of the '{@link #getDRIVERINITZERO() <em>DRIVERINITZERO</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDRIVERINITZERO()
	 * @generated
	 * @ordered
	 */
	protected EcuMDriverInitItemAttr dRIVERINITZERO;

	/**
	 * The cached value of the '{@link #getDRIVERINITONE() <em>DRIVERINITONE</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDRIVERINITONE()
	 * @generated
	 * @ordered
	 */
	protected EcuMDriverInitItemAttr dRIVERINITONE;

	/**
	 * The cached value of the '{@link #getDRIVERINITTWO() <em>DRIVERINITTWO</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDRIVERINITTWO()
	 * @generated
	 * @ordered
	 */
	protected EcuMDriverInitItemAttr dRIVERINITTWO;

	/**
	 * The cached value of the '{@link #getDRIVERINITTHREE() <em>DRIVERINITTHREE</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDRIVERINITTHREE()
	 * @generated
	 * @ordered
	 */
	protected EcuMDriverInitItemAttr dRIVERINITTHREE;

	/**
	 * The cached value of the '{@link #getDRIVERRESTARTLIST() <em>DRIVERRESTARTLIST</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDRIVERRESTARTLIST()
	 * @generated
	 * @ordered
	 */
	protected EcuMDriverInitItemAttr dRIVERRESTARTLIST;

	/**
	 * The cached value of the '{@link #getECUMSLEEPMODE() <em>ECUMSLEEPMODE</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getECUMSLEEPMODE()
	 * @generated
	 * @ordered
	 */
	protected ECUMSLEEPMODEType eCUMSLEEPMODE;

	/**
	 * The cached value of the '{@link #getUSERCONFIG() <em>USERCONFIG</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUSERCONFIG()
	 * @generated
	 * @ordered
	 */
	protected EList<USERCONFIGType> uSERCONFIG;

	/**
	 * The cached value of the '{@link #getWAKEUPSOURCE() <em>WAKEUPSOURCE</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWAKEUPSOURCE()
	 * @generated
	 * @ordered
	 */
	protected EList<WAKEUPSOURCEType> wAKEUPSOURCE;

	/**
	 * The cached value of the '{@link #getECUMCALLOUTCONFIGURATION() <em>ECUMCALLOUTCONFIGURATION</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getECUMCALLOUTCONFIGURATION()
	 * @generated
	 * @ordered
	 */
	protected ECUMCALLOUTCONFIGURATIONType eCUMCALLOUTCONFIGURATION;

	/**
	 * The default value of the '{@link #getComMRunReqChannels() <em>Com MRun Req Channels</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getComMRunReqChannels()
	 * @generated
	 * @ordered
	 */
	protected static final String COM_MRUN_REQ_CHANNELS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getComMRunReqChannels() <em>Com MRun Req Channels</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getComMRunReqChannels()
	 * @generated
	 * @ordered
	 */
	protected String comMRunReqChannels = COM_MRUN_REQ_CHANNELS_EDEFAULT;

	/**
	 * The default value of the '{@link #getConfigurationPBAddress() <em>Configuration PB Address</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConfigurationPBAddress()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger CONFIGURATION_PB_ADDRESS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getConfigurationPBAddress() <em>Configuration PB Address</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConfigurationPBAddress()
	 * @generated
	 * @ordered
	 */
	protected BigInteger configurationPBAddress = CONFIGURATION_PB_ADDRESS_EDEFAULT;

	/**
	 * The default value of the '{@link #getIncludeDem() <em>Include Dem</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIncludeDem()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean INCLUDE_DEM_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getIncludeDem() <em>Include Dem</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIncludeDem()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean includeDem = INCLUDE_DEM_EDEFAULT;

	/**
	 * This is true if the Include Dem attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean includeDemESet;

	/**
	 * The default value of the '{@link #getIncludeRte() <em>Include Rte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIncludeRte()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean INCLUDE_RTE_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getIncludeRte() <em>Include Rte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIncludeRte()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean includeRte = INCLUDE_RTE_EDEFAULT;

	/**
	 * This is true if the Include Rte attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean includeRteESet;

	/**
	 * The default value of the '{@link #getOsLockSchedResourceRef() <em>Os Lock Sched Resource Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsLockSchedResourceRef()
	 * @generated
	 * @ordered
	 */
	protected static final Object OS_LOCK_SCHED_RESOURCE_REF_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOsLockSchedResourceRef() <em>Os Lock Sched Resource Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOsLockSchedResourceRef()
	 * @generated
	 * @ordered
	 */
	protected Object osLockSchedResourceRef = OS_LOCK_SCHED_RESOURCE_REF_EDEFAULT;

	/**
	 * The default value of the '{@link #getSupervisedEntityRef() <em>Supervised Entity Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSupervisedEntityRef()
	 * @generated
	 * @ordered
	 */
	protected static final Object SUPERVISED_ENTITY_REF_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getSupervisedEntityRef() <em>Supervised Entity Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSupervisedEntityRef()
	 * @generated
	 * @ordered
	 */
	protected Object supervisedEntityRef = SUPERVISED_ENTITY_REF_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ECUMTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getECUMType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcuMDriverInitItemAttr getDRIVERINITZERO() {
		return dRIVERINITZERO;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDRIVERINITZERO(EcuMDriverInitItemAttr newDRIVERINITZERO, NotificationChain msgs) {
		EcuMDriverInitItemAttr oldDRIVERINITZERO = dRIVERINITZERO;
		dRIVERINITZERO = newDRIVERINITZERO;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO, oldDRIVERINITZERO, newDRIVERINITZERO);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDRIVERINITZERO(EcuMDriverInitItemAttr newDRIVERINITZERO) {
		if (newDRIVERINITZERO != dRIVERINITZERO) {
			NotificationChain msgs = null;
			if (dRIVERINITZERO != null)
				msgs = ((InternalEObject)dRIVERINITZERO).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO, null, msgs);
			if (newDRIVERINITZERO != null)
				msgs = ((InternalEObject)newDRIVERINITZERO).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO, null, msgs);
			msgs = basicSetDRIVERINITZERO(newDRIVERINITZERO, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO, newDRIVERINITZERO, newDRIVERINITZERO));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcuMDriverInitItemAttr getDRIVERINITONE() {
		return dRIVERINITONE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDRIVERINITONE(EcuMDriverInitItemAttr newDRIVERINITONE, NotificationChain msgs) {
		EcuMDriverInitItemAttr oldDRIVERINITONE = dRIVERINITONE;
		dRIVERINITONE = newDRIVERINITONE;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE, oldDRIVERINITONE, newDRIVERINITONE);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDRIVERINITONE(EcuMDriverInitItemAttr newDRIVERINITONE) {
		if (newDRIVERINITONE != dRIVERINITONE) {
			NotificationChain msgs = null;
			if (dRIVERINITONE != null)
				msgs = ((InternalEObject)dRIVERINITONE).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE, null, msgs);
			if (newDRIVERINITONE != null)
				msgs = ((InternalEObject)newDRIVERINITONE).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE, null, msgs);
			msgs = basicSetDRIVERINITONE(newDRIVERINITONE, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE, newDRIVERINITONE, newDRIVERINITONE));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcuMDriverInitItemAttr getDRIVERINITTWO() {
		return dRIVERINITTWO;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDRIVERINITTWO(EcuMDriverInitItemAttr newDRIVERINITTWO, NotificationChain msgs) {
		EcuMDriverInitItemAttr oldDRIVERINITTWO = dRIVERINITTWO;
		dRIVERINITTWO = newDRIVERINITTWO;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO, oldDRIVERINITTWO, newDRIVERINITTWO);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDRIVERINITTWO(EcuMDriverInitItemAttr newDRIVERINITTWO) {
		if (newDRIVERINITTWO != dRIVERINITTWO) {
			NotificationChain msgs = null;
			if (dRIVERINITTWO != null)
				msgs = ((InternalEObject)dRIVERINITTWO).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO, null, msgs);
			if (newDRIVERINITTWO != null)
				msgs = ((InternalEObject)newDRIVERINITTWO).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO, null, msgs);
			msgs = basicSetDRIVERINITTWO(newDRIVERINITTWO, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO, newDRIVERINITTWO, newDRIVERINITTWO));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcuMDriverInitItemAttr getDRIVERINITTHREE() {
		return dRIVERINITTHREE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDRIVERINITTHREE(EcuMDriverInitItemAttr newDRIVERINITTHREE, NotificationChain msgs) {
		EcuMDriverInitItemAttr oldDRIVERINITTHREE = dRIVERINITTHREE;
		dRIVERINITTHREE = newDRIVERINITTHREE;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE, oldDRIVERINITTHREE, newDRIVERINITTHREE);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDRIVERINITTHREE(EcuMDriverInitItemAttr newDRIVERINITTHREE) {
		if (newDRIVERINITTHREE != dRIVERINITTHREE) {
			NotificationChain msgs = null;
			if (dRIVERINITTHREE != null)
				msgs = ((InternalEObject)dRIVERINITTHREE).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE, null, msgs);
			if (newDRIVERINITTHREE != null)
				msgs = ((InternalEObject)newDRIVERINITTHREE).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE, null, msgs);
			msgs = basicSetDRIVERINITTHREE(newDRIVERINITTHREE, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE, newDRIVERINITTHREE, newDRIVERINITTHREE));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EcuMDriverInitItemAttr getDRIVERRESTARTLIST() {
		return dRIVERRESTARTLIST;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDRIVERRESTARTLIST(EcuMDriverInitItemAttr newDRIVERRESTARTLIST, NotificationChain msgs) {
		EcuMDriverInitItemAttr oldDRIVERRESTARTLIST = dRIVERRESTARTLIST;
		dRIVERRESTARTLIST = newDRIVERRESTARTLIST;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST, oldDRIVERRESTARTLIST, newDRIVERRESTARTLIST);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDRIVERRESTARTLIST(EcuMDriverInitItemAttr newDRIVERRESTARTLIST) {
		if (newDRIVERRESTARTLIST != dRIVERRESTARTLIST) {
			NotificationChain msgs = null;
			if (dRIVERRESTARTLIST != null)
				msgs = ((InternalEObject)dRIVERRESTARTLIST).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST, null, msgs);
			if (newDRIVERRESTARTLIST != null)
				msgs = ((InternalEObject)newDRIVERRESTARTLIST).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST, null, msgs);
			msgs = basicSetDRIVERRESTARTLIST(newDRIVERRESTARTLIST, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST, newDRIVERRESTARTLIST, newDRIVERRESTARTLIST));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ECUMSLEEPMODEType getECUMSLEEPMODE() {
		return eCUMSLEEPMODE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetECUMSLEEPMODE(ECUMSLEEPMODEType newECUMSLEEPMODE, NotificationChain msgs) {
		ECUMSLEEPMODEType oldECUMSLEEPMODE = eCUMSLEEPMODE;
		eCUMSLEEPMODE = newECUMSLEEPMODE;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE, oldECUMSLEEPMODE, newECUMSLEEPMODE);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setECUMSLEEPMODE(ECUMSLEEPMODEType newECUMSLEEPMODE) {
		if (newECUMSLEEPMODE != eCUMSLEEPMODE) {
			NotificationChain msgs = null;
			if (eCUMSLEEPMODE != null)
				msgs = ((InternalEObject)eCUMSLEEPMODE).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE, null, msgs);
			if (newECUMSLEEPMODE != null)
				msgs = ((InternalEObject)newECUMSLEEPMODE).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE, null, msgs);
			msgs = basicSetECUMSLEEPMODE(newECUMSLEEPMODE, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE, newECUMSLEEPMODE, newECUMSLEEPMODE));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<USERCONFIGType> getUSERCONFIG() {
		if (uSERCONFIG == null) {
			uSERCONFIG = new EObjectContainmentEList<USERCONFIGType>(USERCONFIGType.class, this, SystemSparcClockMcuPackage.ECUM_TYPE__USERCONFIG);
		}
		return uSERCONFIG;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<WAKEUPSOURCEType> getWAKEUPSOURCE() {
		if (wAKEUPSOURCE == null) {
			wAKEUPSOURCE = new EObjectContainmentEList<WAKEUPSOURCEType>(WAKEUPSOURCEType.class, this, SystemSparcClockMcuPackage.ECUM_TYPE__WAKEUPSOURCE);
		}
		return wAKEUPSOURCE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ECUMCALLOUTCONFIGURATIONType getECUMCALLOUTCONFIGURATION() {
		return eCUMCALLOUTCONFIGURATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetECUMCALLOUTCONFIGURATION(ECUMCALLOUTCONFIGURATIONType newECUMCALLOUTCONFIGURATION, NotificationChain msgs) {
		ECUMCALLOUTCONFIGURATIONType oldECUMCALLOUTCONFIGURATION = eCUMCALLOUTCONFIGURATION;
		eCUMCALLOUTCONFIGURATION = newECUMCALLOUTCONFIGURATION;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION, oldECUMCALLOUTCONFIGURATION, newECUMCALLOUTCONFIGURATION);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setECUMCALLOUTCONFIGURATION(ECUMCALLOUTCONFIGURATIONType newECUMCALLOUTCONFIGURATION) {
		if (newECUMCALLOUTCONFIGURATION != eCUMCALLOUTCONFIGURATION) {
			NotificationChain msgs = null;
			if (eCUMCALLOUTCONFIGURATION != null)
				msgs = ((InternalEObject)eCUMCALLOUTCONFIGURATION).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION, null, msgs);
			if (newECUMCALLOUTCONFIGURATION != null)
				msgs = ((InternalEObject)newECUMCALLOUTCONFIGURATION).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION, null, msgs);
			msgs = basicSetECUMCALLOUTCONFIGURATION(newECUMCALLOUTCONFIGURATION, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION, newECUMCALLOUTCONFIGURATION, newECUMCALLOUTCONFIGURATION));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getComMRunReqChannels() {
		return comMRunReqChannels;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setComMRunReqChannels(String newComMRunReqChannels) {
		String oldComMRunReqChannels = comMRunReqChannels;
		comMRunReqChannels = newComMRunReqChannels;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__COM_MRUN_REQ_CHANNELS, oldComMRunReqChannels, comMRunReqChannels));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getConfigurationPBAddress() {
		return configurationPBAddress;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setConfigurationPBAddress(BigInteger newConfigurationPBAddress) {
		BigInteger oldConfigurationPBAddress = configurationPBAddress;
		configurationPBAddress = newConfigurationPBAddress;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__CONFIGURATION_PB_ADDRESS, oldConfigurationPBAddress, configurationPBAddress));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getIncludeDem() {
		return includeDem;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIncludeDem(TypeBoolean newIncludeDem) {
		TypeBoolean oldIncludeDem = includeDem;
		includeDem = newIncludeDem == null ? INCLUDE_DEM_EDEFAULT : newIncludeDem;
		boolean oldIncludeDemESet = includeDemESet;
		includeDemESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_DEM, oldIncludeDem, includeDem, !oldIncludeDemESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetIncludeDem() {
		TypeBoolean oldIncludeDem = includeDem;
		boolean oldIncludeDemESet = includeDemESet;
		includeDem = INCLUDE_DEM_EDEFAULT;
		includeDemESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_DEM, oldIncludeDem, INCLUDE_DEM_EDEFAULT, oldIncludeDemESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetIncludeDem() {
		return includeDemESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getIncludeRte() {
		return includeRte;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIncludeRte(TypeBoolean newIncludeRte) {
		TypeBoolean oldIncludeRte = includeRte;
		includeRte = newIncludeRte == null ? INCLUDE_RTE_EDEFAULT : newIncludeRte;
		boolean oldIncludeRteESet = includeRteESet;
		includeRteESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_RTE, oldIncludeRte, includeRte, !oldIncludeRteESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetIncludeRte() {
		TypeBoolean oldIncludeRte = includeRte;
		boolean oldIncludeRteESet = includeRteESet;
		includeRte = INCLUDE_RTE_EDEFAULT;
		includeRteESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_RTE, oldIncludeRte, INCLUDE_RTE_EDEFAULT, oldIncludeRteESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetIncludeRte() {
		return includeRteESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getOsLockSchedResourceRef() {
		return osLockSchedResourceRef;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOsLockSchedResourceRef(Object newOsLockSchedResourceRef) {
		Object oldOsLockSchedResourceRef = osLockSchedResourceRef;
		osLockSchedResourceRef = newOsLockSchedResourceRef;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__OS_LOCK_SCHED_RESOURCE_REF, oldOsLockSchedResourceRef, osLockSchedResourceRef));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getSupervisedEntityRef() {
		return supervisedEntityRef;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSupervisedEntityRef(Object newSupervisedEntityRef) {
		Object oldSupervisedEntityRef = supervisedEntityRef;
		supervisedEntityRef = newSupervisedEntityRef;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.ECUM_TYPE__SUPERVISED_ENTITY_REF, oldSupervisedEntityRef, supervisedEntityRef));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO:
				return basicSetDRIVERINITZERO(null, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE:
				return basicSetDRIVERINITONE(null, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO:
				return basicSetDRIVERINITTWO(null, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE:
				return basicSetDRIVERINITTHREE(null, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST:
				return basicSetDRIVERRESTARTLIST(null, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE:
				return basicSetECUMSLEEPMODE(null, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__USERCONFIG:
				return ((InternalEList<?>)getUSERCONFIG()).basicRemove(otherEnd, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__WAKEUPSOURCE:
				return ((InternalEList<?>)getWAKEUPSOURCE()).basicRemove(otherEnd, msgs);
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION:
				return basicSetECUMCALLOUTCONFIGURATION(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO:
				return getDRIVERINITZERO();
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE:
				return getDRIVERINITONE();
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO:
				return getDRIVERINITTWO();
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE:
				return getDRIVERINITTHREE();
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST:
				return getDRIVERRESTARTLIST();
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE:
				return getECUMSLEEPMODE();
			case SystemSparcClockMcuPackage.ECUM_TYPE__USERCONFIG:
				return getUSERCONFIG();
			case SystemSparcClockMcuPackage.ECUM_TYPE__WAKEUPSOURCE:
				return getWAKEUPSOURCE();
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION:
				return getECUMCALLOUTCONFIGURATION();
			case SystemSparcClockMcuPackage.ECUM_TYPE__COM_MRUN_REQ_CHANNELS:
				return getComMRunReqChannels();
			case SystemSparcClockMcuPackage.ECUM_TYPE__CONFIGURATION_PB_ADDRESS:
				return getConfigurationPBAddress();
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_DEM:
				return getIncludeDem();
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_RTE:
				return getIncludeRte();
			case SystemSparcClockMcuPackage.ECUM_TYPE__OS_LOCK_SCHED_RESOURCE_REF:
				return getOsLockSchedResourceRef();
			case SystemSparcClockMcuPackage.ECUM_TYPE__SUPERVISED_ENTITY_REF:
				return getSupervisedEntityRef();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO:
				setDRIVERINITZERO((EcuMDriverInitItemAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE:
				setDRIVERINITONE((EcuMDriverInitItemAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO:
				setDRIVERINITTWO((EcuMDriverInitItemAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE:
				setDRIVERINITTHREE((EcuMDriverInitItemAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST:
				setDRIVERRESTARTLIST((EcuMDriverInitItemAttr)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE:
				setECUMSLEEPMODE((ECUMSLEEPMODEType)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__USERCONFIG:
				getUSERCONFIG().clear();
				getUSERCONFIG().addAll((Collection<? extends USERCONFIGType>)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__WAKEUPSOURCE:
				getWAKEUPSOURCE().clear();
				getWAKEUPSOURCE().addAll((Collection<? extends WAKEUPSOURCEType>)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION:
				setECUMCALLOUTCONFIGURATION((ECUMCALLOUTCONFIGURATIONType)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__COM_MRUN_REQ_CHANNELS:
				setComMRunReqChannels((String)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__CONFIGURATION_PB_ADDRESS:
				setConfigurationPBAddress((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_DEM:
				setIncludeDem((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_RTE:
				setIncludeRte((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__OS_LOCK_SCHED_RESOURCE_REF:
				setOsLockSchedResourceRef(newValue);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__SUPERVISED_ENTITY_REF:
				setSupervisedEntityRef(newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO:
				setDRIVERINITZERO((EcuMDriverInitItemAttr)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE:
				setDRIVERINITONE((EcuMDriverInitItemAttr)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO:
				setDRIVERINITTWO((EcuMDriverInitItemAttr)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE:
				setDRIVERINITTHREE((EcuMDriverInitItemAttr)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST:
				setDRIVERRESTARTLIST((EcuMDriverInitItemAttr)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE:
				setECUMSLEEPMODE((ECUMSLEEPMODEType)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__USERCONFIG:
				getUSERCONFIG().clear();
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__WAKEUPSOURCE:
				getWAKEUPSOURCE().clear();
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION:
				setECUMCALLOUTCONFIGURATION((ECUMCALLOUTCONFIGURATIONType)null);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__COM_MRUN_REQ_CHANNELS:
				setComMRunReqChannels(COM_MRUN_REQ_CHANNELS_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__CONFIGURATION_PB_ADDRESS:
				setConfigurationPBAddress(CONFIGURATION_PB_ADDRESS_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_DEM:
				unsetIncludeDem();
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_RTE:
				unsetIncludeRte();
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__OS_LOCK_SCHED_RESOURCE_REF:
				setOsLockSchedResourceRef(OS_LOCK_SCHED_RESOURCE_REF_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.ECUM_TYPE__SUPERVISED_ENTITY_REF:
				setSupervisedEntityRef(SUPERVISED_ENTITY_REF_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITZERO:
				return dRIVERINITZERO != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITONE:
				return dRIVERINITONE != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTWO:
				return dRIVERINITTWO != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERINITTHREE:
				return dRIVERINITTHREE != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__DRIVERRESTARTLIST:
				return dRIVERRESTARTLIST != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMSLEEPMODE:
				return eCUMSLEEPMODE != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__USERCONFIG:
				return uSERCONFIG != null && !uSERCONFIG.isEmpty();
			case SystemSparcClockMcuPackage.ECUM_TYPE__WAKEUPSOURCE:
				return wAKEUPSOURCE != null && !wAKEUPSOURCE.isEmpty();
			case SystemSparcClockMcuPackage.ECUM_TYPE__ECUMCALLOUTCONFIGURATION:
				return eCUMCALLOUTCONFIGURATION != null;
			case SystemSparcClockMcuPackage.ECUM_TYPE__COM_MRUN_REQ_CHANNELS:
				return COM_MRUN_REQ_CHANNELS_EDEFAULT == null ? comMRunReqChannels != null : !COM_MRUN_REQ_CHANNELS_EDEFAULT.equals(comMRunReqChannels);
			case SystemSparcClockMcuPackage.ECUM_TYPE__CONFIGURATION_PB_ADDRESS:
				return CONFIGURATION_PB_ADDRESS_EDEFAULT == null ? configurationPBAddress != null : !CONFIGURATION_PB_ADDRESS_EDEFAULT.equals(configurationPBAddress);
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_DEM:
				return isSetIncludeDem();
			case SystemSparcClockMcuPackage.ECUM_TYPE__INCLUDE_RTE:
				return isSetIncludeRte();
			case SystemSparcClockMcuPackage.ECUM_TYPE__OS_LOCK_SCHED_RESOURCE_REF:
				return OS_LOCK_SCHED_RESOURCE_REF_EDEFAULT == null ? osLockSchedResourceRef != null : !OS_LOCK_SCHED_RESOURCE_REF_EDEFAULT.equals(osLockSchedResourceRef);
			case SystemSparcClockMcuPackage.ECUM_TYPE__SUPERVISED_ENTITY_REF:
				return SUPERVISED_ENTITY_REF_EDEFAULT == null ? supervisedEntityRef != null : !SUPERVISED_ENTITY_REF_EDEFAULT.equals(supervisedEntityRef);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (comMRunReqChannels: ");
		result.append(comMRunReqChannels);
		result.append(", configurationPBAddress: ");
		result.append(configurationPBAddress);
		result.append(", includeDem: ");
		if (includeDemESet) result.append(includeDem); else result.append("<unset>");
		result.append(", includeRte: ");
		if (includeRteESet) result.append(includeRte); else result.append("<unset>");
		result.append(", osLockSchedResourceRef: ");
		result.append(osLockSchedResourceRef);
		result.append(", supervisedEntityRef: ");
		result.append(supervisedEntityRef);
		result.append(')');
		return result.toString();
	}

} //ECUMTypeImpl
