/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.ChipSelectType1;
import SystemSparcClockMcu.SBCTLE826xType;
import SystemSparcClockMcu.SPIHWChannelType;
import SystemSparcClockMcu.SbcFailSafeModeType;
import SystemSparcClockMcu.SbcLinSlopeType;
import SystemSparcClockMcu.SbcResetDelayType;
import SystemSparcClockMcu.SbcResetThresholdType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;

import java.math.BigInteger;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>SBCTLE82 6x Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getBaudRate <em>Baud Rate</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getCANTransceiver1Used <em>CAN Transceiver1 Used</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getChipSelect <em>Chip Select</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getChipSelectPin <em>Chip Select Pin</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getFailureCallback <em>Failure Callback</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getIcuChannel <em>Icu Channel</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getLimpHomeStateAfterInit <em>Limp Home State After Init</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getLINTransceiver1Used <em>LIN Transceiver1 Used</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getLINTransceiver2Used <em>LIN Transceiver2 Used</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getLINTransceiver3Used <em>LIN Transceiver3 Used</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getResetReasonCallback <em>Reset Reason Callback</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getSbcFailSafeMode <em>Sbc Fail Safe Mode</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getSbcLinSlope <em>Sbc Lin Slope</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getSbcResetDelay <em>Sbc Reset Delay</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getSbcResetThreshold <em>Sbc Reset Threshold</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getSbcWAKEInputAcquisition <em>Sbc WAKE Input Acquisition</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getSPIHWChannel <em>SPIHW Channel</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SBCTLE826xTypeImpl#getTransceiverFailureCallback <em>Transceiver Failure Callback</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class SBCTLE826xTypeImpl extends EObjectImpl implements SBCTLE826xType {
	/**
	 * The default value of the '{@link #getBaudRate() <em>Baud Rate</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBaudRate()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger BAUD_RATE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBaudRate() <em>Baud Rate</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBaudRate()
	 * @generated
	 * @ordered
	 */
	protected BigInteger baudRate = BAUD_RATE_EDEFAULT;

	/**
	 * The default value of the '{@link #getCANTransceiver1Used() <em>CAN Transceiver1 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCANTransceiver1Used()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean CAN_TRANSCEIVER1_USED_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getCANTransceiver1Used() <em>CAN Transceiver1 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCANTransceiver1Used()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean cANTransceiver1Used = CAN_TRANSCEIVER1_USED_EDEFAULT;

	/**
	 * This is true if the CAN Transceiver1 Used attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean cANTransceiver1UsedESet;

	/**
	 * The default value of the '{@link #getChipSelect() <em>Chip Select</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getChipSelect()
	 * @generated
	 * @ordered
	 */
	protected static final ChipSelectType1 CHIP_SELECT_EDEFAULT = ChipSelectType1.CS0;

	/**
	 * The cached value of the '{@link #getChipSelect() <em>Chip Select</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getChipSelect()
	 * @generated
	 * @ordered
	 */
	protected ChipSelectType1 chipSelect = CHIP_SELECT_EDEFAULT;

	/**
	 * This is true if the Chip Select attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean chipSelectESet;

	/**
	 * The default value of the '{@link #getChipSelectPin() <em>Chip Select Pin</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getChipSelectPin()
	 * @generated
	 * @ordered
	 */
	protected static final Object CHIP_SELECT_PIN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getChipSelectPin() <em>Chip Select Pin</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getChipSelectPin()
	 * @generated
	 * @ordered
	 */
	protected Object chipSelectPin = CHIP_SELECT_PIN_EDEFAULT;

	/**
	 * The default value of the '{@link #getFailureCallback() <em>Failure Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFailureCallback()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean FAILURE_CALLBACK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getFailureCallback() <em>Failure Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFailureCallback()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean failureCallback = FAILURE_CALLBACK_EDEFAULT;

	/**
	 * This is true if the Failure Callback attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean failureCallbackESet;

	/**
	 * The default value of the '{@link #getIcuChannel() <em>Icu Channel</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIcuChannel()
	 * @generated
	 * @ordered
	 */
	protected static final Object ICU_CHANNEL_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIcuChannel() <em>Icu Channel</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIcuChannel()
	 * @generated
	 * @ordered
	 */
	protected Object icuChannel = ICU_CHANNEL_EDEFAULT;

	/**
	 * The default value of the '{@link #getLimpHomeStateAfterInit() <em>Limp Home State After Init</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLimpHomeStateAfterInit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LIMP_HOME_STATE_AFTER_INIT_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getLimpHomeStateAfterInit() <em>Limp Home State After Init</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLimpHomeStateAfterInit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean limpHomeStateAfterInit = LIMP_HOME_STATE_AFTER_INIT_EDEFAULT;

	/**
	 * This is true if the Limp Home State After Init attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean limpHomeStateAfterInitESet;

	/**
	 * The default value of the '{@link #getLINTransceiver1Used() <em>LIN Transceiver1 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINTransceiver1Used()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LIN_TRANSCEIVER1_USED_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getLINTransceiver1Used() <em>LIN Transceiver1 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINTransceiver1Used()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINTransceiver1Used = LIN_TRANSCEIVER1_USED_EDEFAULT;

	/**
	 * This is true if the LIN Transceiver1 Used attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINTransceiver1UsedESet;

	/**
	 * The default value of the '{@link #getLINTransceiver2Used() <em>LIN Transceiver2 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINTransceiver2Used()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LIN_TRANSCEIVER2_USED_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getLINTransceiver2Used() <em>LIN Transceiver2 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINTransceiver2Used()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINTransceiver2Used = LIN_TRANSCEIVER2_USED_EDEFAULT;

	/**
	 * This is true if the LIN Transceiver2 Used attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINTransceiver2UsedESet;

	/**
	 * The default value of the '{@link #getLINTransceiver3Used() <em>LIN Transceiver3 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINTransceiver3Used()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean LIN_TRANSCEIVER3_USED_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getLINTransceiver3Used() <em>LIN Transceiver3 Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLINTransceiver3Used()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean lINTransceiver3Used = LIN_TRANSCEIVER3_USED_EDEFAULT;

	/**
	 * This is true if the LIN Transceiver3 Used attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean lINTransceiver3UsedESet;

	/**
	 * The default value of the '{@link #getResetReasonCallback() <em>Reset Reason Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getResetReasonCallback()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean RESET_REASON_CALLBACK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getResetReasonCallback() <em>Reset Reason Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getResetReasonCallback()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean resetReasonCallback = RESET_REASON_CALLBACK_EDEFAULT;

	/**
	 * This is true if the Reset Reason Callback attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean resetReasonCallbackESet;

	/**
	 * The default value of the '{@link #getSbcFailSafeMode() <em>Sbc Fail Safe Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcFailSafeMode()
	 * @generated
	 * @ordered
	 */
	protected static final SbcFailSafeModeType SBC_FAIL_SAFE_MODE_EDEFAULT = SbcFailSafeModeType.SBCFAILSAFEONEWDTRIGGER;

	/**
	 * The cached value of the '{@link #getSbcFailSafeMode() <em>Sbc Fail Safe Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcFailSafeMode()
	 * @generated
	 * @ordered
	 */
	protected SbcFailSafeModeType sbcFailSafeMode = SBC_FAIL_SAFE_MODE_EDEFAULT;

	/**
	 * This is true if the Sbc Fail Safe Mode attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sbcFailSafeModeESet;

	/**
	 * The default value of the '{@link #getSbcLinSlope() <em>Sbc Lin Slope</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcLinSlope()
	 * @generated
	 * @ordered
	 */
	protected static final SbcLinSlopeType SBC_LIN_SLOPE_EDEFAULT = SbcLinSlopeType.SBCLINNORMALSLOPEMODE;

	/**
	 * The cached value of the '{@link #getSbcLinSlope() <em>Sbc Lin Slope</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcLinSlope()
	 * @generated
	 * @ordered
	 */
	protected SbcLinSlopeType sbcLinSlope = SBC_LIN_SLOPE_EDEFAULT;

	/**
	 * This is true if the Sbc Lin Slope attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sbcLinSlopeESet;

	/**
	 * The default value of the '{@link #getSbcResetDelay() <em>Sbc Reset Delay</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcResetDelay()
	 * @generated
	 * @ordered
	 */
	protected static final SbcResetDelayType SBC_RESET_DELAY_EDEFAULT = SbcResetDelayType.SBCSHORTRESET;

	/**
	 * The cached value of the '{@link #getSbcResetDelay() <em>Sbc Reset Delay</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcResetDelay()
	 * @generated
	 * @ordered
	 */
	protected SbcResetDelayType sbcResetDelay = SBC_RESET_DELAY_EDEFAULT;

	/**
	 * This is true if the Sbc Reset Delay attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sbcResetDelayESet;

	/**
	 * The default value of the '{@link #getSbcResetThreshold() <em>Sbc Reset Threshold</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcResetThreshold()
	 * @generated
	 * @ordered
	 */
	protected static final SbcResetThresholdType SBC_RESET_THRESHOLD_EDEFAULT = SbcResetThresholdType.SBCVRT1;

	/**
	 * The cached value of the '{@link #getSbcResetThreshold() <em>Sbc Reset Threshold</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcResetThreshold()
	 * @generated
	 * @ordered
	 */
	protected SbcResetThresholdType sbcResetThreshold = SBC_RESET_THRESHOLD_EDEFAULT;

	/**
	 * This is true if the Sbc Reset Threshold attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sbcResetThresholdESet;

	/**
	 * The default value of the '{@link #getSbcWAKEInputAcquisition() <em>Sbc WAKE Input Acquisition</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcWAKEInputAcquisition()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SBC_WAKE_INPUT_ACQUISITION_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getSbcWAKEInputAcquisition() <em>Sbc WAKE Input Acquisition</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSbcWAKEInputAcquisition()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sbcWAKEInputAcquisition = SBC_WAKE_INPUT_ACQUISITION_EDEFAULT;

	/**
	 * This is true if the Sbc WAKE Input Acquisition attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sbcWAKEInputAcquisitionESet;

	/**
	 * The default value of the '{@link #getSPIHWChannel() <em>SPIHW Channel</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSPIHWChannel()
	 * @generated
	 * @ordered
	 */
	protected static final SPIHWChannelType SPIHW_CHANNEL_EDEFAULT = SPIHWChannelType.DSPI0;

	/**
	 * The cached value of the '{@link #getSPIHWChannel() <em>SPIHW Channel</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSPIHWChannel()
	 * @generated
	 * @ordered
	 */
	protected SPIHWChannelType sPIHWChannel = SPIHW_CHANNEL_EDEFAULT;

	/**
	 * This is true if the SPIHW Channel attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sPIHWChannelESet;

	/**
	 * The default value of the '{@link #getTransceiverFailureCallback() <em>Transceiver Failure Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTransceiverFailureCallback()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean TRANSCEIVER_FAILURE_CALLBACK_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getTransceiverFailureCallback() <em>Transceiver Failure Callback</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTransceiverFailureCallback()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean transceiverFailureCallback = TRANSCEIVER_FAILURE_CALLBACK_EDEFAULT;

	/**
	 * This is true if the Transceiver Failure Callback attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean transceiverFailureCallbackESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SBCTLE826xTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getSBCTLE826xType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getBaudRate() {
		return baudRate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBaudRate(BigInteger newBaudRate) {
		BigInteger oldBaudRate = baudRate;
		baudRate = newBaudRate;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__BAUD_RATE, oldBaudRate, baudRate));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getCANTransceiver1Used() {
		return cANTransceiver1Used;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCANTransceiver1Used(TypeBoolean newCANTransceiver1Used) {
		TypeBoolean oldCANTransceiver1Used = cANTransceiver1Used;
		cANTransceiver1Used = newCANTransceiver1Used == null ? CAN_TRANSCEIVER1_USED_EDEFAULT : newCANTransceiver1Used;
		boolean oldCANTransceiver1UsedESet = cANTransceiver1UsedESet;
		cANTransceiver1UsedESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CAN_TRANSCEIVER1_USED, oldCANTransceiver1Used, cANTransceiver1Used, !oldCANTransceiver1UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetCANTransceiver1Used() {
		TypeBoolean oldCANTransceiver1Used = cANTransceiver1Used;
		boolean oldCANTransceiver1UsedESet = cANTransceiver1UsedESet;
		cANTransceiver1Used = CAN_TRANSCEIVER1_USED_EDEFAULT;
		cANTransceiver1UsedESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CAN_TRANSCEIVER1_USED, oldCANTransceiver1Used, CAN_TRANSCEIVER1_USED_EDEFAULT, oldCANTransceiver1UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetCANTransceiver1Used() {
		return cANTransceiver1UsedESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ChipSelectType1 getChipSelect() {
		return chipSelect;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setChipSelect(ChipSelectType1 newChipSelect) {
		ChipSelectType1 oldChipSelect = chipSelect;
		chipSelect = newChipSelect == null ? CHIP_SELECT_EDEFAULT : newChipSelect;
		boolean oldChipSelectESet = chipSelectESet;
		chipSelectESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT, oldChipSelect, chipSelect, !oldChipSelectESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetChipSelect() {
		ChipSelectType1 oldChipSelect = chipSelect;
		boolean oldChipSelectESet = chipSelectESet;
		chipSelect = CHIP_SELECT_EDEFAULT;
		chipSelectESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT, oldChipSelect, CHIP_SELECT_EDEFAULT, oldChipSelectESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetChipSelect() {
		return chipSelectESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getChipSelectPin() {
		return chipSelectPin;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setChipSelectPin(Object newChipSelectPin) {
		Object oldChipSelectPin = chipSelectPin;
		chipSelectPin = newChipSelectPin;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT_PIN, oldChipSelectPin, chipSelectPin));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getFailureCallback() {
		return failureCallback;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFailureCallback(TypeBoolean newFailureCallback) {
		TypeBoolean oldFailureCallback = failureCallback;
		failureCallback = newFailureCallback == null ? FAILURE_CALLBACK_EDEFAULT : newFailureCallback;
		boolean oldFailureCallbackESet = failureCallbackESet;
		failureCallbackESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__FAILURE_CALLBACK, oldFailureCallback, failureCallback, !oldFailureCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetFailureCallback() {
		TypeBoolean oldFailureCallback = failureCallback;
		boolean oldFailureCallbackESet = failureCallbackESet;
		failureCallback = FAILURE_CALLBACK_EDEFAULT;
		failureCallbackESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__FAILURE_CALLBACK, oldFailureCallback, FAILURE_CALLBACK_EDEFAULT, oldFailureCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetFailureCallback() {
		return failureCallbackESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getIcuChannel() {
		return icuChannel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIcuChannel(Object newIcuChannel) {
		Object oldIcuChannel = icuChannel;
		icuChannel = newIcuChannel;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__ICU_CHANNEL, oldIcuChannel, icuChannel));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLimpHomeStateAfterInit() {
		return limpHomeStateAfterInit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLimpHomeStateAfterInit(TypeBoolean newLimpHomeStateAfterInit) {
		TypeBoolean oldLimpHomeStateAfterInit = limpHomeStateAfterInit;
		limpHomeStateAfterInit = newLimpHomeStateAfterInit == null ? LIMP_HOME_STATE_AFTER_INIT_EDEFAULT : newLimpHomeStateAfterInit;
		boolean oldLimpHomeStateAfterInitESet = limpHomeStateAfterInitESet;
		limpHomeStateAfterInitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIMP_HOME_STATE_AFTER_INIT, oldLimpHomeStateAfterInit, limpHomeStateAfterInit, !oldLimpHomeStateAfterInitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLimpHomeStateAfterInit() {
		TypeBoolean oldLimpHomeStateAfterInit = limpHomeStateAfterInit;
		boolean oldLimpHomeStateAfterInitESet = limpHomeStateAfterInitESet;
		limpHomeStateAfterInit = LIMP_HOME_STATE_AFTER_INIT_EDEFAULT;
		limpHomeStateAfterInitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIMP_HOME_STATE_AFTER_INIT, oldLimpHomeStateAfterInit, LIMP_HOME_STATE_AFTER_INIT_EDEFAULT, oldLimpHomeStateAfterInitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLimpHomeStateAfterInit() {
		return limpHomeStateAfterInitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINTransceiver1Used() {
		return lINTransceiver1Used;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINTransceiver1Used(TypeBoolean newLINTransceiver1Used) {
		TypeBoolean oldLINTransceiver1Used = lINTransceiver1Used;
		lINTransceiver1Used = newLINTransceiver1Used == null ? LIN_TRANSCEIVER1_USED_EDEFAULT : newLINTransceiver1Used;
		boolean oldLINTransceiver1UsedESet = lINTransceiver1UsedESet;
		lINTransceiver1UsedESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER1_USED, oldLINTransceiver1Used, lINTransceiver1Used, !oldLINTransceiver1UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINTransceiver1Used() {
		TypeBoolean oldLINTransceiver1Used = lINTransceiver1Used;
		boolean oldLINTransceiver1UsedESet = lINTransceiver1UsedESet;
		lINTransceiver1Used = LIN_TRANSCEIVER1_USED_EDEFAULT;
		lINTransceiver1UsedESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER1_USED, oldLINTransceiver1Used, LIN_TRANSCEIVER1_USED_EDEFAULT, oldLINTransceiver1UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINTransceiver1Used() {
		return lINTransceiver1UsedESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINTransceiver2Used() {
		return lINTransceiver2Used;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINTransceiver2Used(TypeBoolean newLINTransceiver2Used) {
		TypeBoolean oldLINTransceiver2Used = lINTransceiver2Used;
		lINTransceiver2Used = newLINTransceiver2Used == null ? LIN_TRANSCEIVER2_USED_EDEFAULT : newLINTransceiver2Used;
		boolean oldLINTransceiver2UsedESet = lINTransceiver2UsedESet;
		lINTransceiver2UsedESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER2_USED, oldLINTransceiver2Used, lINTransceiver2Used, !oldLINTransceiver2UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINTransceiver2Used() {
		TypeBoolean oldLINTransceiver2Used = lINTransceiver2Used;
		boolean oldLINTransceiver2UsedESet = lINTransceiver2UsedESet;
		lINTransceiver2Used = LIN_TRANSCEIVER2_USED_EDEFAULT;
		lINTransceiver2UsedESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER2_USED, oldLINTransceiver2Used, LIN_TRANSCEIVER2_USED_EDEFAULT, oldLINTransceiver2UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINTransceiver2Used() {
		return lINTransceiver2UsedESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getLINTransceiver3Used() {
		return lINTransceiver3Used;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLINTransceiver3Used(TypeBoolean newLINTransceiver3Used) {
		TypeBoolean oldLINTransceiver3Used = lINTransceiver3Used;
		lINTransceiver3Used = newLINTransceiver3Used == null ? LIN_TRANSCEIVER3_USED_EDEFAULT : newLINTransceiver3Used;
		boolean oldLINTransceiver3UsedESet = lINTransceiver3UsedESet;
		lINTransceiver3UsedESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER3_USED, oldLINTransceiver3Used, lINTransceiver3Used, !oldLINTransceiver3UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetLINTransceiver3Used() {
		TypeBoolean oldLINTransceiver3Used = lINTransceiver3Used;
		boolean oldLINTransceiver3UsedESet = lINTransceiver3UsedESet;
		lINTransceiver3Used = LIN_TRANSCEIVER3_USED_EDEFAULT;
		lINTransceiver3UsedESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER3_USED, oldLINTransceiver3Used, LIN_TRANSCEIVER3_USED_EDEFAULT, oldLINTransceiver3UsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetLINTransceiver3Used() {
		return lINTransceiver3UsedESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getResetReasonCallback() {
		return resetReasonCallback;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setResetReasonCallback(TypeBoolean newResetReasonCallback) {
		TypeBoolean oldResetReasonCallback = resetReasonCallback;
		resetReasonCallback = newResetReasonCallback == null ? RESET_REASON_CALLBACK_EDEFAULT : newResetReasonCallback;
		boolean oldResetReasonCallbackESet = resetReasonCallbackESet;
		resetReasonCallbackESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__RESET_REASON_CALLBACK, oldResetReasonCallback, resetReasonCallback, !oldResetReasonCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetResetReasonCallback() {
		TypeBoolean oldResetReasonCallback = resetReasonCallback;
		boolean oldResetReasonCallbackESet = resetReasonCallbackESet;
		resetReasonCallback = RESET_REASON_CALLBACK_EDEFAULT;
		resetReasonCallbackESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__RESET_REASON_CALLBACK, oldResetReasonCallback, RESET_REASON_CALLBACK_EDEFAULT, oldResetReasonCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetResetReasonCallback() {
		return resetReasonCallbackESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SbcFailSafeModeType getSbcFailSafeMode() {
		return sbcFailSafeMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSbcFailSafeMode(SbcFailSafeModeType newSbcFailSafeMode) {
		SbcFailSafeModeType oldSbcFailSafeMode = sbcFailSafeMode;
		sbcFailSafeMode = newSbcFailSafeMode == null ? SBC_FAIL_SAFE_MODE_EDEFAULT : newSbcFailSafeMode;
		boolean oldSbcFailSafeModeESet = sbcFailSafeModeESet;
		sbcFailSafeModeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_FAIL_SAFE_MODE, oldSbcFailSafeMode, sbcFailSafeMode, !oldSbcFailSafeModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSbcFailSafeMode() {
		SbcFailSafeModeType oldSbcFailSafeMode = sbcFailSafeMode;
		boolean oldSbcFailSafeModeESet = sbcFailSafeModeESet;
		sbcFailSafeMode = SBC_FAIL_SAFE_MODE_EDEFAULT;
		sbcFailSafeModeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_FAIL_SAFE_MODE, oldSbcFailSafeMode, SBC_FAIL_SAFE_MODE_EDEFAULT, oldSbcFailSafeModeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSbcFailSafeMode() {
		return sbcFailSafeModeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SbcLinSlopeType getSbcLinSlope() {
		return sbcLinSlope;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSbcLinSlope(SbcLinSlopeType newSbcLinSlope) {
		SbcLinSlopeType oldSbcLinSlope = sbcLinSlope;
		sbcLinSlope = newSbcLinSlope == null ? SBC_LIN_SLOPE_EDEFAULT : newSbcLinSlope;
		boolean oldSbcLinSlopeESet = sbcLinSlopeESet;
		sbcLinSlopeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_LIN_SLOPE, oldSbcLinSlope, sbcLinSlope, !oldSbcLinSlopeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSbcLinSlope() {
		SbcLinSlopeType oldSbcLinSlope = sbcLinSlope;
		boolean oldSbcLinSlopeESet = sbcLinSlopeESet;
		sbcLinSlope = SBC_LIN_SLOPE_EDEFAULT;
		sbcLinSlopeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_LIN_SLOPE, oldSbcLinSlope, SBC_LIN_SLOPE_EDEFAULT, oldSbcLinSlopeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSbcLinSlope() {
		return sbcLinSlopeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SbcResetDelayType getSbcResetDelay() {
		return sbcResetDelay;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSbcResetDelay(SbcResetDelayType newSbcResetDelay) {
		SbcResetDelayType oldSbcResetDelay = sbcResetDelay;
		sbcResetDelay = newSbcResetDelay == null ? SBC_RESET_DELAY_EDEFAULT : newSbcResetDelay;
		boolean oldSbcResetDelayESet = sbcResetDelayESet;
		sbcResetDelayESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_DELAY, oldSbcResetDelay, sbcResetDelay, !oldSbcResetDelayESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSbcResetDelay() {
		SbcResetDelayType oldSbcResetDelay = sbcResetDelay;
		boolean oldSbcResetDelayESet = sbcResetDelayESet;
		sbcResetDelay = SBC_RESET_DELAY_EDEFAULT;
		sbcResetDelayESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_DELAY, oldSbcResetDelay, SBC_RESET_DELAY_EDEFAULT, oldSbcResetDelayESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSbcResetDelay() {
		return sbcResetDelayESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SbcResetThresholdType getSbcResetThreshold() {
		return sbcResetThreshold;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSbcResetThreshold(SbcResetThresholdType newSbcResetThreshold) {
		SbcResetThresholdType oldSbcResetThreshold = sbcResetThreshold;
		sbcResetThreshold = newSbcResetThreshold == null ? SBC_RESET_THRESHOLD_EDEFAULT : newSbcResetThreshold;
		boolean oldSbcResetThresholdESet = sbcResetThresholdESet;
		sbcResetThresholdESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_THRESHOLD, oldSbcResetThreshold, sbcResetThreshold, !oldSbcResetThresholdESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSbcResetThreshold() {
		SbcResetThresholdType oldSbcResetThreshold = sbcResetThreshold;
		boolean oldSbcResetThresholdESet = sbcResetThresholdESet;
		sbcResetThreshold = SBC_RESET_THRESHOLD_EDEFAULT;
		sbcResetThresholdESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_THRESHOLD, oldSbcResetThreshold, SBC_RESET_THRESHOLD_EDEFAULT, oldSbcResetThresholdESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSbcResetThreshold() {
		return sbcResetThresholdESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSbcWAKEInputAcquisition() {
		return sbcWAKEInputAcquisition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSbcWAKEInputAcquisition(TypeBoolean newSbcWAKEInputAcquisition) {
		TypeBoolean oldSbcWAKEInputAcquisition = sbcWAKEInputAcquisition;
		sbcWAKEInputAcquisition = newSbcWAKEInputAcquisition == null ? SBC_WAKE_INPUT_ACQUISITION_EDEFAULT : newSbcWAKEInputAcquisition;
		boolean oldSbcWAKEInputAcquisitionESet = sbcWAKEInputAcquisitionESet;
		sbcWAKEInputAcquisitionESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_WAKE_INPUT_ACQUISITION, oldSbcWAKEInputAcquisition, sbcWAKEInputAcquisition, !oldSbcWAKEInputAcquisitionESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSbcWAKEInputAcquisition() {
		TypeBoolean oldSbcWAKEInputAcquisition = sbcWAKEInputAcquisition;
		boolean oldSbcWAKEInputAcquisitionESet = sbcWAKEInputAcquisitionESet;
		sbcWAKEInputAcquisition = SBC_WAKE_INPUT_ACQUISITION_EDEFAULT;
		sbcWAKEInputAcquisitionESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_WAKE_INPUT_ACQUISITION, oldSbcWAKEInputAcquisition, SBC_WAKE_INPUT_ACQUISITION_EDEFAULT, oldSbcWAKEInputAcquisitionESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSbcWAKEInputAcquisition() {
		return sbcWAKEInputAcquisitionESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SPIHWChannelType getSPIHWChannel() {
		return sPIHWChannel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSPIHWChannel(SPIHWChannelType newSPIHWChannel) {
		SPIHWChannelType oldSPIHWChannel = sPIHWChannel;
		sPIHWChannel = newSPIHWChannel == null ? SPIHW_CHANNEL_EDEFAULT : newSPIHWChannel;
		boolean oldSPIHWChannelESet = sPIHWChannelESet;
		sPIHWChannelESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SPIHW_CHANNEL, oldSPIHWChannel, sPIHWChannel, !oldSPIHWChannelESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSPIHWChannel() {
		SPIHWChannelType oldSPIHWChannel = sPIHWChannel;
		boolean oldSPIHWChannelESet = sPIHWChannelESet;
		sPIHWChannel = SPIHW_CHANNEL_EDEFAULT;
		sPIHWChannelESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SPIHW_CHANNEL, oldSPIHWChannel, SPIHW_CHANNEL_EDEFAULT, oldSPIHWChannelESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSPIHWChannel() {
		return sPIHWChannelESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getTransceiverFailureCallback() {
		return transceiverFailureCallback;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTransceiverFailureCallback(TypeBoolean newTransceiverFailureCallback) {
		TypeBoolean oldTransceiverFailureCallback = transceiverFailureCallback;
		transceiverFailureCallback = newTransceiverFailureCallback == null ? TRANSCEIVER_FAILURE_CALLBACK_EDEFAULT : newTransceiverFailureCallback;
		boolean oldTransceiverFailureCallbackESet = transceiverFailureCallbackESet;
		transceiverFailureCallbackESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__TRANSCEIVER_FAILURE_CALLBACK, oldTransceiverFailureCallback, transceiverFailureCallback, !oldTransceiverFailureCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetTransceiverFailureCallback() {
		TypeBoolean oldTransceiverFailureCallback = transceiverFailureCallback;
		boolean oldTransceiverFailureCallbackESet = transceiverFailureCallbackESet;
		transceiverFailureCallback = TRANSCEIVER_FAILURE_CALLBACK_EDEFAULT;
		transceiverFailureCallbackESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__TRANSCEIVER_FAILURE_CALLBACK, oldTransceiverFailureCallback, TRANSCEIVER_FAILURE_CALLBACK_EDEFAULT, oldTransceiverFailureCallbackESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetTransceiverFailureCallback() {
		return transceiverFailureCallbackESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__BAUD_RATE:
				return getBaudRate();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CAN_TRANSCEIVER1_USED:
				return getCANTransceiver1Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT:
				return getChipSelect();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT_PIN:
				return getChipSelectPin();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__FAILURE_CALLBACK:
				return getFailureCallback();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__ICU_CHANNEL:
				return getIcuChannel();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIMP_HOME_STATE_AFTER_INIT:
				return getLimpHomeStateAfterInit();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER1_USED:
				return getLINTransceiver1Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER2_USED:
				return getLINTransceiver2Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER3_USED:
				return getLINTransceiver3Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__RESET_REASON_CALLBACK:
				return getResetReasonCallback();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_FAIL_SAFE_MODE:
				return getSbcFailSafeMode();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_LIN_SLOPE:
				return getSbcLinSlope();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_DELAY:
				return getSbcResetDelay();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_THRESHOLD:
				return getSbcResetThreshold();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_WAKE_INPUT_ACQUISITION:
				return getSbcWAKEInputAcquisition();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SPIHW_CHANNEL:
				return getSPIHWChannel();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__TRANSCEIVER_FAILURE_CALLBACK:
				return getTransceiverFailureCallback();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__BAUD_RATE:
				setBaudRate((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CAN_TRANSCEIVER1_USED:
				setCANTransceiver1Used((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT:
				setChipSelect((ChipSelectType1)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT_PIN:
				setChipSelectPin(newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__FAILURE_CALLBACK:
				setFailureCallback((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__ICU_CHANNEL:
				setIcuChannel(newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIMP_HOME_STATE_AFTER_INIT:
				setLimpHomeStateAfterInit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER1_USED:
				setLINTransceiver1Used((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER2_USED:
				setLINTransceiver2Used((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER3_USED:
				setLINTransceiver3Used((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__RESET_REASON_CALLBACK:
				setResetReasonCallback((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_FAIL_SAFE_MODE:
				setSbcFailSafeMode((SbcFailSafeModeType)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_LIN_SLOPE:
				setSbcLinSlope((SbcLinSlopeType)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_DELAY:
				setSbcResetDelay((SbcResetDelayType)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_THRESHOLD:
				setSbcResetThreshold((SbcResetThresholdType)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_WAKE_INPUT_ACQUISITION:
				setSbcWAKEInputAcquisition((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SPIHW_CHANNEL:
				setSPIHWChannel((SPIHWChannelType)newValue);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__TRANSCEIVER_FAILURE_CALLBACK:
				setTransceiverFailureCallback((TypeBoolean)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__BAUD_RATE:
				setBaudRate(BAUD_RATE_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CAN_TRANSCEIVER1_USED:
				unsetCANTransceiver1Used();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT:
				unsetChipSelect();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT_PIN:
				setChipSelectPin(CHIP_SELECT_PIN_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__FAILURE_CALLBACK:
				unsetFailureCallback();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__ICU_CHANNEL:
				setIcuChannel(ICU_CHANNEL_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIMP_HOME_STATE_AFTER_INIT:
				unsetLimpHomeStateAfterInit();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER1_USED:
				unsetLINTransceiver1Used();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER2_USED:
				unsetLINTransceiver2Used();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER3_USED:
				unsetLINTransceiver3Used();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__RESET_REASON_CALLBACK:
				unsetResetReasonCallback();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_FAIL_SAFE_MODE:
				unsetSbcFailSafeMode();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_LIN_SLOPE:
				unsetSbcLinSlope();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_DELAY:
				unsetSbcResetDelay();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_THRESHOLD:
				unsetSbcResetThreshold();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_WAKE_INPUT_ACQUISITION:
				unsetSbcWAKEInputAcquisition();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SPIHW_CHANNEL:
				unsetSPIHWChannel();
				return;
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__TRANSCEIVER_FAILURE_CALLBACK:
				unsetTransceiverFailureCallback();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__BAUD_RATE:
				return BAUD_RATE_EDEFAULT == null ? baudRate != null : !BAUD_RATE_EDEFAULT.equals(baudRate);
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CAN_TRANSCEIVER1_USED:
				return isSetCANTransceiver1Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT:
				return isSetChipSelect();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__CHIP_SELECT_PIN:
				return CHIP_SELECT_PIN_EDEFAULT == null ? chipSelectPin != null : !CHIP_SELECT_PIN_EDEFAULT.equals(chipSelectPin);
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__FAILURE_CALLBACK:
				return isSetFailureCallback();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__ICU_CHANNEL:
				return ICU_CHANNEL_EDEFAULT == null ? icuChannel != null : !ICU_CHANNEL_EDEFAULT.equals(icuChannel);
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIMP_HOME_STATE_AFTER_INIT:
				return isSetLimpHomeStateAfterInit();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER1_USED:
				return isSetLINTransceiver1Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER2_USED:
				return isSetLINTransceiver2Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__LIN_TRANSCEIVER3_USED:
				return isSetLINTransceiver3Used();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__RESET_REASON_CALLBACK:
				return isSetResetReasonCallback();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_FAIL_SAFE_MODE:
				return isSetSbcFailSafeMode();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_LIN_SLOPE:
				return isSetSbcLinSlope();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_DELAY:
				return isSetSbcResetDelay();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_RESET_THRESHOLD:
				return isSetSbcResetThreshold();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SBC_WAKE_INPUT_ACQUISITION:
				return isSetSbcWAKEInputAcquisition();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__SPIHW_CHANNEL:
				return isSetSPIHWChannel();
			case SystemSparcClockMcuPackage.SBCTLE82_6X_TYPE__TRANSCEIVER_FAILURE_CALLBACK:
				return isSetTransceiverFailureCallback();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (baudRate: ");
		result.append(baudRate);
		result.append(", cANTransceiver1Used: ");
		if (cANTransceiver1UsedESet) result.append(cANTransceiver1Used); else result.append("<unset>");
		result.append(", chipSelect: ");
		if (chipSelectESet) result.append(chipSelect); else result.append("<unset>");
		result.append(", chipSelectPin: ");
		result.append(chipSelectPin);
		result.append(", failureCallback: ");
		if (failureCallbackESet) result.append(failureCallback); else result.append("<unset>");
		result.append(", icuChannel: ");
		result.append(icuChannel);
		result.append(", limpHomeStateAfterInit: ");
		if (limpHomeStateAfterInitESet) result.append(limpHomeStateAfterInit); else result.append("<unset>");
		result.append(", lINTransceiver1Used: ");
		if (lINTransceiver1UsedESet) result.append(lINTransceiver1Used); else result.append("<unset>");
		result.append(", lINTransceiver2Used: ");
		if (lINTransceiver2UsedESet) result.append(lINTransceiver2Used); else result.append("<unset>");
		result.append(", lINTransceiver3Used: ");
		if (lINTransceiver3UsedESet) result.append(lINTransceiver3Used); else result.append("<unset>");
		result.append(", resetReasonCallback: ");
		if (resetReasonCallbackESet) result.append(resetReasonCallback); else result.append("<unset>");
		result.append(", sbcFailSafeMode: ");
		if (sbcFailSafeModeESet) result.append(sbcFailSafeMode); else result.append("<unset>");
		result.append(", sbcLinSlope: ");
		if (sbcLinSlopeESet) result.append(sbcLinSlope); else result.append("<unset>");
		result.append(", sbcResetDelay: ");
		if (sbcResetDelayESet) result.append(sbcResetDelay); else result.append("<unset>");
		result.append(", sbcResetThreshold: ");
		if (sbcResetThresholdESet) result.append(sbcResetThreshold); else result.append("<unset>");
		result.append(", sbcWAKEInputAcquisition: ");
		if (sbcWAKEInputAcquisitionESet) result.append(sbcWAKEInputAcquisition); else result.append("<unset>");
		result.append(", sPIHWChannel: ");
		if (sPIHWChannelESet) result.append(sPIHWChannel); else result.append("<unset>");
		result.append(", transceiverFailureCallback: ");
		if (transceiverFailureCallbackESet) result.append(transceiverFailureCallback); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //SBCTLE826xTypeImpl
