/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.INCLUDEHEADERSType;
import SystemSparcClockMcu.STDType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TypeBoolean;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>STD Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getINCLUDEHEADERS <em>INCLUDEHEADERS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAConst16Bit <em>SDA Const16 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAConst32Bit <em>SDA Const32 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAConst8Bit <em>SDA Const8 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAConstUnspec <em>SDA Const Unspec</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAInit16Bit <em>SDA Init16 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAInit32Bit <em>SDA Init32 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAInit8Bit <em>SDA Init8 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDAInitUnspec <em>SDA Init Unspec</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDANonInit16Bit <em>SDA Non Init16 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDANonInit32Bit <em>SDA Non Init32 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDANonInit8Bit <em>SDA Non Init8 Bit</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.STDTypeImpl#getSDANonInitUnspec <em>SDA Non Init Unspec</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class STDTypeImpl extends EObjectImpl implements STDType {
	/**
	 * The cached value of the '{@link #getINCLUDEHEADERS() <em>INCLUDEHEADERS</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getINCLUDEHEADERS()
	 * @generated
	 * @ordered
	 */
	protected EList<INCLUDEHEADERSType> iNCLUDEHEADERS;

	/**
	 * The default value of the '{@link #getSDAConst16Bit() <em>SDA Const16 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConst16Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_CONST16_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAConst16Bit() <em>SDA Const16 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConst16Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAConst16Bit = SDA_CONST16_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Const16 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAConst16BitESet;

	/**
	 * The default value of the '{@link #getSDAConst32Bit() <em>SDA Const32 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConst32Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_CONST32_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAConst32Bit() <em>SDA Const32 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConst32Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAConst32Bit = SDA_CONST32_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Const32 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAConst32BitESet;

	/**
	 * The default value of the '{@link #getSDAConst8Bit() <em>SDA Const8 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConst8Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_CONST8_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAConst8Bit() <em>SDA Const8 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConst8Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAConst8Bit = SDA_CONST8_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Const8 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAConst8BitESet;

	/**
	 * The default value of the '{@link #getSDAConstUnspec() <em>SDA Const Unspec</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConstUnspec()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_CONST_UNSPEC_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAConstUnspec() <em>SDA Const Unspec</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAConstUnspec()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAConstUnspec = SDA_CONST_UNSPEC_EDEFAULT;

	/**
	 * This is true if the SDA Const Unspec attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAConstUnspecESet;

	/**
	 * The default value of the '{@link #getSDAInit16Bit() <em>SDA Init16 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInit16Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_INIT16_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAInit16Bit() <em>SDA Init16 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInit16Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAInit16Bit = SDA_INIT16_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Init16 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAInit16BitESet;

	/**
	 * The default value of the '{@link #getSDAInit32Bit() <em>SDA Init32 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInit32Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_INIT32_BIT_EDEFAULT = TypeBoolean.NO;

	/**
	 * The cached value of the '{@link #getSDAInit32Bit() <em>SDA Init32 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInit32Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAInit32Bit = SDA_INIT32_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Init32 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAInit32BitESet;

	/**
	 * The default value of the '{@link #getSDAInit8Bit() <em>SDA Init8 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInit8Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_INIT8_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAInit8Bit() <em>SDA Init8 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInit8Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAInit8Bit = SDA_INIT8_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Init8 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAInit8BitESet;

	/**
	 * The default value of the '{@link #getSDAInitUnspec() <em>SDA Init Unspec</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInitUnspec()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_INIT_UNSPEC_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDAInitUnspec() <em>SDA Init Unspec</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDAInitUnspec()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDAInitUnspec = SDA_INIT_UNSPEC_EDEFAULT;

	/**
	 * This is true if the SDA Init Unspec attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDAInitUnspecESet;

	/**
	 * The default value of the '{@link #getSDANonInit16Bit() <em>SDA Non Init16 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInit16Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_NON_INIT16_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDANonInit16Bit() <em>SDA Non Init16 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInit16Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDANonInit16Bit = SDA_NON_INIT16_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Non Init16 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDANonInit16BitESet;

	/**
	 * The default value of the '{@link #getSDANonInit32Bit() <em>SDA Non Init32 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInit32Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_NON_INIT32_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDANonInit32Bit() <em>SDA Non Init32 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInit32Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDANonInit32Bit = SDA_NON_INIT32_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Non Init32 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDANonInit32BitESet;

	/**
	 * The default value of the '{@link #getSDANonInit8Bit() <em>SDA Non Init8 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInit8Bit()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_NON_INIT8_BIT_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDANonInit8Bit() <em>SDA Non Init8 Bit</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInit8Bit()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDANonInit8Bit = SDA_NON_INIT8_BIT_EDEFAULT;

	/**
	 * This is true if the SDA Non Init8 Bit attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDANonInit8BitESet;

	/**
	 * The default value of the '{@link #getSDANonInitUnspec() <em>SDA Non Init Unspec</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInitUnspec()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean SDA_NON_INIT_UNSPEC_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getSDANonInitUnspec() <em>SDA Non Init Unspec</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSDANonInitUnspec()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean sDANonInitUnspec = SDA_NON_INIT_UNSPEC_EDEFAULT;

	/**
	 * This is true if the SDA Non Init Unspec attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean sDANonInitUnspecESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected STDTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getSTDType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<INCLUDEHEADERSType> getINCLUDEHEADERS() {
		if (iNCLUDEHEADERS == null) {
			iNCLUDEHEADERS = new EObjectContainmentEList<INCLUDEHEADERSType>(INCLUDEHEADERSType.class, this, SystemSparcClockMcuPackage.STD_TYPE__INCLUDEHEADERS);
		}
		return iNCLUDEHEADERS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAConst16Bit() {
		return sDAConst16Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAConst16Bit(TypeBoolean newSDAConst16Bit) {
		TypeBoolean oldSDAConst16Bit = sDAConst16Bit;
		sDAConst16Bit = newSDAConst16Bit == null ? SDA_CONST16_BIT_EDEFAULT : newSDAConst16Bit;
		boolean oldSDAConst16BitESet = sDAConst16BitESet;
		sDAConst16BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST16_BIT, oldSDAConst16Bit, sDAConst16Bit, !oldSDAConst16BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAConst16Bit() {
		TypeBoolean oldSDAConst16Bit = sDAConst16Bit;
		boolean oldSDAConst16BitESet = sDAConst16BitESet;
		sDAConst16Bit = SDA_CONST16_BIT_EDEFAULT;
		sDAConst16BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST16_BIT, oldSDAConst16Bit, SDA_CONST16_BIT_EDEFAULT, oldSDAConst16BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAConst16Bit() {
		return sDAConst16BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAConst32Bit() {
		return sDAConst32Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAConst32Bit(TypeBoolean newSDAConst32Bit) {
		TypeBoolean oldSDAConst32Bit = sDAConst32Bit;
		sDAConst32Bit = newSDAConst32Bit == null ? SDA_CONST32_BIT_EDEFAULT : newSDAConst32Bit;
		boolean oldSDAConst32BitESet = sDAConst32BitESet;
		sDAConst32BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST32_BIT, oldSDAConst32Bit, sDAConst32Bit, !oldSDAConst32BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAConst32Bit() {
		TypeBoolean oldSDAConst32Bit = sDAConst32Bit;
		boolean oldSDAConst32BitESet = sDAConst32BitESet;
		sDAConst32Bit = SDA_CONST32_BIT_EDEFAULT;
		sDAConst32BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST32_BIT, oldSDAConst32Bit, SDA_CONST32_BIT_EDEFAULT, oldSDAConst32BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAConst32Bit() {
		return sDAConst32BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAConst8Bit() {
		return sDAConst8Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAConst8Bit(TypeBoolean newSDAConst8Bit) {
		TypeBoolean oldSDAConst8Bit = sDAConst8Bit;
		sDAConst8Bit = newSDAConst8Bit == null ? SDA_CONST8_BIT_EDEFAULT : newSDAConst8Bit;
		boolean oldSDAConst8BitESet = sDAConst8BitESet;
		sDAConst8BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST8_BIT, oldSDAConst8Bit, sDAConst8Bit, !oldSDAConst8BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAConst8Bit() {
		TypeBoolean oldSDAConst8Bit = sDAConst8Bit;
		boolean oldSDAConst8BitESet = sDAConst8BitESet;
		sDAConst8Bit = SDA_CONST8_BIT_EDEFAULT;
		sDAConst8BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST8_BIT, oldSDAConst8Bit, SDA_CONST8_BIT_EDEFAULT, oldSDAConst8BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAConst8Bit() {
		return sDAConst8BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAConstUnspec() {
		return sDAConstUnspec;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAConstUnspec(TypeBoolean newSDAConstUnspec) {
		TypeBoolean oldSDAConstUnspec = sDAConstUnspec;
		sDAConstUnspec = newSDAConstUnspec == null ? SDA_CONST_UNSPEC_EDEFAULT : newSDAConstUnspec;
		boolean oldSDAConstUnspecESet = sDAConstUnspecESet;
		sDAConstUnspecESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST_UNSPEC, oldSDAConstUnspec, sDAConstUnspec, !oldSDAConstUnspecESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAConstUnspec() {
		TypeBoolean oldSDAConstUnspec = sDAConstUnspec;
		boolean oldSDAConstUnspecESet = sDAConstUnspecESet;
		sDAConstUnspec = SDA_CONST_UNSPEC_EDEFAULT;
		sDAConstUnspecESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST_UNSPEC, oldSDAConstUnspec, SDA_CONST_UNSPEC_EDEFAULT, oldSDAConstUnspecESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAConstUnspec() {
		return sDAConstUnspecESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAInit16Bit() {
		return sDAInit16Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAInit16Bit(TypeBoolean newSDAInit16Bit) {
		TypeBoolean oldSDAInit16Bit = sDAInit16Bit;
		sDAInit16Bit = newSDAInit16Bit == null ? SDA_INIT16_BIT_EDEFAULT : newSDAInit16Bit;
		boolean oldSDAInit16BitESet = sDAInit16BitESet;
		sDAInit16BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT16_BIT, oldSDAInit16Bit, sDAInit16Bit, !oldSDAInit16BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAInit16Bit() {
		TypeBoolean oldSDAInit16Bit = sDAInit16Bit;
		boolean oldSDAInit16BitESet = sDAInit16BitESet;
		sDAInit16Bit = SDA_INIT16_BIT_EDEFAULT;
		sDAInit16BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT16_BIT, oldSDAInit16Bit, SDA_INIT16_BIT_EDEFAULT, oldSDAInit16BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAInit16Bit() {
		return sDAInit16BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAInit32Bit() {
		return sDAInit32Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAInit32Bit(TypeBoolean newSDAInit32Bit) {
		TypeBoolean oldSDAInit32Bit = sDAInit32Bit;
		sDAInit32Bit = newSDAInit32Bit == null ? SDA_INIT32_BIT_EDEFAULT : newSDAInit32Bit;
		boolean oldSDAInit32BitESet = sDAInit32BitESet;
		sDAInit32BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT32_BIT, oldSDAInit32Bit, sDAInit32Bit, !oldSDAInit32BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAInit32Bit() {
		TypeBoolean oldSDAInit32Bit = sDAInit32Bit;
		boolean oldSDAInit32BitESet = sDAInit32BitESet;
		sDAInit32Bit = SDA_INIT32_BIT_EDEFAULT;
		sDAInit32BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT32_BIT, oldSDAInit32Bit, SDA_INIT32_BIT_EDEFAULT, oldSDAInit32BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAInit32Bit() {
		return sDAInit32BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAInit8Bit() {
		return sDAInit8Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAInit8Bit(TypeBoolean newSDAInit8Bit) {
		TypeBoolean oldSDAInit8Bit = sDAInit8Bit;
		sDAInit8Bit = newSDAInit8Bit == null ? SDA_INIT8_BIT_EDEFAULT : newSDAInit8Bit;
		boolean oldSDAInit8BitESet = sDAInit8BitESet;
		sDAInit8BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT8_BIT, oldSDAInit8Bit, sDAInit8Bit, !oldSDAInit8BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAInit8Bit() {
		TypeBoolean oldSDAInit8Bit = sDAInit8Bit;
		boolean oldSDAInit8BitESet = sDAInit8BitESet;
		sDAInit8Bit = SDA_INIT8_BIT_EDEFAULT;
		sDAInit8BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT8_BIT, oldSDAInit8Bit, SDA_INIT8_BIT_EDEFAULT, oldSDAInit8BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAInit8Bit() {
		return sDAInit8BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDAInitUnspec() {
		return sDAInitUnspec;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDAInitUnspec(TypeBoolean newSDAInitUnspec) {
		TypeBoolean oldSDAInitUnspec = sDAInitUnspec;
		sDAInitUnspec = newSDAInitUnspec == null ? SDA_INIT_UNSPEC_EDEFAULT : newSDAInitUnspec;
		boolean oldSDAInitUnspecESet = sDAInitUnspecESet;
		sDAInitUnspecESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT_UNSPEC, oldSDAInitUnspec, sDAInitUnspec, !oldSDAInitUnspecESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDAInitUnspec() {
		TypeBoolean oldSDAInitUnspec = sDAInitUnspec;
		boolean oldSDAInitUnspecESet = sDAInitUnspecESet;
		sDAInitUnspec = SDA_INIT_UNSPEC_EDEFAULT;
		sDAInitUnspecESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT_UNSPEC, oldSDAInitUnspec, SDA_INIT_UNSPEC_EDEFAULT, oldSDAInitUnspecESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDAInitUnspec() {
		return sDAInitUnspecESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDANonInit16Bit() {
		return sDANonInit16Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDANonInit16Bit(TypeBoolean newSDANonInit16Bit) {
		TypeBoolean oldSDANonInit16Bit = sDANonInit16Bit;
		sDANonInit16Bit = newSDANonInit16Bit == null ? SDA_NON_INIT16_BIT_EDEFAULT : newSDANonInit16Bit;
		boolean oldSDANonInit16BitESet = sDANonInit16BitESet;
		sDANonInit16BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT16_BIT, oldSDANonInit16Bit, sDANonInit16Bit, !oldSDANonInit16BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDANonInit16Bit() {
		TypeBoolean oldSDANonInit16Bit = sDANonInit16Bit;
		boolean oldSDANonInit16BitESet = sDANonInit16BitESet;
		sDANonInit16Bit = SDA_NON_INIT16_BIT_EDEFAULT;
		sDANonInit16BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT16_BIT, oldSDANonInit16Bit, SDA_NON_INIT16_BIT_EDEFAULT, oldSDANonInit16BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDANonInit16Bit() {
		return sDANonInit16BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDANonInit32Bit() {
		return sDANonInit32Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDANonInit32Bit(TypeBoolean newSDANonInit32Bit) {
		TypeBoolean oldSDANonInit32Bit = sDANonInit32Bit;
		sDANonInit32Bit = newSDANonInit32Bit == null ? SDA_NON_INIT32_BIT_EDEFAULT : newSDANonInit32Bit;
		boolean oldSDANonInit32BitESet = sDANonInit32BitESet;
		sDANonInit32BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT32_BIT, oldSDANonInit32Bit, sDANonInit32Bit, !oldSDANonInit32BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDANonInit32Bit() {
		TypeBoolean oldSDANonInit32Bit = sDANonInit32Bit;
		boolean oldSDANonInit32BitESet = sDANonInit32BitESet;
		sDANonInit32Bit = SDA_NON_INIT32_BIT_EDEFAULT;
		sDANonInit32BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT32_BIT, oldSDANonInit32Bit, SDA_NON_INIT32_BIT_EDEFAULT, oldSDANonInit32BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDANonInit32Bit() {
		return sDANonInit32BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDANonInit8Bit() {
		return sDANonInit8Bit;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDANonInit8Bit(TypeBoolean newSDANonInit8Bit) {
		TypeBoolean oldSDANonInit8Bit = sDANonInit8Bit;
		sDANonInit8Bit = newSDANonInit8Bit == null ? SDA_NON_INIT8_BIT_EDEFAULT : newSDANonInit8Bit;
		boolean oldSDANonInit8BitESet = sDANonInit8BitESet;
		sDANonInit8BitESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT8_BIT, oldSDANonInit8Bit, sDANonInit8Bit, !oldSDANonInit8BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDANonInit8Bit() {
		TypeBoolean oldSDANonInit8Bit = sDANonInit8Bit;
		boolean oldSDANonInit8BitESet = sDANonInit8BitESet;
		sDANonInit8Bit = SDA_NON_INIT8_BIT_EDEFAULT;
		sDANonInit8BitESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT8_BIT, oldSDANonInit8Bit, SDA_NON_INIT8_BIT_EDEFAULT, oldSDANonInit8BitESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDANonInit8Bit() {
		return sDANonInit8BitESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getSDANonInitUnspec() {
		return sDANonInitUnspec;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSDANonInitUnspec(TypeBoolean newSDANonInitUnspec) {
		TypeBoolean oldSDANonInitUnspec = sDANonInitUnspec;
		sDANonInitUnspec = newSDANonInitUnspec == null ? SDA_NON_INIT_UNSPEC_EDEFAULT : newSDANonInitUnspec;
		boolean oldSDANonInitUnspecESet = sDANonInitUnspecESet;
		sDANonInitUnspecESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT_UNSPEC, oldSDANonInitUnspec, sDANonInitUnspec, !oldSDANonInitUnspecESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetSDANonInitUnspec() {
		TypeBoolean oldSDANonInitUnspec = sDANonInitUnspec;
		boolean oldSDANonInitUnspecESet = sDANonInitUnspecESet;
		sDANonInitUnspec = SDA_NON_INIT_UNSPEC_EDEFAULT;
		sDANonInitUnspecESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT_UNSPEC, oldSDANonInitUnspec, SDA_NON_INIT_UNSPEC_EDEFAULT, oldSDANonInitUnspecESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetSDANonInitUnspec() {
		return sDANonInitUnspecESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.STD_TYPE__INCLUDEHEADERS:
				return ((InternalEList<?>)getINCLUDEHEADERS()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.STD_TYPE__INCLUDEHEADERS:
				return getINCLUDEHEADERS();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST16_BIT:
				return getSDAConst16Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST32_BIT:
				return getSDAConst32Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST8_BIT:
				return getSDAConst8Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST_UNSPEC:
				return getSDAConstUnspec();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT16_BIT:
				return getSDAInit16Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT32_BIT:
				return getSDAInit32Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT8_BIT:
				return getSDAInit8Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT_UNSPEC:
				return getSDAInitUnspec();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT16_BIT:
				return getSDANonInit16Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT32_BIT:
				return getSDANonInit32Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT8_BIT:
				return getSDANonInit8Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT_UNSPEC:
				return getSDANonInitUnspec();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.STD_TYPE__INCLUDEHEADERS:
				getINCLUDEHEADERS().clear();
				getINCLUDEHEADERS().addAll((Collection<? extends INCLUDEHEADERSType>)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST16_BIT:
				setSDAConst16Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST32_BIT:
				setSDAConst32Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST8_BIT:
				setSDAConst8Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST_UNSPEC:
				setSDAConstUnspec((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT16_BIT:
				setSDAInit16Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT32_BIT:
				setSDAInit32Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT8_BIT:
				setSDAInit8Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT_UNSPEC:
				setSDAInitUnspec((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT16_BIT:
				setSDANonInit16Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT32_BIT:
				setSDANonInit32Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT8_BIT:
				setSDANonInit8Bit((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT_UNSPEC:
				setSDANonInitUnspec((TypeBoolean)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.STD_TYPE__INCLUDEHEADERS:
				getINCLUDEHEADERS().clear();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST16_BIT:
				unsetSDAConst16Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST32_BIT:
				unsetSDAConst32Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST8_BIT:
				unsetSDAConst8Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST_UNSPEC:
				unsetSDAConstUnspec();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT16_BIT:
				unsetSDAInit16Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT32_BIT:
				unsetSDAInit32Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT8_BIT:
				unsetSDAInit8Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT_UNSPEC:
				unsetSDAInitUnspec();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT16_BIT:
				unsetSDANonInit16Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT32_BIT:
				unsetSDANonInit32Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT8_BIT:
				unsetSDANonInit8Bit();
				return;
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT_UNSPEC:
				unsetSDANonInitUnspec();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.STD_TYPE__INCLUDEHEADERS:
				return iNCLUDEHEADERS != null && !iNCLUDEHEADERS.isEmpty();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST16_BIT:
				return isSetSDAConst16Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST32_BIT:
				return isSetSDAConst32Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST8_BIT:
				return isSetSDAConst8Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_CONST_UNSPEC:
				return isSetSDAConstUnspec();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT16_BIT:
				return isSetSDAInit16Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT32_BIT:
				return isSetSDAInit32Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT8_BIT:
				return isSetSDAInit8Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_INIT_UNSPEC:
				return isSetSDAInitUnspec();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT16_BIT:
				return isSetSDANonInit16Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT32_BIT:
				return isSetSDANonInit32Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT8_BIT:
				return isSetSDANonInit8Bit();
			case SystemSparcClockMcuPackage.STD_TYPE__SDA_NON_INIT_UNSPEC:
				return isSetSDANonInitUnspec();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (sDAConst16Bit: ");
		if (sDAConst16BitESet) result.append(sDAConst16Bit); else result.append("<unset>");
		result.append(", sDAConst32Bit: ");
		if (sDAConst32BitESet) result.append(sDAConst32Bit); else result.append("<unset>");
		result.append(", sDAConst8Bit: ");
		if (sDAConst8BitESet) result.append(sDAConst8Bit); else result.append("<unset>");
		result.append(", sDAConstUnspec: ");
		if (sDAConstUnspecESet) result.append(sDAConstUnspec); else result.append("<unset>");
		result.append(", sDAInit16Bit: ");
		if (sDAInit16BitESet) result.append(sDAInit16Bit); else result.append("<unset>");
		result.append(", sDAInit32Bit: ");
		if (sDAInit32BitESet) result.append(sDAInit32Bit); else result.append("<unset>");
		result.append(", sDAInit8Bit: ");
		if (sDAInit8BitESet) result.append(sDAInit8Bit); else result.append("<unset>");
		result.append(", sDAInitUnspec: ");
		if (sDAInitUnspecESet) result.append(sDAInitUnspec); else result.append("<unset>");
		result.append(", sDANonInit16Bit: ");
		if (sDANonInit16BitESet) result.append(sDANonInit16Bit); else result.append("<unset>");
		result.append(", sDANonInit32Bit: ");
		if (sDANonInit32BitESet) result.append(sDANonInit32Bit); else result.append("<unset>");
		result.append(", sDANonInit8Bit: ");
		if (sDANonInit8BitESet) result.append(sDANonInit8Bit); else result.append("<unset>");
		result.append(", sDANonInitUnspec: ");
		if (sDANonInitUnspecESet) result.append(sDANonInitUnspec); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //STDTypeImpl
