/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SystemSparcClockMcu.impl;

import SystemSparcClockMcu.CLOCKType;
import SystemSparcClockMcu.DMAType;
import SystemSparcClockMcu.DerivativeType;
import SystemSparcClockMcu.ECUMType;
import SystemSparcClockMcu.LPMType;
import SystemSparcClockMcu.MCUType;
import SystemSparcClockMcu.OSType;
import SystemSparcClockMcu.SCHMType;
import SystemSparcClockMcu.SPIType;
import SystemSparcClockMcu.STDType;
import SystemSparcClockMcu.SWSECType;
import SystemSparcClockMcu.SYSTEMType;
import SystemSparcClockMcu.SystemSparcClockMcuPackage;
import SystemSparcClockMcu.TIMERSType;
import SystemSparcClockMcu.TypeBoolean;
import SystemSparcClockMcu.UTILITIESType;
import SystemSparcClockMcu.WATCHDOGType;

import java.math.BigInteger;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>SYSTEM Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getCLOCK <em>CLOCK</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getMCU <em>MCU</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getOS <em>OS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getECUM <em>ECUM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getSCHM <em>SCHM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getWATCHDOG <em>WATCHDOG</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getTIMERS <em>TIMERS</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getDMA <em>DMA</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getLPM <em>LPM</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getUTILITIES <em>UTILITIES</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getSWSEC <em>SWSEC</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getSPI <em>SPI</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getSTD <em>STD</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getDerivative <em>Derivative</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getDetEnabled <em>Det Enabled</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getDetRamBufferSize <em>Det Ram Buffer Size</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getEvtManResourceRef <em>Evt Man Resource Ref</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getEvtManTaskPriority <em>Evt Man Task Priority</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getIsEvtManUsed <em>Is Evt Man Used</em>}</li>
 *   <li>{@link SystemSparcClockMcu.impl.SYSTEMTypeImpl#getName <em>Name</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class SYSTEMTypeImpl extends EObjectImpl implements SYSTEMType {
	/**
	 * The cached value of the '{@link #getCLOCK() <em>CLOCK</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCLOCK()
	 * @generated
	 * @ordered
	 */
	protected CLOCKType cLOCK;

	/**
	 * The cached value of the '{@link #getMCU() <em>MCU</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMCU()
	 * @generated
	 * @ordered
	 */
	protected MCUType mCU;

	/**
	 * The cached value of the '{@link #getOS() <em>OS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOS()
	 * @generated
	 * @ordered
	 */
	protected OSType oS;

	/**
	 * The cached value of the '{@link #getECUM() <em>ECUM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getECUM()
	 * @generated
	 * @ordered
	 */
	protected ECUMType eCUM;

	/**
	 * The cached value of the '{@link #getSCHM() <em>SCHM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSCHM()
	 * @generated
	 * @ordered
	 */
	protected SCHMType sCHM;

	/**
	 * The cached value of the '{@link #getWATCHDOG() <em>WATCHDOG</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWATCHDOG()
	 * @generated
	 * @ordered
	 */
	protected WATCHDOGType wATCHDOG;

	/**
	 * The cached value of the '{@link #getTIMERS() <em>TIMERS</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTIMERS()
	 * @generated
	 * @ordered
	 */
	protected TIMERSType tIMERS;

	/**
	 * The cached value of the '{@link #getDMA() <em>DMA</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDMA()
	 * @generated
	 * @ordered
	 */
	protected DMAType dMA;

	/**
	 * The cached value of the '{@link #getLPM() <em>LPM</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLPM()
	 * @generated
	 * @ordered
	 */
	protected LPMType lPM;

	/**
	 * The cached value of the '{@link #getUTILITIES() <em>UTILITIES</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUTILITIES()
	 * @generated
	 * @ordered
	 */
	protected UTILITIESType uTILITIES;

	/**
	 * The cached value of the '{@link #getSWSEC() <em>SWSEC</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSWSEC()
	 * @generated
	 * @ordered
	 */
	protected SWSECType sWSEC;

	/**
	 * The cached value of the '{@link #getSPI() <em>SPI</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSPI()
	 * @generated
	 * @ordered
	 */
	protected SPIType sPI;

	/**
	 * The cached value of the '{@link #getSTD() <em>STD</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSTD()
	 * @generated
	 * @ordered
	 */
	protected STDType sTD;

	/**
	 * The default value of the '{@link #getDerivative() <em>Derivative</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDerivative()
	 * @generated
	 * @ordered
	 */
	protected static final DerivativeType DERIVATIVE_EDEFAULT = DerivativeType.MPC5607BXLU_LQFP176;

	/**
	 * The cached value of the '{@link #getDerivative() <em>Derivative</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDerivative()
	 * @generated
	 * @ordered
	 */
	protected DerivativeType derivative = DERIVATIVE_EDEFAULT;

	/**
	 * This is true if the Derivative attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean derivativeESet;

	/**
	 * The default value of the '{@link #getDetEnabled() <em>Det Enabled</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDetEnabled()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean DET_ENABLED_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getDetEnabled() <em>Det Enabled</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDetEnabled()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean detEnabled = DET_ENABLED_EDEFAULT;

	/**
	 * This is true if the Det Enabled attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean detEnabledESet;

	/**
	 * The default value of the '{@link #getDetRamBufferSize() <em>Det Ram Buffer Size</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDetRamBufferSize()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger DET_RAM_BUFFER_SIZE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDetRamBufferSize() <em>Det Ram Buffer Size</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDetRamBufferSize()
	 * @generated
	 * @ordered
	 */
	protected BigInteger detRamBufferSize = DET_RAM_BUFFER_SIZE_EDEFAULT;

	/**
	 * The default value of the '{@link #getEvtManResourceRef() <em>Evt Man Resource Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvtManResourceRef()
	 * @generated
	 * @ordered
	 */
	protected static final Object EVT_MAN_RESOURCE_REF_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getEvtManResourceRef() <em>Evt Man Resource Ref</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvtManResourceRef()
	 * @generated
	 * @ordered
	 */
	protected Object evtManResourceRef = EVT_MAN_RESOURCE_REF_EDEFAULT;

	/**
	 * The default value of the '{@link #getEvtManTaskPriority() <em>Evt Man Task Priority</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvtManTaskPriority()
	 * @generated
	 * @ordered
	 */
	protected static final BigInteger EVT_MAN_TASK_PRIORITY_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getEvtManTaskPriority() <em>Evt Man Task Priority</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvtManTaskPriority()
	 * @generated
	 * @ordered
	 */
	protected BigInteger evtManTaskPriority = EVT_MAN_TASK_PRIORITY_EDEFAULT;

	/**
	 * The default value of the '{@link #getIsEvtManUsed() <em>Is Evt Man Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIsEvtManUsed()
	 * @generated
	 * @ordered
	 */
	protected static final TypeBoolean IS_EVT_MAN_USED_EDEFAULT = TypeBoolean.YES;

	/**
	 * The cached value of the '{@link #getIsEvtManUsed() <em>Is Evt Man Used</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIsEvtManUsed()
	 * @generated
	 * @ordered
	 */
	protected TypeBoolean isEvtManUsed = IS_EVT_MAN_USED_EDEFAULT;

	/**
	 * This is true if the Is Evt Man Used attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean isEvtManUsedESet;

	/**
	 * The default value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected static final String NAME_EDEFAULT = "SYSTEM_SPARC";

	/**
	 * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected String name = NAME_EDEFAULT;

	/**
	 * This is true if the Name attribute has been set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	protected boolean nameESet;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SYSTEMTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SystemSparcClockMcuPackage.eINSTANCE.getSYSTEMType();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CLOCKType getCLOCK() {
		return cLOCK;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetCLOCK(CLOCKType newCLOCK, NotificationChain msgs) {
		CLOCKType oldCLOCK = cLOCK;
		cLOCK = newCLOCK;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK, oldCLOCK, newCLOCK);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCLOCK(CLOCKType newCLOCK) {
		if (newCLOCK != cLOCK) {
			NotificationChain msgs = null;
			if (cLOCK != null)
				msgs = ((InternalEObject)cLOCK).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK, null, msgs);
			if (newCLOCK != null)
				msgs = ((InternalEObject)newCLOCK).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK, null, msgs);
			msgs = basicSetCLOCK(newCLOCK, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK, newCLOCK, newCLOCK));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MCUType getMCU() {
		return mCU;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetMCU(MCUType newMCU, NotificationChain msgs) {
		MCUType oldMCU = mCU;
		mCU = newMCU;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU, oldMCU, newMCU);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMCU(MCUType newMCU) {
		if (newMCU != mCU) {
			NotificationChain msgs = null;
			if (mCU != null)
				msgs = ((InternalEObject)mCU).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU, null, msgs);
			if (newMCU != null)
				msgs = ((InternalEObject)newMCU).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU, null, msgs);
			msgs = basicSetMCU(newMCU, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU, newMCU, newMCU));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OSType getOS() {
		return oS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetOS(OSType newOS, NotificationChain msgs) {
		OSType oldOS = oS;
		oS = newOS;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__OS, oldOS, newOS);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOS(OSType newOS) {
		if (newOS != oS) {
			NotificationChain msgs = null;
			if (oS != null)
				msgs = ((InternalEObject)oS).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__OS, null, msgs);
			if (newOS != null)
				msgs = ((InternalEObject)newOS).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__OS, null, msgs);
			msgs = basicSetOS(newOS, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__OS, newOS, newOS));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ECUMType getECUM() {
		return eCUM;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetECUM(ECUMType newECUM, NotificationChain msgs) {
		ECUMType oldECUM = eCUM;
		eCUM = newECUM;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM, oldECUM, newECUM);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setECUM(ECUMType newECUM) {
		if (newECUM != eCUM) {
			NotificationChain msgs = null;
			if (eCUM != null)
				msgs = ((InternalEObject)eCUM).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM, null, msgs);
			if (newECUM != null)
				msgs = ((InternalEObject)newECUM).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM, null, msgs);
			msgs = basicSetECUM(newECUM, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM, newECUM, newECUM));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SCHMType getSCHM() {
		return sCHM;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSCHM(SCHMType newSCHM, NotificationChain msgs) {
		SCHMType oldSCHM = sCHM;
		sCHM = newSCHM;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM, oldSCHM, newSCHM);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSCHM(SCHMType newSCHM) {
		if (newSCHM != sCHM) {
			NotificationChain msgs = null;
			if (sCHM != null)
				msgs = ((InternalEObject)sCHM).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM, null, msgs);
			if (newSCHM != null)
				msgs = ((InternalEObject)newSCHM).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM, null, msgs);
			msgs = basicSetSCHM(newSCHM, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM, newSCHM, newSCHM));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public WATCHDOGType getWATCHDOG() {
		return wATCHDOG;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetWATCHDOG(WATCHDOGType newWATCHDOG, NotificationChain msgs) {
		WATCHDOGType oldWATCHDOG = wATCHDOG;
		wATCHDOG = newWATCHDOG;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG, oldWATCHDOG, newWATCHDOG);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWATCHDOG(WATCHDOGType newWATCHDOG) {
		if (newWATCHDOG != wATCHDOG) {
			NotificationChain msgs = null;
			if (wATCHDOG != null)
				msgs = ((InternalEObject)wATCHDOG).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG, null, msgs);
			if (newWATCHDOG != null)
				msgs = ((InternalEObject)newWATCHDOG).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG, null, msgs);
			msgs = basicSetWATCHDOG(newWATCHDOG, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG, newWATCHDOG, newWATCHDOG));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TIMERSType getTIMERS() {
		return tIMERS;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetTIMERS(TIMERSType newTIMERS, NotificationChain msgs) {
		TIMERSType oldTIMERS = tIMERS;
		tIMERS = newTIMERS;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS, oldTIMERS, newTIMERS);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTIMERS(TIMERSType newTIMERS) {
		if (newTIMERS != tIMERS) {
			NotificationChain msgs = null;
			if (tIMERS != null)
				msgs = ((InternalEObject)tIMERS).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS, null, msgs);
			if (newTIMERS != null)
				msgs = ((InternalEObject)newTIMERS).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS, null, msgs);
			msgs = basicSetTIMERS(newTIMERS, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS, newTIMERS, newTIMERS));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DMAType getDMA() {
		return dMA;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDMA(DMAType newDMA, NotificationChain msgs) {
		DMAType oldDMA = dMA;
		dMA = newDMA;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA, oldDMA, newDMA);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDMA(DMAType newDMA) {
		if (newDMA != dMA) {
			NotificationChain msgs = null;
			if (dMA != null)
				msgs = ((InternalEObject)dMA).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA, null, msgs);
			if (newDMA != null)
				msgs = ((InternalEObject)newDMA).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA, null, msgs);
			msgs = basicSetDMA(newDMA, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA, newDMA, newDMA));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LPMType getLPM() {
		return lPM;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetLPM(LPMType newLPM, NotificationChain msgs) {
		LPMType oldLPM = lPM;
		lPM = newLPM;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM, oldLPM, newLPM);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLPM(LPMType newLPM) {
		if (newLPM != lPM) {
			NotificationChain msgs = null;
			if (lPM != null)
				msgs = ((InternalEObject)lPM).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM, null, msgs);
			if (newLPM != null)
				msgs = ((InternalEObject)newLPM).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM, null, msgs);
			msgs = basicSetLPM(newLPM, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM, newLPM, newLPM));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public UTILITIESType getUTILITIES() {
		return uTILITIES;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetUTILITIES(UTILITIESType newUTILITIES, NotificationChain msgs) {
		UTILITIESType oldUTILITIES = uTILITIES;
		uTILITIES = newUTILITIES;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES, oldUTILITIES, newUTILITIES);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setUTILITIES(UTILITIESType newUTILITIES) {
		if (newUTILITIES != uTILITIES) {
			NotificationChain msgs = null;
			if (uTILITIES != null)
				msgs = ((InternalEObject)uTILITIES).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES, null, msgs);
			if (newUTILITIES != null)
				msgs = ((InternalEObject)newUTILITIES).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES, null, msgs);
			msgs = basicSetUTILITIES(newUTILITIES, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES, newUTILITIES, newUTILITIES));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SWSECType getSWSEC() {
		return sWSEC;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSWSEC(SWSECType newSWSEC, NotificationChain msgs) {
		SWSECType oldSWSEC = sWSEC;
		sWSEC = newSWSEC;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC, oldSWSEC, newSWSEC);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSWSEC(SWSECType newSWSEC) {
		if (newSWSEC != sWSEC) {
			NotificationChain msgs = null;
			if (sWSEC != null)
				msgs = ((InternalEObject)sWSEC).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC, null, msgs);
			if (newSWSEC != null)
				msgs = ((InternalEObject)newSWSEC).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC, null, msgs);
			msgs = basicSetSWSEC(newSWSEC, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC, newSWSEC, newSWSEC));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SPIType getSPI() {
		return sPI;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSPI(SPIType newSPI, NotificationChain msgs) {
		SPIType oldSPI = sPI;
		sPI = newSPI;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI, oldSPI, newSPI);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSPI(SPIType newSPI) {
		if (newSPI != sPI) {
			NotificationChain msgs = null;
			if (sPI != null)
				msgs = ((InternalEObject)sPI).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI, null, msgs);
			if (newSPI != null)
				msgs = ((InternalEObject)newSPI).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI, null, msgs);
			msgs = basicSetSPI(newSPI, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI, newSPI, newSPI));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public STDType getSTD() {
		return sTD;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSTD(STDType newSTD, NotificationChain msgs) {
		STDType oldSTD = sTD;
		sTD = newSTD;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__STD, oldSTD, newSTD);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSTD(STDType newSTD) {
		if (newSTD != sTD) {
			NotificationChain msgs = null;
			if (sTD != null)
				msgs = ((InternalEObject)sTD).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__STD, null, msgs);
			if (newSTD != null)
				msgs = ((InternalEObject)newSTD).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - SystemSparcClockMcuPackage.SYSTEM_TYPE__STD, null, msgs);
			msgs = basicSetSTD(newSTD, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__STD, newSTD, newSTD));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DerivativeType getDerivative() {
		return derivative;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDerivative(DerivativeType newDerivative) {
		DerivativeType oldDerivative = derivative;
		derivative = newDerivative == null ? DERIVATIVE_EDEFAULT : newDerivative;
		boolean oldDerivativeESet = derivativeESet;
		derivativeESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DERIVATIVE, oldDerivative, derivative, !oldDerivativeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDerivative() {
		DerivativeType oldDerivative = derivative;
		boolean oldDerivativeESet = derivativeESet;
		derivative = DERIVATIVE_EDEFAULT;
		derivativeESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DERIVATIVE, oldDerivative, DERIVATIVE_EDEFAULT, oldDerivativeESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDerivative() {
		return derivativeESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getDetEnabled() {
		return detEnabled;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDetEnabled(TypeBoolean newDetEnabled) {
		TypeBoolean oldDetEnabled = detEnabled;
		detEnabled = newDetEnabled == null ? DET_ENABLED_EDEFAULT : newDetEnabled;
		boolean oldDetEnabledESet = detEnabledESet;
		detEnabledESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_ENABLED, oldDetEnabled, detEnabled, !oldDetEnabledESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetDetEnabled() {
		TypeBoolean oldDetEnabled = detEnabled;
		boolean oldDetEnabledESet = detEnabledESet;
		detEnabled = DET_ENABLED_EDEFAULT;
		detEnabledESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_ENABLED, oldDetEnabled, DET_ENABLED_EDEFAULT, oldDetEnabledESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetDetEnabled() {
		return detEnabledESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getDetRamBufferSize() {
		return detRamBufferSize;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDetRamBufferSize(BigInteger newDetRamBufferSize) {
		BigInteger oldDetRamBufferSize = detRamBufferSize;
		detRamBufferSize = newDetRamBufferSize;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_RAM_BUFFER_SIZE, oldDetRamBufferSize, detRamBufferSize));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object getEvtManResourceRef() {
		return evtManResourceRef;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEvtManResourceRef(Object newEvtManResourceRef) {
		Object oldEvtManResourceRef = evtManResourceRef;
		evtManResourceRef = newEvtManResourceRef;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_RESOURCE_REF, oldEvtManResourceRef, evtManResourceRef));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BigInteger getEvtManTaskPriority() {
		return evtManTaskPriority;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEvtManTaskPriority(BigInteger newEvtManTaskPriority) {
		BigInteger oldEvtManTaskPriority = evtManTaskPriority;
		evtManTaskPriority = newEvtManTaskPriority;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_TASK_PRIORITY, oldEvtManTaskPriority, evtManTaskPriority));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeBoolean getIsEvtManUsed() {
		return isEvtManUsed;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIsEvtManUsed(TypeBoolean newIsEvtManUsed) {
		TypeBoolean oldIsEvtManUsed = isEvtManUsed;
		isEvtManUsed = newIsEvtManUsed == null ? IS_EVT_MAN_USED_EDEFAULT : newIsEvtManUsed;
		boolean oldIsEvtManUsedESet = isEvtManUsedESet;
		isEvtManUsedESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__IS_EVT_MAN_USED, oldIsEvtManUsed, isEvtManUsed, !oldIsEvtManUsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetIsEvtManUsed() {
		TypeBoolean oldIsEvtManUsed = isEvtManUsed;
		boolean oldIsEvtManUsedESet = isEvtManUsedESet;
		isEvtManUsed = IS_EVT_MAN_USED_EDEFAULT;
		isEvtManUsedESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SYSTEM_TYPE__IS_EVT_MAN_USED, oldIsEvtManUsed, IS_EVT_MAN_USED_EDEFAULT, oldIsEvtManUsedESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetIsEvtManUsed() {
		return isEvtManUsedESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
		return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setName(String newName) {
		String oldName = name;
		name = newName;
		boolean oldNameESet = nameESet;
		nameESet = true;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SystemSparcClockMcuPackage.SYSTEM_TYPE__NAME, oldName, name, !oldNameESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void unsetName() {
		String oldName = name;
		boolean oldNameESet = nameESet;
		name = NAME_EDEFAULT;
		nameESet = false;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.UNSET, SystemSparcClockMcuPackage.SYSTEM_TYPE__NAME, oldName, NAME_EDEFAULT, oldNameESet));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isSetName() {
		return nameESet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK:
				return basicSetCLOCK(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU:
				return basicSetMCU(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__OS:
				return basicSetOS(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM:
				return basicSetECUM(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM:
				return basicSetSCHM(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG:
				return basicSetWATCHDOG(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS:
				return basicSetTIMERS(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA:
				return basicSetDMA(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM:
				return basicSetLPM(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES:
				return basicSetUTILITIES(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC:
				return basicSetSWSEC(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI:
				return basicSetSPI(null, msgs);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__STD:
				return basicSetSTD(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK:
				return getCLOCK();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU:
				return getMCU();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__OS:
				return getOS();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM:
				return getECUM();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM:
				return getSCHM();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG:
				return getWATCHDOG();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS:
				return getTIMERS();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA:
				return getDMA();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM:
				return getLPM();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES:
				return getUTILITIES();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC:
				return getSWSEC();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI:
				return getSPI();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__STD:
				return getSTD();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DERIVATIVE:
				return getDerivative();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_ENABLED:
				return getDetEnabled();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_RAM_BUFFER_SIZE:
				return getDetRamBufferSize();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_RESOURCE_REF:
				return getEvtManResourceRef();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_TASK_PRIORITY:
				return getEvtManTaskPriority();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__IS_EVT_MAN_USED:
				return getIsEvtManUsed();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__NAME:
				return getName();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK:
				setCLOCK((CLOCKType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU:
				setMCU((MCUType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__OS:
				setOS((OSType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM:
				setECUM((ECUMType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM:
				setSCHM((SCHMType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG:
				setWATCHDOG((WATCHDOGType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS:
				setTIMERS((TIMERSType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA:
				setDMA((DMAType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM:
				setLPM((LPMType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES:
				setUTILITIES((UTILITIESType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC:
				setSWSEC((SWSECType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI:
				setSPI((SPIType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__STD:
				setSTD((STDType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DERIVATIVE:
				setDerivative((DerivativeType)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_ENABLED:
				setDetEnabled((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_RAM_BUFFER_SIZE:
				setDetRamBufferSize((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_RESOURCE_REF:
				setEvtManResourceRef(newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_TASK_PRIORITY:
				setEvtManTaskPriority((BigInteger)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__IS_EVT_MAN_USED:
				setIsEvtManUsed((TypeBoolean)newValue);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__NAME:
				setName((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK:
				setCLOCK((CLOCKType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU:
				setMCU((MCUType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__OS:
				setOS((OSType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM:
				setECUM((ECUMType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM:
				setSCHM((SCHMType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG:
				setWATCHDOG((WATCHDOGType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS:
				setTIMERS((TIMERSType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA:
				setDMA((DMAType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM:
				setLPM((LPMType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES:
				setUTILITIES((UTILITIESType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC:
				setSWSEC((SWSECType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI:
				setSPI((SPIType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__STD:
				setSTD((STDType)null);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DERIVATIVE:
				unsetDerivative();
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_ENABLED:
				unsetDetEnabled();
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_RAM_BUFFER_SIZE:
				setDetRamBufferSize(DET_RAM_BUFFER_SIZE_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_RESOURCE_REF:
				setEvtManResourceRef(EVT_MAN_RESOURCE_REF_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_TASK_PRIORITY:
				setEvtManTaskPriority(EVT_MAN_TASK_PRIORITY_EDEFAULT);
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__IS_EVT_MAN_USED:
				unsetIsEvtManUsed();
				return;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__NAME:
				unsetName();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__CLOCK:
				return cLOCK != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__MCU:
				return mCU != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__OS:
				return oS != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__ECUM:
				return eCUM != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SCHM:
				return sCHM != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__WATCHDOG:
				return wATCHDOG != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__TIMERS:
				return tIMERS != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DMA:
				return dMA != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__LPM:
				return lPM != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__UTILITIES:
				return uTILITIES != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SWSEC:
				return sWSEC != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__SPI:
				return sPI != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__STD:
				return sTD != null;
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DERIVATIVE:
				return isSetDerivative();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_ENABLED:
				return isSetDetEnabled();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__DET_RAM_BUFFER_SIZE:
				return DET_RAM_BUFFER_SIZE_EDEFAULT == null ? detRamBufferSize != null : !DET_RAM_BUFFER_SIZE_EDEFAULT.equals(detRamBufferSize);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_RESOURCE_REF:
				return EVT_MAN_RESOURCE_REF_EDEFAULT == null ? evtManResourceRef != null : !EVT_MAN_RESOURCE_REF_EDEFAULT.equals(evtManResourceRef);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__EVT_MAN_TASK_PRIORITY:
				return EVT_MAN_TASK_PRIORITY_EDEFAULT == null ? evtManTaskPriority != null : !EVT_MAN_TASK_PRIORITY_EDEFAULT.equals(evtManTaskPriority);
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__IS_EVT_MAN_USED:
				return isSetIsEvtManUsed();
			case SystemSparcClockMcuPackage.SYSTEM_TYPE__NAME:
				return isSetName();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (derivative: ");
		if (derivativeESet) result.append(derivative); else result.append("<unset>");
		result.append(", detEnabled: ");
		if (detEnabledESet) result.append(detEnabled); else result.append("<unset>");
		result.append(", detRamBufferSize: ");
		result.append(detRamBufferSize);
		result.append(", evtManResourceRef: ");
		result.append(evtManResourceRef);
		result.append(", evtManTaskPriority: ");
		result.append(evtManTaskPriority);
		result.append(", isEvtManUsed: ");
		if (isEvtManUsedESet) result.append(isEvtManUsed); else result.append("<unset>");
		result.append(", name: ");
		if (nameESet) result.append(name); else result.append("<unset>");
		result.append(')');
		return result.toString();
	}

} //SYSTEMTypeImpl
